/*
 * DailyCheckResultApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.api.resultback;

import com.unis.inspectionresult.common.vo.ResultApplyQuery;
import com.unis.inspectionresult.common.vo.resultback.*;
import com.unis.inspectiontask.common.vo.PerformanceQueryVO;

import java.util.List;

import io.swagger.annotations.ApiImplicitParams;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.ResponseWrapper;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;


/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
@FeignClient(name = "inspectionresult-server")
//检查结果
public interface DailyCheckResultApi {

    //检查结果-日常检查结果-新增
    @PostMapping("/manager/resultback/dailyCheckResult/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-修改
    @PostMapping("/manager/resultback/dailyCheckResult/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-修改,更新单表专属
    @PostMapping("/manager/resultback/dailyCheckResult/updateSingleByEntitySelective")
    public ResponseWrapper updateSingleByEntitySelective(@RequestBody DailyCheckResultVO checkResultVO);

    @ApiOperation(value = "结果反馈---检查结果---结果反馈撤回", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResult/updateBackByEntity")
    public ResponseWrapper updateBackByEntity(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-删除
    @PostMapping("/manager/resultback/dailyCheckResult/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody DailyCheckResultVO checkResultVO);

    @ApiOperation(value = "结果反馈---检查结果---制定任务的撤回,非结果反馈撤回", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResult/deleteBackByEntity")
    public ResponseWrapper deleteBackByEntity(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-更新状态
    @PostMapping("/manager/resultback/dailyCheckResult/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody DailyCheckResultVO checkResultVO);

    @ApiOperation(value = "结果反馈---检查结果---查询列表", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResult/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-分页查询列表
    @PostMapping("/manager/resultback/dailyCheckResult/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-分页查询列表
    @PostMapping("/manager/resultback/dailyCheckResult/dailyCheckResultYlCplPage")
    public ResponseWrapper dailyCheckResultYlCplPage(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-检查组结果-分页查询列表
    @PostMapping("/manager/resultback/dailyCheckResult/selectTeamPageByEntity")
    public ResponseWrapper selectTeamPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-分页查询列表
    @PostMapping("/manager/resultback/dailyCheckResult/selectOwnerPageByEntity")
    public ResponseWrapper selectOwnerPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-查询详情
    @PostMapping("/manager/resultback/dailyCheckResult/selectById")
    public ResponseWrapper selectById(@RequestBody DailyCheckResultVO checkResultVO);

    @ApiOperation(value = "结果反馈---检查结果---查询简单详情", notes = "结果反馈")
    @PostMapping("/dailyCheckResult/selectSingleByIdResult")
    public ResponseWrapper selectSingleByIdResult(@RequestBody DailyCheckResultVO checkResultVO);

    //检查结果-日常检查结果-初始化数据
    @PostMapping("/manager/resultback/dailyCheckResult/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody DailyCheckResultVO DailyCheckResultVO);


    //检查结果-表单记录主表-修改
    @PostMapping("/manager/resultback/dailyCheckResultDetail/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody DailyCheckResultDetailVO resultDetailVO);

    //检查结果-表单记录主表-查询详情
    @PostMapping("/manager/resultback/dailyCheckResultDetail/selectById")
    public ResponseWrapper selectById(@RequestBody DailyCheckResultDetailVO resultDetailVO);

    //检查结果-表单记录明细表(储备粮公司)-修改
    @PostMapping("/manager/resultback/formDetail/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody FormDetailVO formDetailVO);

    //检查结果-表单记录明细表()储备粮公司)-查询详情
    @PostMapping("/manager/resultback/formDetail/selectById")
    public ResponseWrapper selectById(@RequestBody FormDetailVO formDetailVO);

    //获取所有列表
    @ApiOperation(value = "获取所有列表", notes = "获取所有列表")
    @PostMapping("/manager/resultback/dailyCheckResult/{pageNum}/{pageSize}")
    public ResponseWrapper getPageList(@RequestBody DailyCheckResultQueryVO checkResultQueryVO,
                                       @PathVariable("pageNum") Integer pageNum,
                                       @PathVariable("pageSize") Integer pageSize);

    /**
     * @Title: getQyZgNotes
     * @Description:方法描述:(企业整改数据统计 - 整改)
     * @param @param checkResultVO
     * @param @return    设定文件
     * @return ResponseWrapper    返回类型
     * @throws
     */
    @ApiOperation(value = "企业整改数据统计 - 整改", notes = "企业整改:年份")
    @GetMapping("/manager/resultback/dailyCheckResult/QyZgNotes/{year}")
    public ResponseWrapper getQyZgNotes(@PathVariable("year") String year);


    @ApiOperation(value = "结果反馈---检查结果【条件导出查询】", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResult/inspectionResultExport")
    public ResponseWrapper inspectionResultExport(@RequestBody DailyCheckResultVO checkResultVO);


    @ApiOperation(value = "结果反馈---检查结果---根据rwId,bjdwId查询检查时间", notes = "检查时间")
    @PostMapping("/manager/resultback/dailyCheckResult/inspectionTime/{rwId}/{bjdwId}")
    ResponseWrapper getInspectionTime(@PathVariable(value = "rwId") String rwId,
                                      @PathVariable(value = "bjdwId") String bjdwId);

    @ApiOperation(value = "结果反馈---调整流程---新增", notes = "调整流程新增")
    @PostMapping("/manager/resultback/dailyCheckResult/additionProcessAdjustment")
    public ResponseWrapper insertProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAddVO record);

    @ApiOperation(value = "结果反馈---调整流程---修改", notes = "调整流程修改")
    @PostMapping("/manager/resultback/dailyCheckResult/modificationProcessAdjustment")
    public ResponseWrapper updateProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAddVO record);

    @ApiOperation(value = "结果反馈---调整流程---审核", notes = "调整流程审核")
    @PostMapping("/manager/resultback/dailyCheckResult/auditProcessAdjustment")
    public ResponseWrapper auditProcessAdjustment(@RequestBody DailyCheckProcessAdjustmentAuditVO record);

    @ApiOperation(value = "结果反馈---调整流程---查看详情", notes = "结果反馈---调整流程---查看详情")
    @GetMapping("/manager/resultback/dailyCheckResult/viewProcessAdjustment/{checkResultId}")
    public ResponseWrapper viewProcessAdjustment(@PathVariable(name = "checkResultId") String checkResultId);

    @ApiOperation(value = "结果反馈---检查结果---根据任务时间查询特定状态结果数据", notes = "根据任务时间查询特定状态结果数据")
    @PostMapping("/manager/resultback/dailyCheckResult/inspectionList")
    public ResponseWrapper getinspectionList(@RequestBody PerformanceQueryVO performanceQueryVO);

    @ApiOperation(value = "结果反馈---检查结果---根据结果id列表结果数据", notes = "根据结果id列表结果数据")
    @PostMapping("/manager/resultback/dailyCheckResult/inspectionListByjgIdList")
    public ResponseWrapper getInspectionListByjgIdList(@RequestBody PerformanceQueryVO performanceQueryVO);

    @ApiOperation(value = "结果反馈---检查结果---根据任务时间查询特定状态结果数据", notes = "根据任务时间查询特定状态结果数据")
    @PostMapping("/manager/resultback/dailyCheckResult/developmentSituation")
    public ResponseWrapper developmentSituation(@RequestBody DevelopmentSituationQueryVO developmentSituationQueryVO);

    @ApiOperation(value = "结果反馈---检查结果---根据任务时间查询任务列表", notes = "根据任务时间查询任务列表")
    @PostMapping("/manager/resultback/dailyCheckResult/developmentSituationByRwIdList")
    public ResponseWrapper developmentSituationByRwIdList(@RequestBody DevelopmentSituationQueryVO developmentSituationQueryVO);

    /**
	 *
	 * @Description: 展示检查结果列表通过计划Id
	 * @author: 王帅
	 * @param: @param  planId
	 * @param: @return 参数
	 * @return: List<DailyCheckResultVO> 返回类型
	 */
	@GetMapping("/manager/resultback/checkResultListByPlanId")
	public ResponseEntity<List<DailyCheckResultByPlanShowVO>> getCheckResultListByPlanId(
			@RequestParam(name = "planId", required = true) String planId);

	/**
	 *
	 * @Description: 获取监管区域
	 * @author: 王帅
	 * @param: @param  orgId
	 * @param: @return 参数
	 * @return: List<DailyCheckTerritorialSupervisionVO> 返回类型
	 */
	@GetMapping("/manager/resultback/territorialSupervisionList")
	public ResponseWrapper getTerritorialSupervisionByOrgId(
			@RequestParam(name = "orgId", required = true) String orgId);

	@ApiOperation(value = "结果反馈---检查结果---根据结果id列表分页查询数据", notes = "根据结果id列表分页查询")
    @PostMapping("/manager/resultback/dailyCheckResult/inspectionResultPageByjgIdList")
    public ResponseWrapper getInspectionResultPageByjgIdList(@RequestBody PerformanceQueryVO performanceQueryVO);


	@ApiOperation(value = "结果反馈---检查结果---查询企业近3个月检查记录", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResultList/{bjdwId}")
    public ResponseWrapper dailyCheckResultList(@PathVariable("bjdwId") String bjdwId);

	@ApiOperation(value = "结果反馈---检查结果---分页查询列表,pageSize,pageNum从url传", notes = "结果反馈")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/manager/resultback/dailyCheckResult/resultList")
    public ResponseWrapper resultList(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody ResultApplyQuery resultApplyQuery);

	@PostMapping("/manager/resultback/dailyCheckResult/resultListDis")
    public ResponseWrapper resultListDis(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody ResultApplyQuery resultApplyQuery);

    @ApiOperation(value = "结果反馈---检查结果---分页查询列表(可视化),pageSize,pageNum从url传", notes = "结果反馈")
    @PostMapping("/manager/resultback/dailyCheckResult/dailyCheckResultPageForKSH")
    public ResponseWrapper dailyCheckResultPageForKSH(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody DailyCheckSearchVO dailyCheckSearchVO);

    @ApiOperation(value = "结果反馈---企业原粮列表", notes = "结果反馈")
    @PostMapping("/manager/resultback/selectKcxx/{tyshxydm}")
    public ResponseWrapper selectKcxx(@PathVariable("tyshxydm") String tyshxydm);

    @ApiOperation(value = "结果反馈---企业成品粮列表", notes = "结果反馈")
    @PostMapping("/manager/resultback/selectChengPinKc/{tyshxydm}")
    public ResponseWrapper selectChengPinKc(@PathVariable("tyshxydm") String tyshxydm);

    @ApiOperation(value = "结果反馈---企业查询经纬度", notes = "结果反馈")
    @PostMapping("/manager/resultback/selectBatchWd")
    public ResponseWrapper selectBatchWd(@RequestBody List<String> cfbhList);
}
