package com.unis.inspectionresult.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;

import io.swagger.annotations.Api;

@FeignClient(name = "inspectionresult-server")
@Component
@Api(value = "检查结果信息", tags = "检查结果信息")
public interface CheckCensusFeign {

	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/checkcensus")
	public ResponseWrapper checkcensus(@RequestBody CheckCensusQueryVO checkCensusQueryVO);
	
	
	@PostMapping("/checkcensusrwid")
	public ResponseWrapper checkcensusrwid(@RequestBody CheckCensusQueryVO checkCensusQueryVO);
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/checksecurity")
	public ResponseWrapper checksecurity(@RequestBody CheckCensusQueryVO checkCensusQueryVO);
}
