package com.unis.inspectionresult.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.CheckWorkLogQueryVO;
import com.unis.inspectionresult.common.vo.CheckWorkLogVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title CheckWorkLogFeign
 * @ProjectName 检查工作日志 CheckWorkLogFeign
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "inspectionresult-server")
@Api(value = "检查工作日志 ", tags = "检查工作日志")
@Component
public interface CheckWorkLogFeign {

	@ApiOperation(value = "检查工作日志-查询列表", notes = "参数：检查开始时间，检查结束时间，被检企业编号")
	@PostMapping(value = "/checkWorkLogList")
    public ResponseWrapper getCheckWorkLogList(@RequestBody CheckWorkLogQueryVO checkWorkLogQueryVO);

	@ApiOperation(value = "检查工作日志-分页查询列表", notes = "参数：检查开始时间，检查结束时间，被检企业编号")
	@PostMapping(value = "/checkWorkLogPage/{pageNum}/{pageSize}")
    public ResponseWrapper getCheckWorkLogPage(@RequestBody CheckWorkLogQueryVO checkWorkLogQueryVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) ;

	@PostMapping(value = "/checkWorkLog")
	@ApiOperation(value = "检查工作日志-新增", notes = "参数：检查工作日志信息对象 model")
    public ResponseWrapper insert(@RequestBody CheckWorkLogVO checkWorkLogVO) ;

	@PutMapping(value = "/checkWorkLog")
	@ApiOperation(value = "检查工作日志-更新", notes = "参数：检查工作日志信息对象 model")
    public ResponseWrapper update(@RequestBody CheckWorkLogVO checkWorkLogVO) ;

	@DeleteMapping(value="/checkWorkLog/{id}")
	@ApiOperation(value = "检查工作日志-删除", notes = "参数：日志ID")
	public ResponseWrapper delete(@PathVariable("id") Integer id) ;

	@GetMapping(value="/checkWorkLog/{id}")
	@ApiOperation(value = "检查工作日志-查询详情", notes = "参数：日志ID")
	public ResponseWrapper getCheckWorkLogInfoById(@PathVariable("id") Integer id) ;

}
