package com.unis.inspectionresult.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@FeignClient(name = "inspectionresult-server")
@Component
@Api(value = "检查指标", tags = "检查指标")
public interface InspectionIndicatorsFeign {

	@PostMapping(value = "/inspectionresult")
	@ApiOperation(value = "新增检查指标", notes = "参数：检查指标实体信息")
	public ResponseWrapper insertInspectionresult(@RequestBody InspectionIndicatorsVO vo);

	@PostMapping("/inspectionresultList")
	@ApiOperation(value = "根据条件分页获取信息列表")
	public ResponseWrapper getInspectionresultList(@RequestBody InspectionIndicatorsqueryVO queryvo,
			@RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize,
			@RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum);

	@GetMapping("/inspectionresult/{zbId}")
	@ApiOperation(value = "查看检查指标")
	public ResponseWrapper getInspectionresult(@PathVariable("zbId") String zbId);

	@PutMapping("/inspectionresult")
	@ApiOperation(value = "编辑检查指标")
	public ResponseWrapper updateInspectionresult(@RequestBody InspectionIndicatorsVO vo);

}
