package com.unis.inspectionresult.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.RectificationAcceptanceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationAcceptanceFeign
 * @ProjectName 整改验收单信息 RectificationAcceptanceFeign
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "inspectionresult-server")
@Api(value = "整改验收单 ", tags = "整改验收单")
@Component
public interface RectificationAcceptanceFeign {

	@PostMapping(value = "/rectificationAcceptance")
	@ApiOperation(value = "整改验收单-新增", notes = "参数：整改验收单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationAcceptanceVO rectificationAcceptanceVO) ;

	@PutMapping(value = "/rectificationAcceptance")
	@ApiOperation(value = "整改验收单-更新", notes = "参数：整改验收单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationAcceptanceVO rectificationAcceptanceVO) ;

	@GetMapping(value="/rectificationAcceptanceList/{jgId}")
	@ApiOperation(value = "整改验收单-查询列表", notes = "参数：结果ID")
	public ResponseWrapper getRectificationAcceptanceListInfoByJgId(@PathVariable("jgId") String jgId) ;

	@GetMapping(value="/rectificationAcceptance/{ysdId}")
	@ApiOperation(value = "整改验收单-查询详情", notes = "参数：验收单ID")
	public ResponseWrapper getRectificationAcceptanceInfoByYsdId(@PathVariable("ysdId") String ysdId) ;

}
