package com.unis.inspectionresult.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.RectificationFeedbackVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackFeign
 * @ProjectName 整改反馈单 RectificationFeedbackFeign
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "inspectionresult-server")
@Api(value = "整改反馈单 ", tags = "整改反馈单")
@Component
public interface RectificationFeedbackFeign {

	@PostMapping(value = "/rectificationFeedback")
	@ApiOperation(value = "整改反馈单-新增", notes = "参数：整改反馈单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationFeedbackVO rectificationFeedbackVO) ;

	@PutMapping(value = "/rectificationFeedback")
	@ApiOperation(value = "整改反馈单-更新", notes = "参数：整改反馈单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationFeedbackVO rectificationFeedbackVO) ;

	@GetMapping(value = "/rectificationFeedbackList/{jgId}")
	@ApiOperation(value = "整改反馈单-查询列表", notes = "参数：结果ID")
	public ResponseWrapper getRectificationAcceptanceListInfoByJgId(@PathVariable("jgId") String jgId) ;

	@GetMapping(value = "/rectificationFeedback/{fkdId}")
	@ApiOperation(value = "整改反馈单-查询详情", notes = "参数：反馈单ID")
	public ResponseWrapper getRectificationFeedbackInfoByFkdId(@PathVariable("fkdId") String fkdId) ;

}
