package com.unis.inspectionresult.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.RectificationNoticeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationNoticeFeign
 * @ProjectName 责令整改通知单信息 RectificationNoticeFeign
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "inspectionresult-server")
@Api(value = "责令整改通知单 ", tags = "责令整改通知单")
@Component
public interface RectificationNoticeFeign {

	@PostMapping(value = "/rectificationNotice")
	@ApiOperation(value = "责令整改通知单-新增", notes = "参数：责令整改通知单信息对象 model")
    public ResponseWrapper insert(@RequestBody RectificationNoticeVO rectificationNoticeVO);

	@PutMapping(value = "/rectificationNotice")
	@ApiOperation(value = "责令整改通知单-更新", notes = "参数：责令整改通知单信息对象 model")
	public ResponseWrapper update(@RequestBody RectificationNoticeVO rectificationNoticeVO);

	@GetMapping(value="/rectificationNotice/{jgId}")
	@ApiOperation(value = "责令整改通知单-查询详情", notes = "参数：结果ID")
	public ResponseWrapper getRectificationNoticeInfoByJgId(@PathVariable("jgId") String jgId);


}
