package com.unis.inspectionresult.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.ResultApplyVO;

import io.swagger.annotations.Api;

@FeignClient(name = "inspectionresult-server")
@Component
@Api(value = "综合查询审批", tags = "综合查询审批")
public interface ResultApplyFeign {

	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultapply")
	public ResponseWrapper resultapply(@RequestBody ResultApplyVO checkCensusQueryVO);
	
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultupdate")
	public ResponseWrapper resultupdate(@RequestBody ResultApplyVO checkCensusQueryVO);
}
