package com.unis.inspectionresult.common.utils;

import java.util.Date;
import java.util.List;
import java.util.Set;

import org.apache.commons.lang.StringUtils;

import com.google.common.collect.Lists;
import com.google.common.collect.Sets;
import com.unis.common.utils.DateUtil;
import com.unis.inspectionplan.common.vo.InspectionplanVO;
import com.unis.inspectionresult.common.constant.InspectionConstant;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultByPlanShowVO;

public class getPlanStatusUtil {

	/**
	 * 检查超期任务
	 * @param showVOList
	 * @param planVO
	 * @return
	 */
	public static Integer getPlanStatus(List<DailyCheckResultByPlanShowVO> showVOList,InspectionplanVO planVO) {
		List<String> statusList = Lists.newArrayList();
		List<String> statusListForOverdueComplete = Lists.newArrayList(); // 超期完成
		Set<String> taskIds = Sets.newHashSet();

		String rwlxId = planVO.getRwlxId(); // 任务类型
		Date rwqsr = planVO.getRwqsr(); // 任务开始时间
		Date rwjsr = planVO.getRwjsr(); // 任务结束时间
		if(null != rwqsr && null != rwjsr) {
			if(("5000110").equals(rwlxId)) { // 结果反馈-日常检查：提交且组长审核通过任务已完成，反之超期
				showVOList.forEach(checkResult ->{
						String status = checkResult.getJgTbbh();
						Date tjsj = checkResult.getJgTjsj(); // 提交时间
						if(null == tjsj) { // 未提交，判断是否已过任务结束时间
							tjsj = DateUtil.getNowDate();
						}
						if (StringUtils.isNotEmpty(status) && !dateCompare(tjsj, rwqsr, rwjsr)
								&& (InspectionConstant.INSPECTION_RESULTS_TOCHECK_STATUS.equals(status)
								|| InspectionConstant.INSPECTION_RESULTS_TOCOMMIT_STATUS.equals(status)
								|| InspectionConstant.INSPECTION_RESULTS_APPROVAL_STATUS.equals(status))) { // 时间范围内还未审批通过
							statusList.add(status);
							String taskId = checkResult.getRwId();
							if (StringUtils.isNotEmpty(taskId)) {
								taskIds.add(taskId);
							}
						} else if (StringUtils.isNotEmpty(status) && !dateCompare(tjsj, rwqsr, rwjsr)
								&& (!InspectionConstant.INSPECTION_RESULTS_TOCHECK_STATUS.equals(status)
								&& !InspectionConstant.INSPECTION_RESULTS_TOCOMMIT_STATUS.equals(status)
								&& !InspectionConstant.INSPECTION_RESULTS_APPROVAL_STATUS.equals(status))) { // 任务时间范围外审批通过
							statusListForOverdueComplete.add(status);
						}
				});
			} else { // 其它的任务类型：只要提交了就算检查任务已完成，除非在规定的期限内保存了但未提交的任务状态才会为已超期
				showVOList.stream().forEach(checkResult -> {
						String status = checkResult.getJgTbbh();
						Date tjsj = checkResult.getJgTjsj(); // 提交时间
						if(null == tjsj) { // 未提交，判断是否已过任务结束时间
							tjsj = DateUtil.getNowDate();
						}
						// 子任务在计划时间之外，状态码为0,2 则表示任务超期
						if (StringUtils.isNotEmpty(status) && !dateCompare(tjsj, rwqsr, rwjsr)
								&& (InspectionConstant.INSPECTION_RESULTS_TOCHECK_STATUS.equals(status)
								|| InspectionConstant.INSPECTION_RESULTS_TOCOMMIT_STATUS.equals(status))) { // 时间范围内还未提交
							statusList.add(status);
							String taskId = checkResult.getRwId();
							if (StringUtils.isNotEmpty(taskId)) {
								taskIds.add(taskId);
							}
						} else if(StringUtils.isNotEmpty(status) && !dateCompare(tjsj, rwqsr, rwjsr)
								&& (!InspectionConstant.INSPECTION_RESULTS_TOCHECK_STATUS.equals(status)
								&& !InspectionConstant.INSPECTION_RESULTS_TOCOMMIT_STATUS.equals(status))) { // 任务时间范围外提交
							statusListForOverdueComplete.add(status);
						}
				});
			}
		}

		// 当前计划子任务都为未完成状态
		if (statusList.size()> 0 && statusList.size() <= showVOList.size()
				|| (statusListForOverdueComplete.size()>0 && statusListForOverdueComplete.size() != showVOList.size())) { // 只要有子任务为超期或者不全是超期则都为超期
			System.out.println("执行更新计划状态->计划名称：" + planVO.getJhName() + "  计划主键：" + planVO.getJhId() + "为超期状态");
//			return InspectionConstant.PLAN_OVERDUE_STATUS;
			return InspectionConstant.PLAN_AND_TASK_FINISHED_STATUS;
		} else if (statusListForOverdueComplete.size()>0 && statusListForOverdueComplete.size() == showVOList.size()) { // 只有所有子任务全部超期完成才更改主任务为超期完成
			System.out.println("执行更新计划状态->计划名称：" + planVO.getJhName() + "  计划主键：" + planVO.getJhId() + "为超期完成状态");
//			return InspectionConstant.PLAN_OVERDUE_COMPLETE_STATUS;
			return InspectionConstant.PLAN_AND_TASK_FINISHED_STATUS;
		}
		return null;
	}

	//时间比较
    public static boolean dateCompare(Date date, Date date1, Date date2) {
        //是否在指定区间
        boolean isInRange = false;
        //转化数字
        long timeOne = date.getTime();
        long timeTwo = date1.getTime();
        long timeThree = date2.getTime();
        //在指定区间
        if (timeOne >= timeTwo && timeOne <= timeThree) {
            isInRange = true;
        }
        return isInRange;
    }
}
