package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author WangZL
 * @version 1.0
 * @Title CheckWorkLogQueryVO
 * @ProjectName 工作日志业务查询对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("工作日志业务查询对象")
public class CheckWorkLogQueryVO extends BaseVO {

    @ApiModelProperty(value = "检查开始时间（yyyy-MM-dd）", notes ="检查开始时间（yyyy-MM-dd）", required = false)
    @Column(name = "jcKssj")
    private String jcKssj;

    @ApiModelProperty(value = "检查结束时间（yyyy-MM-dd）", notes ="检查结束时间（yyyy-MM-dd）", required = false)
    @Column(name = "jcJssj")
    private String jcJssj;

    @ApiModelProperty(value = "被检企业编号", notes ="被检企业编号", required = false)
    @Column(name = "bjdwId")
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称", required = false)
    @Column(name = "bjdwName")
    private String bjdwName;

    @ApiModelProperty(value = "权限", notes ="权限", required = false)
    private String orgId;

    public CheckWorkLogQueryVO(String jcKssj, String jcJssj, String bjdwId) {
        super();
        this.jcKssj = jcKssj;
        this.jcJssj = jcJssj;
        this.bjdwId = bjdwId;
    }

    public CheckWorkLogQueryVO() {
    }

}
