package com.unis.inspectionresult.common.vo;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("表单信息类")
public class FormfieldsVO extends BaseVO  {
	
	/**
	 * 表单id  BD+20190822+001
	 */
	@ApiModelProperty("表单id")
    private String bdId;

	/**
	 * 表单名称
	 */
	@ApiModelProperty("表单名称")
    private String bdName;

	/**
	 * 所属单位代码
	 */
	@ApiModelProperty("所属单位代码")
    private String dwDm;

	/**
	 * 所属单位名称
	 */
	@ApiModelProperty("所属单位名称")
    private String dwMc;
	
	/**
	 * 任务类型编号
	 */
	@ApiModelProperty("任务类型编号")
    private String rwlxId;

	/**
	 * 任务类型编号集合
	 */
	@ApiModelProperty("任务类型编号")
	private List<String> rwlxIdList;
	/**
	 * 任务类型名称
	 */
	@ApiModelProperty("任务类型名称")
    private String rwlxmc;
	
	
	@ApiModelProperty("任务类型名称集合")
	private List<String> rwlxmcList;

	/**
	 * 账实相符
	 */
	@ApiModelProperty("账实相符")
    private String zsxf;

	/**
	 * 仓房无虫害（0、有，1、无）
	 */
	@ApiModelProperty("仓房无虫害（0、有，1、无）")
    private String cfWch;

	/**
	 *  仓房无变质（0、有，1、无）
	 */
	@ApiModelProperty("仓房无变质（0、有，1、无）")
    private String cfWbz;

	/**
	 * 仓房无鼠雀（0、有，1、无）
	 */
	@ApiModelProperty("仓房无鼠雀（0、有，1、无）")
    private String cfWsq;

	/**
	 * 仓房无事故（0、有，1、无）
	 */
	@ApiModelProperty("仓房无事故（0、有，1、无）")
    private String cfWsg;

	/**
	 * 仓储管理制度及一规定两守则培训情况
	 */
	@ApiModelProperty("仓储管理制度及一规定两守则培训情况")
    private String ccglzdjyglzpxqk;

	/**
	 * 仓储管理制度
	 */
	@ApiModelProperty("仓储管理制度")
    private String ccglzd;

	/**
	 * 一规定两守则培训情况
	 */
	@ApiModelProperty("一规定两守则培训情况")
    private String yglzpxqk;

	/**
	 * 安全生产制度及储粮化学药剂管理
	 */
	@ApiModelProperty("安全生产制度及储粮化学药剂管理")
    private String aqsczdjclhxyjgl;

	/**
	 * 整改落实情况（0、未整改。1、已整改）
	 */
	@ApiModelProperty("整改落实情况（0、未整改。1、已整改）")
    private String cfzglsqk;

	/**
	 * 防雨汛措施落实情况
	 */
	@ApiModelProperty("防雨汛措施落实情况")
    private String fyfxcslsqk;

	/**
	 * 安全储粮情况
	 */
	@ApiModelProperty("安全储粮情况")
    private String aqclqk;

	/**
	 * 安全生产情况
	 */
	@ApiModelProperty("安全生产情况")
    private String aqscqk;

	/**
	 * 科学保粮主要做法
	 */
	@ApiModelProperty("科学保粮主要做法")
    private String kxblzyzf;

	/**
	 * 全年熏蒸用药量
	 */
	@ApiModelProperty("全年熏蒸用药量")
    private String qnxzyyl;

	/**
	 * 是否备案（0、未备案。1、备案）
	 */
	@ApiModelProperty("是否备案（0、未备案。1、备案）")
    private String sfba;

	/**
	 * 库容库貌设备设施情况
	 */
	@ApiModelProperty("库容库貌设备设施情况")
    private String krkmsssb;

	/**
	 * 检查情况和建议
	 */
	@ApiModelProperty("检查情况和建议")
    private String jcqkjjy;

	/**
	 * 表单提交人
	 */
	@ApiModelProperty("表单提交人")
    private String bdTjr;

	/**
	 * 提交人编号
	 */
	@ApiModelProperty("提交人编号")
    private String bdTjrbh;

	/**
	 * 提交时间
	 */
	@ApiModelProperty("提交时间")
	@DateTimeFormat(pattern = "yyyy-MM-d")
    private Date bdTjsj;

	/**
	 * 表单启用开始时间
	 */
	@ApiModelProperty("表单启用开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-d")
    private Date bdQykssj;

	/**
	 * 表单启用结束时间
	 */
	@ApiModelProperty("表单启用结束时间")
	@DateTimeFormat(pattern = "yyyy-MM-d")
    private Date bdQyjssj;

	/**
	 * 表单路由（前端配置表单跳转页面）
	 */
	@ApiModelProperty("表单路由（前端配置表单跳转页面）")
    private String bdLu;

	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("表单状态（0、禁用。1、启用）")
    private Integer bdZt;

}