package com.unis.inspectionresult.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationAcceptanceVO
 * @ProjectName 整改验收单业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_ZGYSD")
@ApiModel(value = "整改验收单业务对象",description = "E")
public class RectificationAcceptanceVO extends BaseVO {

    @ApiModelProperty(value = "主键id  验收单id(结果id +YS+001)", notes ="主键id  验收单id(结果id +YS+001)", required = false)
    @Id
    @Column(name = "ysdId")
    private String ysdId;

    @ApiModelProperty(value = "结果id(任务id+001)", notes ="结果id(任务id+001)", required = false)
    @Column(name = "jgId")
    private String jgId;

    @ApiModelProperty(value = "验收状态  0、验收不通过。1、验收通过", notes ="验收状态  0、验收不通过。1、验收通过", required = false)
    @Column(name = "yszt")
    private Integer yszt;

    @ApiModelProperty(value = "验收结果", notes ="验收结果", required = false)
    @Column(name = "ysjg")
    private String ysjg;

    @ApiModelProperty(value = "检查企业盖章", notes ="检查企业盖章", required = false)
    @Column(name = "jcqygz")
    private String jcqygz;

    @ApiModelProperty(value = "检查企业盖章ID", notes ="检查企业盖章ID", required = false)
    @Column(name = "jcqygzId")
    private String jcqygzId;

    @ApiModelProperty(value = "检查企业签字", notes ="检查企业签字", required = false)
    @Column(name = "jcqyqz")
    private String jcqyqz;

    @ApiModelProperty(value = "承储企业盖章", notes ="承储企业盖章", required = false)
    @Column(name = "ccqygz")
    private String ccqygz;

    @ApiModelProperty(value = "承储企业盖章ID", notes ="承储企业盖章ID", required = false)
    @Column(name = "ccqygzId")
    private String ccqygzId;

    @ApiModelProperty(value = "承储企业签字", notes ="承储企业签字", required = false)
    @Column(name = "ccqyqz")
    private String ccqyqz;

    @ApiModelProperty(value = "结果提交人", notes ="结果提交人", required = false)
    @Column(name = "jgTjr")
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号", required = false)
    @Column(name = "jgTjrbh")
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间", required = false)
    @Column(name = "jgTjsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgTjsj;

    @ApiModelProperty(value = "文件列表", notes ="文件列表", required = false)
    private List<FileVO> fileVOList;

    public RectificationAcceptanceVO(String ysdId, String jgId, Integer yszt, String ysjg, String jcqygz,
                                     String jcqygzId, String jcqyqz, String ccqygz, String ccqygzId, String ccqyqz,
                                     String jgTjr, String jgTjrbh, Date jgTjsj, List<FileVO> fileVOList) {
        super();
        this.ysdId = ysdId;
        this.jgId = jgId;
        this.yszt = yszt;
        this.ysjg = ysjg;
        this.jcqygz = jcqygz;
        this.jcqygzId = jcqygzId;
        this.jcqyqz = jcqyqz;
        this.ccqygz = ccqygz;
        this.ccqygzId = ccqygzId;
        this.ccqyqz = ccqyqz;
        this.jgTjr = jgTjr;
        this.jgTjrbh = jgTjrbh;
        this.jgTjsj = jgTjsj;
        this.fileVOList = fileVOList;
    }

    public RectificationAcceptanceVO() {
    }

}
