package com.unis.inspectionresult.common.vo;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckTransferredToDealWithVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackVO
 * @ProjectName 整改反馈实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value = "整改反馈单业务对象",description = "D")
public class RectificationFeedbackVO extends BaseVO {

    @Length(max=32,message="主键id最大为32字符")
    @ApiModelProperty(value = "主键id  整改反馈单id(结果id+FK+001)", notes ="主键id  整改反馈单id(结果id+FK+001)", required = false)
    @Column(name="FKD_ID",length=32)
    private String fkdId;

    @ApiModelProperty(value = "结果id(任务id+001)", notes ="结果id(任务id+001)", required = false)
    @Column(name="JG_ID",length=32)
    private String jgId;

    @ApiModelProperty(value = "粮食粮责（晋粮等等）", notes ="粮食粮责（晋粮等等）", required = false)
    @Column(name="LSLZ",length=18)
    private String lslz;

    @ApiModelProperty(value = "粮食粮字（晋粮等等）", notes ="粮食粮字（晋粮等等）", required = false)
    @Column(name="LSLZZ",length=5)
    private String lslzz;

    @ApiModelProperty(value = "粮食良号（晋粮等等）", notes ="粮食良号（晋粮等等）", required = false)
    @Column(name="LSLH",length=5)
    private String lslh;

    @ApiModelProperty(value = "储备粮整改措施", notes ="储备粮整改措施", required = false)
    @Column(name="ZGCS",length=500)
    private String zgcs;

    @ApiModelProperty(value = "承储企业负责人", notes ="承储企业负责人", required = false)
    @Column(name="CCQYFZR",length=32)
    private String ccqyfzr;

    @ApiModelProperty(value = "惩处企业盖章", notes ="惩处企业盖章", required = false)
    @Column(name="CCQYGZ",length=4000)
    private String ccqygz;

    @ApiModelProperty(value = "惩处企业盖章ID", notes ="惩处企业盖章ID", required = false)
    @Column(name = "CCQYGZ_ID",length = 32)
    private String ccqygzId;

    @ApiModelProperty(value = "结果提交人", notes ="结果提交人", required = false)
    @Column(name="JG_TJR",length=56)
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号", required = false)
    @Column(name="JG_TJRBH",length=18)
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间", required = false)
    @Column(name="JG_TJSJ",length=7)
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgTjsj;

    @ApiModelProperty(value = "开始时间", notes ="开始时间", required = false)
    @Column(name = "kssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date kssj;

    @ApiModelProperty(value = "结束时间", notes ="结束时间", required = false)
    @Column(name = "jssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jssj;

    @ApiModelProperty(value = "整改反馈明细列表", notes ="整改反馈明细列表", required = false)
    private List<RectificationFeedbackDetailedVO> rectificationFeedbackDetailedVOList;

    @ApiModelProperty(value = "文件列表", notes ="文件列表", required = false)
    private List<FileVO> fileVOList;

    @ApiModelProperty(value = "审批意见", notes ="审批意见", required = false)
    private ApprovalOpinionsVO approvalOpinionsVO;

    @ApiModelProperty(value = "区粮办办结处理结果")
    private DailyCheckTransferredToDealWithVO transferredToDealWithVO;

    public RectificationFeedbackVO(String fkdId, String jgId, String lslz, String lslzz, String lslh, String zgcs,
                                   String ccqyfzr, String ccqygz, String ccqygzId, String jgTjr, String jgTjrbh,
                                   Date jgTjsj, Date kssj, Date jssj,
                                   List<RectificationFeedbackDetailedVO> rectificationFeedbackDetailedVOList,
                                   List<FileVO> fileVOList, ApprovalOpinionsVO approvalOpinionsVO) {
        super();
        this.fkdId = fkdId;
        this.jgId = jgId;
        this.lslz = lslz;
        this.lslzz = lslzz;
        this.lslh = lslh;
        this.zgcs = zgcs;
        this.ccqyfzr = ccqyfzr;
        this.ccqygz = ccqygz;
        this.ccqygzId = ccqygzId;
        this.jgTjr = jgTjr;
        this.jgTjrbh = jgTjrbh;
        this.jgTjsj = jgTjsj;
        this.kssj = kssj;
        this.jssj = jssj;
        this.rectificationFeedbackDetailedVOList = rectificationFeedbackDetailedVOList;
        this.fileVOList = fileVOList;
        this.approvalOpinionsVO = approvalOpinionsVO;
    }

    public RectificationFeedbackVO() {
    }
}
