package com.unis.inspectionresult.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title rectificationNoticeVO
 * @ProjectName 责令整改通知单实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value = "责令整改通知单业务对象",description="C")
public class RectificationNoticeVO extends BaseVO {

    @ApiModelProperty(value = "责令整改通知单id(结果id+TZ+001)", notes ="责令整改通知单id(结果id+TZ+001)", required = false)
    @Column(name="TZD_ID",length=56)
    private String tzdId;

    @ApiModelProperty(value = "结果id(任务id+001)", notes ="结果id(任务id+001)", required = false)
    @Column(name="JG_ID",length=56)
    private String jgId;

    @ApiModelProperty(value = "检查单位ID", notes ="检查单位ID", required = false)
    @Column(name="JCDW_ID",length=30)
    private String jcdwId;

    @ApiModelProperty(value = "检查单位名称", notes ="检查单位名称", required = false)
    @Column(name="JCDWMC",length=128)
    private String jcdwmc;

    @ApiModelProperty(value = "检查企业盖章", notes ="检查企业盖章", required = false)
    @Column(name = "jcqygz")
    private String jcqygz;

    @ApiModelProperty(value = "检查企业签字", notes ="检查企业签字", required = false)
    @Column(name = "jcqyqz")
    private String jcqyqz;

    @ApiModelProperty(value = "被检企业编号", notes ="被检企业编号", required = false)
    @Column(name="BJDW_ID",length=18)
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称", required = false)
    @Column(name="BJDW_NAME",length=56)
    private String bjdwName;

    @ApiModelProperty(value = "被检企业地址", notes ="被检企业地址", required = false)
    @Column(name="BJDW_DZ",length=128)
    private String bjdwDz;

    @ApiModelProperty(value = "粮食粮责（晋粮等等）", notes ="粮食粮责（晋粮等等）", required = false)
    @Column(name="LSLZ",length=18)
    private String lslz;

    @ApiModelProperty(value = "粮食粮字（晋粮等等）", notes ="粮食粮字（晋粮等等）", required = false)
    @Column(name="LSLZZ",length=5)
    private String lslzz;

    @ApiModelProperty(value = "粮食粮号（晋粮等等）", notes ="粮食粮号（晋粮等等）", required = false)
    @Column(name="LSLH",length=5)
    private String lslh;

    @ApiModelProperty(value = "被检仓房（多个逗号隔开）", notes ="被检仓房（多个逗号隔开）", required = false)
    @Column(name="BJCF",length=258)
    private String bjcf;

    @ApiModelProperty(value = "异常情况", notes ="异常情况", required = false)
    @Column(name="YCQK",length=1000)
    private String ycqk;

    @ApiModelProperty(value = "整改要求", notes ="整改要求", required = false)
    @Column(name="ZGYQ",length=1000)
    private String zgyq;

    @ApiModelProperty(value = "限期整改要求", notes ="限期整改要求", required = false)
    @Column(name = "XQZGYQ",length=1000)
    private String xqzgyq;

    @ApiModelProperty(value = "违反行为", notes ="违反行为", required = false)
    @Column(name="WFXW",length=256)
    private String wfxw;

    @ApiModelProperty(value = "违反条例", notes ="违反条例", required = false)
    @Column(name="WFTL",length=256)
    private String wftl;

    @ApiModelProperty(value = "检查时间", notes ="检查时间", required = false)
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcsj;

    @ApiModelProperty(value = "整改结束时间", notes ="整改结束时间", required = false)
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjssj;

    @ApiModelProperty(value = "联系人", notes ="联系人", required = false)
    @Column(name="LXR",length=32)
    private String lxr;

    @ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
    @Column(name="LXDH",length=18)
    private String lxdh;

    @ApiModelProperty(value = "结果提交人", notes ="结果提交人", required = false)
    @Column(name="JG_TJR",length=230)
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号", required = false)
    @Column(name="JG_TJRBH",length=18)
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name="JG_TJSJ")
    private Date jgTjsj;

    @ApiModelProperty(value = "检查地点类型：1、所在地。2、注册地。3、其他", notes ="检查地点类型：1、所在地。2、注册地。3、其他", required = false)
    @Column(name = "jcddlx")
    private Integer jcddlx;

    @ApiModelProperty(value = "是否人工送达：0、否。1、是", notes ="是否人工送达：0、否。1、是", required = false)
    @Column(name = "sfrgsd")
    private Integer sfrgsd;

    @ApiModelProperty(value = "下发时间", notes ="下发时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "xfsj")
    private Date xfsj;

    @ApiModelProperty(value = "送达时间", notes ="送达时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @Column(name = "sdsj")
    private Date sdsj;

    @ApiModelProperty(value = "接收人", notes ="接收人", required = false)
    @Column(name = "jsr")
    private String jsr;

    @ApiModelProperty(value = "是否存在整改数据", notes ="是否存在整改数据", required = false)
    @Column(name = "isycqk")
    private String isycqk;


    public RectificationNoticeVO(String tzdId, String jgId, String jcdwId, String jcdwmc, String jcqygz,
                                 String jcqyqz, String bjdwId, String bjdwName, String bjdwDz, String lslz,
                                 String lslzz, String lslh, String bjcf, String ycqk, String zgyq, String xqzgyq,
                                 String wfxw, String wftl, Date jcsj, Date zgjssj, String lxr, String lxdh,
                                 String jgTjr, String jgTjrbh, Date jgTjsj, Integer jcddlx, Integer sfrgsd, Date xfsj,
                                 Date sdsj, String jsr,String isycqk,
                                 List<RectificationDetailsVO> rectificationDetailsVOList, List<FileVO> fileVOList) {
        super();
        this.tzdId = tzdId;
        this.jgId = jgId;
        this.jcdwId = jcdwId;
        this.jcdwmc = jcdwmc;
        this.jcqygz = jcqygz;
        this.jcqyqz = jcqyqz;
        this.bjdwId = bjdwId;
        this.bjdwName = bjdwName;
        this.bjdwDz = bjdwDz;
        this.lslz = lslz;
        this.lslzz = lslzz;
        this.lslh = lslh;
        this.bjcf = bjcf;
        this.ycqk = ycqk;
        this.zgyq = zgyq;
        this.xqzgyq = xqzgyq;
        this.wfxw = wfxw;
        this.wftl = wftl;
        this.jcsj = jcsj;
        this.zgjssj = zgjssj;
        this.lxr = lxr;
        this.lxdh = lxdh;
        this.jgTjr = jgTjr;
        this.jgTjrbh = jgTjrbh;
        this.jgTjsj = jgTjsj;
        this.jcddlx = jcddlx;
        this.sfrgsd = sfrgsd;
        this.xfsj = xfsj;
        this.sdsj = sdsj;
        this.jsr = jsr;
        this.isycqk=isycqk;
        this.rectificationDetailsVOList = rectificationDetailsVOList;
        this.fileVOList = fileVOList;
    }

    public RectificationNoticeVO() {
    }

    @ApiModelProperty(value = "整改详情列表", notes ="整改详情列表", required = false)
    private List<RectificationDetailsVO> rectificationDetailsVOList;

    @ApiModelProperty(value = "文件列表", notes ="文件列表", required = false)
    private List<FileVO> fileVOList;

}
