package com.unis.inspectionresult.common.vo;// 导入相关的包

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.vo.resultback.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

// 使用@ApiModel注解为类添加描述
@ApiModel(description = "日常检查主表实体类")
@Data
public class TrcjczbVO extends BaseVO implements Serializable {

    // 使用@ApiModelProperty注解为属性添加描述
    @ApiModelProperty(value = "主键")
    // 使用@Id注解标识这是主键
    private String id;


    @ApiModelProperty(value = "被检单位名称")
    private String bjdwmc; // 被检单位名称

    @ApiModelProperty(value = "被检单位编码(统一社会信用代码+001)")
    private String bjdwbm; // 被检单位编码

    @ApiModelProperty(value = "社会统一信用代码")
    private String tyshxydm; // 社会统一信用代码

    @ApiModelProperty(value = "住址（地址）")
    private String zz; // 住址（地址）

    @ApiModelProperty(value = "法定代表人（负责人）")
    private String fddbr; // 法定代表人（负责人）

    @ApiModelProperty(value = "联系电话")
    private String phone; // 联系电话

    @ApiModelProperty(value = "被检单位类型（承储企业、社会企业）")
    private String bjdwlx; // 检查单位类型

    @ApiModelProperty(value = "检查项目（安全生产、储粮安全、质量安全、防雨防汛）")
    private String jcxm; // 检查项目

    @ApiModelProperty(value = "检查单位名称")
    private String jcdwmc; // 检查单位名称

    @ApiModelProperty(value = "检查单位编码(统一社会信用代码+001)")
    private String jcdwbm; // 检查单位编码

    @ApiModelProperty(value = "检查方式（现场检查、远程检查）")
    private String jcfs; // 检查方式

    // 检查仓房名称
    @ApiModelProperty(value = "检查仓房名称,多个逗号隔开")
    @Column(name = "jccfmc")
    private String jccfmc; // 检查仓房名称

    // 检查仓房编码
    @ApiModelProperty(value = "检查仓房编码,多个逗号隔开")
    @Column(name = "jccfbm")
    private String jccfbm; // 检查仓房编码

    // 检查内容
    @ApiModelProperty(value = "检查内容")
    private String jcnr; // 检查内容

    @ApiModelProperty(value = "检查开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jckssj; // 检查开始时间

    @ApiModelProperty(value = "检查结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jcjssj; // 检查结束时间

    // 检查年份
    @ApiModelProperty(value = "检查年份")
    private String jcnf; // 检查年份

    @ApiModelProperty(value = "检查人员")
    private String jcry; // 检查人员

    @ApiModelProperty(value = "是否发现问题,0否1是")
    private String sffxwt; // 是否发现问题

    // 检查发现问题附件
    @ApiModelProperty(value = "检查发现问题附件")
    private String jcfxwtfj; // 检查发现问题附件

    // 检查发现问题备注
    @ApiModelProperty(value = "检查发现问题备注")
    private String jcfxwtbz; // 检查发现问题备注

    // 检查发现问题提交人
    @ApiModelProperty(value = "检查发现问题提交人")
    private String jcfxwttjr; // 检查发现问题提交人

    // 检查发现问题提交时间
    @ApiModelProperty(value = "检查发现问题提交时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jcfxwttjsj; // 检查发现问题提交时间

    // 被查单位盖章
    @ApiModelProperty(value = "被查单位盖章")
    private String bjdwgz; // 被查单位盖章

    // 审核状态
    @ApiModelProperty(value = "审核状态：已提交,保存，已撤回，待确认，已确认待盖章，待整改，整改超期，已整改待盖章，签章驳回，已驳回，超期完成，已完成")
    private String shzt; // 审核状态

    // 检查类型
    @ApiModelProperty(value = "整改类型：无需整改，现场整改,限期整改")
    private String zglx; // 整改类型

    // 是否需属地跟踪整改情况
    @ApiModelProperty(value = "是否需属地跟踪整改情况,0否1是")
    private String sfxsdgzgqk; // 是否需属地跟踪整改情况

    // orgCode
    @ApiModelProperty(value = "orgCode")
    private String orgCode; // orgCode

    // 完成时间
    @ApiModelProperty(value = "完成时间(整改后签章完成的时间)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date wcsj; // 完成时间(整改后签章完成的时间)

    // 被检查企业确认情况
    @ApiModelProperty(value = "被检查企业确认情况")
    private String bjcqyqrqk; // 被检查企业确认情况

    // 确认附件
    @ApiModelProperty(value = "确认附件")
    private String qrfj; // 确认附件

    // 确认备注
    @ApiModelProperty(value = "确认备注")
    private String qrbz; // 确认备注

    // 确认人
    @ApiModelProperty(value = "确认人")
    private String qrr; // 确认人

    // 确认时间
    @ApiModelProperty(value = "确认时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date qrsj; // 确认时间

    // pageType
    @ApiModelProperty(value = "pageType，1：市级管理端，2: 区级管理端，3：企业端")
    private String pageType; // pageType

    @ApiModelProperty(value = "检查开始时间查询条件（开始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jckssjks; // 检查开始时间查询条件（开始）

    @ApiModelProperty(value = "检查开始时间查询条件（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jckssjjs; // 检查开始时间查询条件（结束）

    @ApiModelProperty(value = "检查结束时间查询条件（开始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jcjssjks; // 检查结束时间查询条件（开始）

    @ApiModelProperty(value = "检查结束时间查询条件（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jcjssjjs; // 检查结束时间查询条件（结束）

    // 是否可撤回
    @ApiModelProperty(value = "是否可撤回，0否1是")
    private String sfkch; // 是否可撤回

    // 是否可驳回
    @ApiModelProperty(value = "是否可驳回，0否1是")
    private String sfkbh; // 是否可驳回

    List<TrcjcfxwtVO> trcjcfxwtVOList;

    TrcjczgqkVO trcjczgqkVO;

    TrcjcshqkVO trcjcshqkVO;
}
