package com.unis.inspectionresult.common.vo;// 导入相关的包

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

// 使用@ApiModel注解为类添加描述
@ApiModel(description = "日常检查被检查企业整改情况实体类")
@Data
@Table(name = "t_rcjczgqk")
public class TrcjczgqkVO {

    // 使用@ApiModelProperty注解为属性添加描述
    @ApiModelProperty(value = "主键")
    private String id;

    // 日常检查主表id
    @ApiModelProperty(value = "日常检查主表id")
    private String jcid;

    // 企业整改原因及效果
    @ApiModelProperty(value = "企业整改原因及效果")
    private String qyzgyyjxg;

    // 附件
    @ApiModelProperty(value = "附件")
    private String fj;

    // 备注
    @ApiModelProperty(value = "备注")
    private String bz;

    // 上报人
    @ApiModelProperty(value = "上报人")
    private String sbr;

    // 上报时间
    @ApiModelProperty(value = "上报时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date sbsj;

    // 是否最新记录
    @ApiModelProperty(value = "是否最新记录,0：否，1：是")
    private String sfzxjl;
}
