package com.unis.inspectionresult.common.vo.resultback;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * 基础实体类
 * 所有继承该实体类的实体在映射成表的时候会自动加入该类中的字段
 *
 * @author huangxing
 */
@Getter
@Setter
public abstract class BaseVO implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
     * 状态默认为1
     */
   @ApiModelProperty("状态")
    private int status = 1;
    
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createor;
    
    /**
     * 创建人编号
     */
    @ApiModelProperty("创建人编号")
    private String createorCode;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createDate;

    /**
     * 刷新时间
     */
    @ApiModelProperty("刷新时间")
    private Date refreshTime;
    
    /**
     * 刷新人
     */
    @ApiModelProperty("刷新人")
    private String refresher;
    
    /**
     * 刷新时间
     */
    @ApiModelProperty("刷新时间")
    private Date refreshDate;
    
    /**
     * 刷新人编号
     */
    @ApiModelProperty("刷新人编号")
    private String refresherCode;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

   /**
    * 以下为待办相关字段
    */
   @ApiModelProperty(value = "待办用户")
   List<ReceiverCollectionVO> userList;

   @ApiModelProperty(value = "事项详情Url")
   private String itemUrl;// 事项详情url

   private String itemQuery; // 详情跳转参数 （BacklogAddVO）

   private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）
}
