/*
* DailyCheckResultDetailListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * T_BDJLZB-表单记录主表
 * @author lipenghe at 2019-08-26 16:21:29
 */
@ApiModel(value = "T_BDJLZB:表单记录主表-DailyCheckResultDetailListVO")
@Data
@Table(name="T_BDJLZB")
public class DailyCheckResultDetailListVO implements Serializable{

    @ApiModelProperty(value = "表单主表id#<主键><非空>", notes ="表单主表id")
    @Id
    @Column(name="BDZBID")
    private String bdzbid;

    @ApiModelProperty(value = "结果id#结果id(任务id+001)", notes ="结果id")
    @Column(name="JG_ID")
    private String jgId;

    @ApiModelProperty(value = "表单路由", notes ="表单路由")
    @Column(name="BD_LU")
    private String bdLu;

    @ApiModelProperty(value = "表单id#BD+20190822+001", notes ="表单id")
    @Column(name="BD_ID")
    private String bdId;

    @ApiModelProperty(value = "表单名称", notes ="表单名称")
    @Column(name="BD_NAME")
    private String bdName;

    @ApiModelProperty(value = "表单状态id", notes ="表单状态id")
    @Column(name="BDZT")
    private String bdzt;

    @ApiModelProperty(value = "表单状态名称", notes ="表单状态名称")
    @Column(name="BDZTMC")
    private String bdztmc;

    @ApiModelProperty(value = "所属单位代码", notes ="所属单位代码")
    @Column(name="DW_DM")
    private String dwDm;

    @ApiModelProperty(value = "所属单位名称", notes ="所属单位名称")
    @Column(name="DW_MC")
    private String dwMc;

    @ApiModelProperty(value = "检查过程及有关情况", notes ="检查过程及有关情况")
    @Column(name="JCGCJYGQK")
    private String jcgcjygqk;

    @ApiModelProperty(value = "被检查人对检查的意见", notes ="被检查人对检查的意见")
    @Column(name="BJCRDJCDYJ")
    private String bjcrdjcdyj;

    @ApiModelProperty(value = "被检查人签字", notes ="被检查人签字")
    @Column(name="BJCRQZ")
    private String bjcrqz;

    @ApiModelProperty(value = "被检查人盖章", notes ="被检查人盖章")
    @Column(name="BJCRGZ")
    private String bjcrgz;

    @ApiModelProperty(value = "账实相符情况", notes ="账实相符情况")
    @Column(name="ZSXF")
    private String zsxf;

    @ApiModelProperty(value = "仓房无虫害#(0、有，1、无)", notes ="仓房无虫害")
    @Column(name="CF_WCH")
    private String cfWch;

    @ApiModelProperty(value = "仓房无变质#(0、有，1、无)", notes ="仓房无变质")
    @Column(name="CF_WBZ")
    private String cfWbz;

    @ApiModelProperty(value = "仓房无鼠雀#(0、有，1、无)", notes ="仓房无鼠雀")
    @Column(name="CF_WSQ")
    private String cfWsq;

    @ApiModelProperty(value = "仓房无事故#(0、有，1、无)", notes ="仓房无事故")
    @Column(name="CF_WSG")
    private String cfWsg;

    @ApiModelProperty(value = "仓储管理制度和一规定两守则培训情况", notes ="仓储管理制度和一规定两守则培训情况")
    @Column(name="CCGLZDJYGLZPXQK")
    private String ccglzdjyglzpxqk;

    @ApiModelProperty(value = "仓储管理制度", notes ="仓储管理制度")
    @Column(name="CCGLZD")
    private String ccglzd;

    @ApiModelProperty(value = "一规定两守则培训情况", notes ="一规定两守则培训情况")
    @Column(name="YGLZPXQK")
    private String yglzpxqk;

    @ApiModelProperty(value = "安全生产制度及储粮化学药剂管理", notes ="安全生产制度及储粮化学药剂管理")
    @Column(name="AQSCZDJCLHXYJGL")
    private String aqsczdjclhxyjgl;

    @ApiModelProperty(value = "春防/夏防/冬防整改落实情况", notes ="春防/夏防/冬防整改落实情况")
    @Column(name="CFZGLSQK")
    private String cfzglsqk;

    @ApiModelProperty(value = "防雨汛措施落实情况", notes ="防雨汛措施落实情况")
    @Column(name="FYFXCSLSQK")
    private String fyfxcslsqk;

    @ApiModelProperty(value = "安全储粮情况", notes ="安全储粮情况")
    @Column(name="AQCLQK")
    private String aqclqk;

    @ApiModelProperty(value = "隐患排查情况", notes ="隐患排查情况")
    @Column(name="YHPCQK")
    private String yhpcqk;

    @ApiModelProperty(value = "安全生产情况", notes ="安全生产情况")
    @Column(name="AQSCQK")
    private String aqscqk;

    @ApiModelProperty(value = "科学保粮主要做法", notes ="科学保粮主要做法")
    @Column(name="KXBLZYZF")
    private String kxblzyzf;

    @ApiModelProperty(value = "全年熏蒸用药量", notes ="全年熏蒸用药量")
    @Column(name="QNXZYYL")
    private String qnxzyyl;

    @ApiModelProperty(value = "是否备案#(0、未备案。1、备案)", notes ="是否备案")
    @Column(name="SFBA")
    private String sfba;

    @ApiModelProperty(value = "库容库貌设备设施情况", notes ="库容库貌设备设施情况")
    @Column(name="KRKMSSSB")
    private String krkmsssb;

    @ApiModelProperty(value = "检查情况和建议", notes ="检查情况和建议")
    @Column(name="JCQKJJY")
    private String jcqkjjy;

    @ApiModelProperty(value = "表单见证人", notes ="表单见证人")
    @Column(name="BD_JZR")
    private String bdJzr;

    @ApiModelProperty(value = "表单填写人=记录人", notes ="表单填写人=记录人")
    @Column(name="BD_TXR")
    private String bdTxr;

    @ApiModelProperty(value = "填写人编号", notes ="填写人编号")
    @Column(name="BD_TXRBH")
    private String bdTxrbh;

    @ApiModelProperty(value = "填写时间", notes ="填写时间")
    @Column(name="BD_TXSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bdTxsj;

    @ApiModelProperty(value = "单位负责人", notes ="单位负责人")
    @Column(name="DWFZR")
    private String dwfzr;

    @ApiModelProperty(value = "检查人", notes ="检查人")
    @Column(name="JCR")
    private String jcr;

    @ApiModelProperty(value = "被检仓号编号", notes ="被检仓号编号")
    @Column(name="BJCHBH")
    private String bjchbh;

    @ApiModelProperty(value = "被检仓号名称", notes ="被检仓号名称")
    @Column(name="BJCHMC")
    private String bjchmc;
    
    @ApiModelProperty(value = "被检仓房仓型(被检罐号灌型)", notes ="被检仓房仓型(被检罐号灌型)")
    @Column(name="BJCfcx")
    private String bjcfcx;
    
    @ApiModelProperty(value = "被检仓房垛号(被检罐号铅封号)", notes ="被检仓房仓型(被检罐号铅封号)")
    @Column(name="bjcfdh")
    private String bjcfdh;
    
    @ApiModelProperty(value = "被检仓房区号", notes ="被检仓房区号")
    @Column(name="bjcfqh")
    private String bjcfqh;
    
    @ApiModelProperty(value = "被检仓房规格", notes ="被检仓房规格")
    @Column(name="bjcfgg")
    private String bjcfgg;
    
    @ApiModelProperty(value = "被检仓房箱数", notes ="被检仓房箱数")
    @Column(name="bjcfxs")
    private String bjcfxs;
    
    @ApiModelProperty(value = "被检仓房包树", notes ="被检仓房包树")
    @Column(name="bjcfbs")
    private String bjcfbs;
    
    @ApiModelProperty(value = "被检仓房包装", notes ="被检仓房包装")
    @Column(name="bjcfbz")
    private String bjcfbz;
    
    @ApiModelProperty(value = "害虫", notes ="害虫")
    @Column(name="cfhc")
    private String cfhc;
    
    @ApiModelProperty(value = "液位高度", notes ="液位高度")
    @Column(name="ygywgd")
    private String ygywgd;
    
    @ApiModelProperty(value = "罐体直径", notes ="罐体直径")
    @Column(name="yggnzj")
    private String yggnzj;

    @ApiModelProperty(value = "被检品种名称", notes ="被检品种名称")
    @Column(name="BJPZMC")
    private String bjpzmc;

    @ApiModelProperty(value = "被检数量", notes ="被检数量")
    @Column(name="BJSL")
    private String bjsl;

    //20200522,wys：添加字段 入仓年月、仓温、仓湿
    @Length(max=6,message="入仓年月最大为6字符")
    @ApiModelProperty(value = "入仓年月", notes ="入仓年月")
    @Column(name="RCNY", length=6)
    private String rcny;

    @ApiModelProperty(value = "仓温", notes ="仓温")
    @Column(name="CFWD", length=8, precision=8, scale=3)
    private Double cfwd;

    @ApiModelProperty(value = "仓湿", notes ="仓湿")
    @Column(name="CFSD", length=8, precision=8, scale=3)
    private Double cfsd;

    @ApiModelProperty(value = "仓储负责人", notes ="仓储负责人")
    @Column(name="CCFZR")
    private String ccfzr;

    @ApiModelProperty(value = "被检单位负责人", notes ="被检单位负责人")
    @Column(name="BJDWFZR")
    private String bjdwfzr;

    @ApiModelProperty(value = "仓内卫生情况", notes ="仓内卫生情况")
    @Column(name="CNWSQK")
    private String cnwsqk;

    @ApiModelProperty(value = "卡片填写情况", notes ="卡片填写情况")
    @Column(name="KPTXQK")
    private String kptxqk;

    @ApiModelProperty(value = "保关员汇报及粮情底数情况", notes ="保关员汇报及粮情底数情况")
    @Column(name="BGYHBJLQDSQK")
    private String bgyhbjlqdsqk;

    @ApiModelProperty(value = "药品库#熏蒸备案和全年用药量", notes ="药品库")
    @Column(name="YPKXZBAQNYYLQK")
    private String ypkxzbaqnyylqk;

    @ApiModelProperty(value = "夏防和隐患自查整改情况", notes ="夏防和隐患自查整改情况")
    @Column(name="XFHYHZCZGQK")
    private String xfhyhzczgqk;

    @ApiModelProperty(value = "小组检查意见", notes ="小组检查意见")
    @Column(name="XZJCYJ")
    private String xzjcyj;

    @ApiModelProperty(value = "检查组鉴定意见", notes ="检查组鉴定意见")
    @Column(name="JCZJDYJ")
    private String jczjdyj;

    @ApiModelProperty(value = "合计评定分", notes ="合计评定分")
    @Column(name="HJPDF")
    private Double hjpdf;

    @ApiModelProperty(value = "合计减分原因", notes ="合计减分原因")
    @Column(name="HJJFYY")
    private String hjjfyy;

    @ApiModelProperty(value = "粮食无害虫评定分", notes ="粮食无害虫评定分")
    @Column(name="LSWHCPDF")
    private Double lswhcpdf;

    @ApiModelProperty(value = "粮食无害虫减分原因", notes ="粮食无害虫减分原因")
    @Column(name="LSWHCJFYY")
    private String lswhcjfyy;

    @ApiModelProperty(value = "粮食环境#(仓房,货场,机械间)评定分", notes ="粮食环境")
    @Column(name="LSHJPDF")
    private Double lshjpdf;

    @ApiModelProperty(value = "粮食环境#(仓房,货场,机械间)减分原因", notes ="粮食环境")
    @Column(name="LSHJJFYY")
    private String lshjjfyy;

    @ApiModelProperty(value = "粮食器械#(装具,器材,机械)评定分", notes ="粮食器械")
    @Column(name="LSQXPDF")
    private Double lsqxpdf;

    @ApiModelProperty(value = "粮食器械#(装具,器材,机械)减分原因", notes ="粮食器械")
    @Column(name="LSQXJFYY")
    private String lsqxjfyy;

    @ApiModelProperty(value = "粮食无变质评定分", notes ="粮食无变质评定分")
    @Column(name="LSWBZPDF")
    private Double lswbzpdf;

    @ApiModelProperty(value = "粮食无变质减分原因", notes ="粮食无变质减分原因")
    @Column(name="LSWBZJFYY")
    private String lswbzjfyy;

    @ApiModelProperty(value = "粮食无鼠雀评定分", notes ="粮食无鼠雀评定分")
    @Column(name="LSWSQPDF")
    private Double lswsqpdf;

    @ApiModelProperty(value = "粮食无鼠雀减分原因", notes ="粮食无鼠雀减分原因")
    @Column(name="LSWSQJFYY")
    private String lswsqjfyy;

    @ApiModelProperty(value = "粮食无事故评定分", notes ="粮食无事故评定分")
    @Column(name="LSWSGPDF")
    private Double lswsgpdf;

    @ApiModelProperty(value = "粮食无事故减分原因", notes ="粮食无事故减分原因")
    @Column(name="LSWSGJFYY")
    private String lswsgjfyy;

    @ApiModelProperty(value = "粮食仓储制度评定分", notes ="粮食仓储制度评定分")
    @Column(name="LSCCZDGLPDF")
    private Double lscczdglpdf;

    @ApiModelProperty(value = "粮食仓储制度减分原因", notes ="粮食仓储制度减分原因")
    @Column(name="LSCCZDGLJFYY")
    private String lscczdgljfyy;

    @ApiModelProperty(value = "推广储粮先进制度评定分", notes ="推广储粮先进制度评定分")
    @Column(name="TGCLXJZDPDF")
    private Double tgclxjzdpdf;

    @ApiModelProperty(value = "广储粮先进制度减分原因", notes ="广储粮先进制度减分原因")
    @Column(name="TGCLXJZDJFYY")
    private String tgclxjzdjfyy;

    @ApiModelProperty(value = "库容库貌管理#改善存储条件评定分", notes ="库容库貌管理")
    @Column(name="KRKMGLPDF")
    private Double krkmglpdf;

    @ApiModelProperty(value = "库容库貌管理#改善存储条件减分原因", notes ="库容库貌管理")
    @Column(name="KRKMGLJFYY")
    private String krkmgljfyy;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态")
    @Column(name="STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建人", notes ="创建人")
    @Column(name="CREATEOR")
    private String createor;

    @ApiModelProperty(value = "创建人编号", notes ="创建人编号")
    @Column(name="CREATEOR_CODE")
    private String createorCode;

    @ApiModelProperty(value = "创建时间", notes ="创建时间")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "刷新时间", notes ="刷新时间")
    @Column(name="REFRESH_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date refreshDate;

    @ApiModelProperty(value = "降雨时间", notes ="降雨时间")
    @Column(name="JYSJ")
    private String jysj;

    @ApiModelProperty(value = "降雨量级", notes ="降雨量级")
    @Column(name="JYLJ")
    private String jylj;

    @ApiModelProperty(value = "排水情况", notes ="排水情况")
    @Column(name="PSQK")
    private String psqk;

    @ApiModelProperty(value = "雨情检查情况", notes ="雨情检查情况")
    @Column(name="YQJCQK")
    private String yqjcqk;

    @ApiModelProperty(value = "发现问题及处理情况", notes ="发现问题及处理情况")
    @Column(name="FXWTJCLQK")
    private String fxwtjclqk;

    @ApiModelProperty(value = "带班领导", notes ="带班领导")
    @Column(name="DBLD")
    private String dbld;

    @ApiModelProperty(value = "值班抢险人员", notes ="值班抢险人员")
    @Column(name="ZBQXRY")
    private String zbqxry;

    @ApiModelProperty(value = "单位领导", notes ="单位领导")
    @Column(name="DWLD")
    private String dwld;

    @ApiModelProperty(value = "电话", notes ="电话")
    @Column(name="DH")
    private String dh;

    //20200522,wys：添加字段市级储备粮检查相关的40个字段
    @Length(max=20,message="机动点位最大为20字符")
    @ApiModelProperty(value = "机动点位", notes ="机动点位")
    @Column(name="JDDW", length=20)
    private String jddw;

    @Length(max=128,message="机动点其他最大为128字符")
    @ApiModelProperty(value = "机动点位", notes ="机动点位")
    @Column(name="JDDWQT", length=128)
    private String jddwqt;

    @ApiModelProperty(value = "机动点位温度", notes ="机动点位温度")
    @Column(name="JDDWWD", length=8, precision=8, scale=3)
    private Double jddwwd;

    @Length(max=20,message="霉变程度最大为20字符")
    @ApiModelProperty(value = "霉变程度", notes ="霉变程度")
    @Column(name="MBCD", length=20)
    private String mbcd;

    @Length(max=128,message="霉变部位最大为128字符")
    @ApiModelProperty(value = "霉变部位", notes ="霉变部位")
    @Column(name="MBCDBW", length=128)
    private String mbcdbw;

    @ApiModelProperty(value = "粮食数量", notes ="粮食数量")
    @Column(name="MBCDSL", length=8, precision=8, scale=3)
    private Double mbcdsl;

    @Length(max=20,message="松散性程度最大为20字符")
    @ApiModelProperty(value = "松散性程度", notes ="松散性程度")
    @Column(name="SSXCD", length=20)
    private String ssxcd;

    @Length(max=128,message="松散性程度其他最大为128字符")
    @ApiModelProperty(value = "松散性程度其他", notes ="松散性程度其他")
    @Column(name="SSXCDQT", length=128)
    private String ssxcdqt;

    @Length(max=128,message="松散性程度部位最大为128字符")
    @ApiModelProperty(value = "松散性程度部位", notes ="松散性程度部位")
    @Column(name="SSXCDBW", length=128)
    private String ssxcdbw;

    @ApiModelProperty(value = "松散性面积", notes ="松散性面积")
    @Column(name="SSXCDMJ", length=8, precision=8, scale=3)
    private Double ssxcdmj;

    @Length(max=20,message="鼠雀程度最大为20字符")
    @ApiModelProperty(value = "鼠雀程度", notes ="鼠雀程度")
    @Column(name="SQCD", length=20)
    private String sqcd;

    @Length(max=128,message="鼠雀程度其他最大为128字符")
    @ApiModelProperty(value = "鼠雀程度其他", notes ="鼠雀程度其他")
    @Column(name="SQCDQT", length=128)
    private String sqcdqt;

    @Length(max=20,message="雨水渗漏程度最大为20字符")
    @ApiModelProperty(value = "雨水渗漏程度", notes ="雨水渗漏程度")
    @Column(name="YSCLCD", length=20)
    private String ysclcd;

    @Length(max=128,message="渗漏部位最大为128字符")
    @ApiModelProperty(value = "渗漏部位", notes ="渗漏部位")
    @Column(name="YSCLCDBW", length=128)
    private String ysclcdbw;

    @Length(max=20,message="渗漏粮食情况最大为20字符")
    @ApiModelProperty(value = "渗漏粮食情况", notes ="渗漏粮食情况")
    @Column(name="YSCLCDLSQK", length=20)
    private String ysclcdlsqk;

    @Length(max=20,message="虫卵虫絮蛛网程度最大为20字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度", notes ="虫卵虫絮蛛网程度")
    @Column(name="CLCXZZWCD", length=20)
    private String clcxzzwcd;

    @Length(max=128,message="虫卵虫絮蛛网程度其他最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度其他", notes ="虫卵虫絮蛛网程度其他")
    @Column(name="CLCXZZWCDQT", length=128)
    private String clcxzzwcdqt;

    @Length(max=128,message="虫卵虫絮蛛网部位最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网部位", notes ="虫卵虫絮蛛网部位")
    @Column(name="CLCXZZWCDBW", length=128)
    private String clcxzzwcdbw;

    @Length(max=20,message="粮情卡片最大为20字符")
    @ApiModelProperty(value = "粮情卡片", notes ="粮情卡片")
    @Column(name="LQKP", length=20)
    private String lqkp;

    @Length(max=128,message="粮情卡片其他最大为128字符")
    @ApiModelProperty(value = "粮情卡片其他", notes ="粮情卡片其他")
    @Column(name="LQKPQT", length=128)
    private String lqkpqt;

    @Length(max=20,message="卫生最大为20字符")
    @ApiModelProperty(value = "卫生", notes ="卫生")
    @Column(name="CFWS", length=20)
    private String cfws;

    @Length(max=128,message="卫生其他最大为128字符")
    @ApiModelProperty(value = "卫生其他", notes ="卫生其他")
    @Column(name="CFWSQT", length=128)
    private String cfwsqt;

    @Length(max=20,message="垛型最大为20字符")
    @ApiModelProperty(value = "垛型", notes ="垛型")
    @Column(name="CFDX", length=20)
    private String cfdx;

    @Length(max=128,message="垛型其他最大为128字符")
    @ApiModelProperty(value = "垛型其他", notes ="垛型其他")
    @Column(name="CFDXQT", length=128)
    private String cfdxqt;

    @Length(max=20,message="温湿度计最大为20字符")
    @ApiModelProperty(value = "温湿度计", notes ="温湿度计")
    @Column(name="CFWSDJ", length=20)
    private String cfwsdj;

    @Length(max=128,message="温湿度计其他最大为128字符")
    @ApiModelProperty(value = "温湿度计其他", notes ="温湿度计其他")
    @Column(name="CFWSDJQT", length=128)
    private String cfwsdjqt;

    @Length(max=20,message="走道板最大为20字符")
    @ApiModelProperty(value = "走道板", notes ="走道板")
    @Column(name="CFZDB", length=20)
    private String cfzdb;

    @Length(max=128,message="走道板其他最大为128字符")
    @ApiModelProperty(value = "走道板其他", notes ="走道板其他")
    @Column(name="CFZDBQT", length=128)
    private String cfzdbqt;

    @Length(max=20,message="装粮线最大为20字符")
    @ApiModelProperty(value = "装粮线", notes ="装粮线")
    @Column(name="CFZLX", length=20)
    private String cfzlx;

    @Length(max=128,message="装粮线其他最大为128字符")
    @ApiModelProperty(value = "装粮线其他", notes ="装粮线其他")
    @Column(name="CFZLXQT", length=128)
    private String cfzlxqt;

    @Length(max=20,message="门窗最大为20字符")
    @ApiModelProperty(value = "门窗", notes ="门窗")
    @Column(name="CFMCQK", length=20)
    private String cfmcqk;

    @Length(max=128,message="门窗其他最大为128字符")
    @ApiModelProperty(value = "门窗其他", notes ="门窗其他")
    @Column(name="CFMCQKQT", length=128)
    private String cfmcqkqt;

    @Length(max=20,message="电子测温最大为20字符")
    @ApiModelProperty(value = "电子测温", notes ="电子测温")
    @Column(name="CFDZCW", length=20)
    private String cfdzcw;

    @Length(max=128,message="电子测温其他最大为128字符")
    @ApiModelProperty(value = "电子测温其他", notes ="电子测温其他")
    @Column(name="CFDZCWQT", length=128)
    private String cfdzcwqt;

    @Length(max=20,message="防雀网最大为20字符")
    @ApiModelProperty(value = "防雀网", notes ="防雀网")
    @Column(name="CFFQW", length=20)
    private String cffqw;

    @Length(max=128,message="防雀网其他最大为128字符")
    @ApiModelProperty(value = "防雀网其他", notes ="防雀网其他")
    @Column(name="CFFQWQT", length=128)
    private String cffqwqt;

    @Length(max=20,message="照明灯最大为20字符")
    @ApiModelProperty(value = "照明灯", notes ="照明灯")
    @Column(name="CFZMD", length=20)
    private String cfzmd;

    @Length(max=128,message="照明灯其他最大为128字符")
    @ApiModelProperty(value = "照明灯其他", notes ="照明灯其他")
    @Column(name="CFZMDQT", length=128)
    private String cfzmdqt;

    @Length(max=20,message="标识牌最大为20字符")
    @ApiModelProperty(value = "标识牌", notes ="标识牌")
    @Column(name="CFBSP", length=20)
    private String cfbsp;

    @Length(max=128,message="标识牌其他最大为128字符")
    @ApiModelProperty(value = "标识牌其他", notes ="标识牌其他")
    @Column(name="CFBSPQT", length=128)
    private String cfbspqt;

    public DailyCheckResultDetailListVO(){
        super();
        this.status=BaseStatusConstant.STATUS_NORMAL;
    }
}