/*
* DailyCheckResultDetailVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import com.unis.inspectionresult.common.vo.BaseVO;
import com.unis.inspectionresult.common.vo.FileVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * T_BDJLZB-表单记录主表
 * @author lipenghe at 2019-08-26 16:21:29
 */
@ApiModel(value = "T_BDJLZB:表单记录主表-DailyCheckResultDetailVO",description="A")
@Data
@Table(name="T_BDJLZB")
public class DailyCheckResultDetailVO extends BaseVO implements Serializable{

    @NotBlank(message = "表单主表id不能为空",groups ={UpdateGroup.class})
    @Length(max=30,message="表单主表id最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单主表id#<主键><唯一><非空>", notes ="表单主表id")
    @Id
    @Column(name="BDZBID",length=30)
    private String bdzbid;

    @Length(max=56,message="结果id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "结果id#结果id(任务id+001)", notes ="结果id")
    @Column(name="JG_ID", length=56)
    private String jgId;

    @Length(max=100,message="表单路由最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单路由", notes ="表单路由")
    @Column(name="BD_LU", length=100)
    private String bdLu;

    @Length(max=18,message="表单id最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单id#BD+20190822+001", notes ="表单id")
    @Column(name="BD_ID", length=18)
    private String bdId;

    @Length(max=200,message="表单名称最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单名称", notes ="表单名称")
    @Column(name="BD_NAME", length=200)
    private String bdName;

    @Length(max=56,message="表单状态id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单状态id", notes ="表单状态id")
    @Column(name="BDZT", length=56)
    private String bdzt;

    @Length(max=56,message="表单状态名称最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单状态名称", notes ="表单状态名称")
    @Column(name="BDZTMC", length=56)
    private String bdztmc;

    @Length(max=32,message="所属单位代码最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "所属单位代码", notes ="所属单位代码")
    @Column(name="DW_DM", length=32)
    private String dwDm;

    @Length(max=128,message="所属单位名称最大为128字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "所属单位名称", notes ="所属单位名称")
    @Column(name="DW_MC", length=128)
    private String dwMc;

    @Length(max=500,message="检查过程及有关情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查过程及有关情况", notes ="检查过程及有关情况")
    @Column(name="JCGCJYGQK", length=500)
    private String jcgcjygqk;

    @Length(max=500,message="被检查人对检查的意见最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检查人对检查的意见", notes ="被检查人对检查的意见")
    @Column(name="BJCRDJCDYJ", length=500)
    private String bjcrdjcdyj;

    @Length(max=230,message="被检查人签字最大为230字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检查人签字", notes ="被检查人签字")
    @Column(name="BJCRQZ", length=230)
    private String bjcrqz;

    //数据库类型:CLOB,长度:4000
    @ApiModelProperty(value = "被检查人盖章", notes ="被检查人盖章")
    @Column(name="BJCRGZ")
    private String bjcrgz;

    @Length(max=500,message="账实相符情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "账实相符情况", notes ="账实相符情况")
    @Column(name="ZSXF", length=500)
    private String zsxf;

    @Length(max=1,message="仓房无虫害最大为1字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓房无虫害#(0、有，1、无)", notes ="仓房无虫害")
    @Column(name="CF_WCH", length=1)
    private String cfWch;

    @Length(max=1,message="仓房无变质最大为1字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓房无变质#(0、有，1、无)", notes ="仓房无变质")
    @Column(name="CF_WBZ", length=1)
    private String cfWbz;

    @Length(max=1,message="仓房无鼠雀最大为1字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓房无鼠雀#(0、有，1、无)", notes ="仓房无鼠雀")
    @Column(name="CF_WSQ", length=1)
    private String cfWsq;

    @Length(max=1,message="仓房无事故最大为1字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓房无事故#(0、有，1、无)", notes ="仓房无事故")
    @Column(name="CF_WSG", length=1)
    private String cfWsg;

    @Length(max=500,message="仓储管理制度和一规定两守则培训情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓储管理制度和一规定两守则培训情况", notes ="仓储管理制度和一规定两守则培训情况")
    @Column(name="CCGLZDJYGLZPXQK", length=500)
    private String ccglzdjyglzpxqk;

    @Length(max=500,message="仓储管理制度最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓储管理制度", notes ="仓储管理制度")
    @Column(name="CCGLZD", length=500)
    private String ccglzd;

    @Length(max=500,message="一规定两守则培训情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "一规定两守则培训情况", notes ="一规定两守则培训情况")
    @Column(name="YGLZPXQK", length=500)
    private String yglzpxqk;

    @Length(max=500,message="安全生产制度及储粮化学药剂管理最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "安全生产制度及储粮化学药剂管理", notes ="安全生产制度及储粮化学药剂管理")
    @Column(name="AQSCZDJCLHXYJGL", length=500)
    private String aqsczdjclhxyjgl;

    @Length(max=500,message="春防/夏防/冬防整改落实情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "春防/夏防/冬防整改落实情况", notes ="春防/夏防/冬防整改落实情况")
    @Column(name="CFZGLSQK", length=500)
    private String cfzglsqk;

    @Length(max=500,message="防雨汛措施落实情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "防雨汛措施落实情况", notes ="防雨汛措施落实情况")
    @Column(name="FYFXCSLSQK", length=500)
    private String fyfxcslsqk;

    @Length(max=500,message="安全储粮情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "安全储粮情况", notes ="安全储粮情况")
    @Column(name="AQCLQK", length=500)
    private String aqclqk;

    @Length(max=500,message="隐患排查情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "隐患排查情况", notes ="隐患排查情况")
    @Column(name="YHPCQK", length=500)
    private String yhpcqk;

    @Length(max=500,message="安全生产情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "安全生产情况", notes ="安全生产情况")
    @Column(name="AQSCQK", length=500)
    private String aqscqk;

    @Length(max=500,message="科学保粮主要做法最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "科学保粮主要做法", notes ="科学保粮主要做法")
    @Column(name="KXBLZYZF", length=500)
    private String kxblzyzf;

    @Length(max=500,message="全年熏蒸用药量最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "全年熏蒸用药量", notes ="全年熏蒸用药量")
    @Column(name="QNXZYYL", length=500)
    private String qnxzyyl;

    @Length(max=128,message="是否备案最大为128字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否备案#(0、未备案。1、备案)", notes ="是否备案")
    @Column(name="SFBA", length=128)
    private String sfba;

    @Length(max=500,message="库容库貌设备设施情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "库容库貌设备设施情况", notes ="库容库貌设备设施情况")
    @Column(name="KRKMSSSB", length=500)
    private String krkmsssb;

    @Length(max=1000,message="检查情况和建议最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查情况和建议", notes ="检查情况和建议")
    @Column(name="JCQKJJY", length=1000)
    private String jcqkjjy;

    @Length(max=230,message="表单见证人最大为230字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单见证人", notes ="表单见证人")
    @Column(name="BD_JZR", length=230)
    private String bdJzr;

    @Length(max=56,message="表单填写人=记录人最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单填写人=记录人", notes ="表单填写人=记录人")
    @Column(name="BD_TXR", length=56)
    private String bdTxr;

    @Length(max=18,message="填写人编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "填写人编号", notes ="填写人编号")
    @Column(name="BD_TXRBH", length=18)
    private String bdTxrbh;

    @ApiModelProperty(value = "填写时间", notes ="填写时间")
    @Column(name="BD_TXSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bdTxsj;

    @Length(max=30,message="单位负责人最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "单位负责人", notes ="单位负责人")
    @Column(name="DWFZR", length=30)
    private String dwfzr;

    @Length(max=230,message="检查人最大为230字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查人", notes ="检查人")
    @Column(name="JCR", length=230)
    private String jcr;

    @Length(max=25,message="被检仓号编号最大为25字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检仓号编号(被检罐号编号)", notes ="被检仓号编号(被检罐号名称)")
    @Column(name="BJCHBH", length=25)
    private String bjchbh;

    @Length(max=18,message="被检仓号名称最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检仓号名称", notes ="被检仓号名称")
    @Column(name="BJCHMC", length=18)
    private String bjchmc;

    @ApiModelProperty(value = "被检仓房仓型(被检罐号灌型)", notes ="被检仓房仓型(被检罐号灌型)")
    @Column(name="BJCfcx")
    private String bjcfcx;

    @ApiModelProperty(value = "被检仓房垛号(被检罐号铅封号)", notes ="被检仓房仓型(被检罐号铅封号)")
    @Column(name="bjcfdh")
    private String bjcfdh;

    @ApiModelProperty(value = "被检仓房区号", notes ="被检仓房区号")
    @Column(name="bjcfqh")
    private String bjcfqh;

    @ApiModelProperty(value = "被检仓房规格", notes ="被检仓房规格")
    @Column(name="bjcfgg")
    private String bjcfgg;

    @ApiModelProperty(value = "被检仓房箱数", notes ="被检仓房箱数")
    @Column(name="bjcfxs")
    private String bjcfxs;

    @ApiModelProperty(value = "被检仓房包树", notes ="被检仓房包树")
    @Column(name="bjcfbs")
    private String bjcfbs;

    @ApiModelProperty(value = "被检仓房包装", notes ="被检仓房包装")
    @Column(name="bjcfbz")
    private String bjcfbz;

    @ApiModelProperty(value = "害虫", notes ="害虫")
    @Column(name="cfhc")
    private String cfhc;

    @ApiModelProperty(value = "液位高度", notes ="液位高度")
    @Column(name="ygywgd")
    private String ygywgd;

    @ApiModelProperty(value = "罐体直径", notes ="罐体直径")
    @Column(name="yggnzj")
    private String yggnzj;

    @Length(max=18,message="被检品种名称最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检品种名称", notes ="被检品种名称")
    @Column(name="BJPZMC", length=18)
    private String bjpzmc;

    @Length(max=18,message="被检数量最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检数量", notes ="被检数量")
    @Column(name="BJSL", length=18)
    private String bjsl;
    //20200518,wys：添加字段 入仓年月、仓温、仓湿
    @Length(max=6,message="入仓年月最大为6字符")
    @ApiModelProperty(value = "入仓年月", notes ="入仓年月")
    @Column(name="RCNY", length=6)
    private String rcny;

    @ApiModelProperty(value = "仓温", notes ="仓温")
    @Column(name="CFWD", length=8, precision=8, scale=3)
    private Double cfwd;

    @ApiModelProperty(value = "仓湿", notes ="仓湿")
    @Column(name="CFSD", length=8, precision=8, scale=3)
    private Double cfsd;

    @Length(max=30,message="仓储负责人最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓储负责人", notes ="仓储负责人")
    @Column(name="CCFZR", length=30)
    private String ccfzr;

    @Length(max=30,message="被检单位负责人最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检单位负责人", notes ="被检单位负责人")
    @Column(name="BJDWFZR", length=30)
    private String bjdwfzr;

    @Length(max=1000,message="仓内卫生情况最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓内卫生情况", notes ="仓内卫生情况")
    @Column(name="CNWSQK", length=1000)
    private String cnwsqk;

    @Length(max=1000,message="卡片填写情况最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "卡片填写情况", notes ="卡片填写情况")
    @Column(name="KPTXQK", length=1000)
    private String kptxqk;

    @Length(max=1000,message="保关员汇报及粮情底数情况最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "保关员汇报及粮情底数情况", notes ="保关员汇报及粮情底数情况")
    @Column(name="BGYHBJLQDSQK", length=1000)
    private String bgyhbjlqdsqk;

    @Length(max=1000,message="药品库最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "药品库#熏蒸备案和全年用药量", notes ="药品库")
    @Column(name="YPKXZBAQNYYLQK", length=1000)
    private String ypkxzbaqnyylqk;

    @Length(max=1000,message="夏防和隐患自查整改情况最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "夏防和隐患自查整改情况", notes ="夏防和隐患自查整改情况")
    @Column(name="XFHYHZCZGQK", length=1000)
    private String xfhyhzczgqk;

    @Length(max=1000,message="小组检查意见最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "小组检查意见", notes ="小组检查意见")
    @Column(name="XZJCYJ", length=1000)
    private String xzjcyj;

    @Length(max=1000,message="检查组鉴定意见最大为1000字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查组鉴定意见", notes ="检查组鉴定意见")
    @Column(name="JCZJDYJ", length=1000)
    private String jczjdyj;

    @ApiModelProperty(value = "合计评定分", notes ="合计评定分")
    @Column(name="HJPDF", length=8, precision=8, scale=3)
    private Double hjpdf;

    @Length(max=200,message="合计减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "合计减分原因", notes ="合计减分原因")
    @Column(name="HJJFYY", length=200)
    private String hjjfyy;

    @ApiModelProperty(value = "粮食无害虫评定分", notes ="粮食无害虫评定分")
    @Column(name="LSWHCPDF", length=8, precision=8, scale=3)
    private Double lswhcpdf;

    @Length(max=200,message="粮食无害虫减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食无害虫减分原因", notes ="粮食无害虫减分原因")
    @Column(name="LSWHCJFYY", length=200)
    private String lswhcjfyy;

    @ApiModelProperty(value = "粮食环境#(仓房,货场,机械间)评定分", notes ="粮食环境")
    @Column(name="LSHJPDF", length=8, precision=8, scale=3)
    private Double lshjpdf;

    @Length(max=200,message="粮食环境最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食环境#(仓房,货场,机械间)减分原因", notes ="粮食环境")
    @Column(name="LSHJJFYY", length=200)
    private String lshjjfyy;

    @ApiModelProperty(value = "粮食器械#(装具,器材,机械)评定分", notes ="粮食器械")
    @Column(name="LSQXPDF", length=8, precision=8, scale=3)
    private Double lsqxpdf;

    @Length(max=200,message="粮食器械最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食器械#(装具,器材,机械)减分原因", notes ="粮食器械")
    @Column(name="LSQXJFYY", length=200)
    private String lsqxjfyy;

    @ApiModelProperty(value = "粮食无变质评定分", notes ="粮食无变质评定分")
    @Column(name="LSWBZPDF", length=8, precision=8, scale=3)
    private Double lswbzpdf;

    @Length(max=200,message="粮食无变质减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食无变质减分原因", notes ="粮食无变质减分原因")
    @Column(name="LSWBZJFYY", length=200)
    private String lswbzjfyy;

    @ApiModelProperty(value = "粮食无鼠雀评定分", notes ="粮食无鼠雀评定分")
    @Column(name="LSWSQPDF", length=8, precision=8, scale=3)
    private Double lswsqpdf;

    @Length(max=200,message="粮食无鼠雀减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食无鼠雀减分原因", notes ="粮食无鼠雀减分原因")
    @Column(name="LSWSQJFYY", length=200)
    private String lswsqjfyy;

    @ApiModelProperty(value = "粮食无事故评定分", notes ="粮食无事故评定分")
    @Column(name="LSWSGPDF", length=8, precision=8, scale=3)
    private Double lswsgpdf;

    @Length(max=200,message="粮食无事故减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食无事故减分原因", notes ="粮食无事故减分原因")
    @Column(name="LSWSGJFYY", length=200)
    private String lswsgjfyy;

    @ApiModelProperty(value = "粮食仓储制度评定分", notes ="粮食仓储制度评定分")
    @Column(name="LSCCZDGLPDF", length=8, precision=8, scale=3)
    private Double lscczdglpdf;

    @Length(max=200,message="粮食仓储制度减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食仓储制度减分原因", notes ="粮食仓储制度减分原因")
    @Column(name="LSCCZDGLJFYY", length=200)
    private String lscczdgljfyy;

    @ApiModelProperty(value = "推广储粮先进制度评定分", notes ="推广储粮先进制度评定分")
    @Column(name="TGCLXJZDPDF", length=8, precision=8, scale=3)
    private Double tgclxjzdpdf;

    @Length(max=200,message="广储粮先进制度减分原因最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "广储粮先进制度减分原因", notes ="广储粮先进制度减分原因")
    @Column(name="TGCLXJZDJFYY", length=200)
    private String tgclxjzdjfyy;

    @ApiModelProperty(value = "库容库貌管理#改善存储条件评定分", notes ="库容库貌管理")
    @Column(name="KRKMGLPDF", length=8, precision=8, scale=3)
    private Double krkmglpdf;

    @Length(max=200,message="库容库貌管理最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "库容库貌管理#改善存储条件减分原因", notes ="库容库貌管理")
    @Column(name="KRKMGLJFYY", length=200)
    private String krkmgljfyy;

    @Length(max=500,message="降雨时间最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "降雨时间", notes ="降雨时间")
    @Column(name="JYSJ", length=500)
    private String jysj;

    @Length(max=500,message="降雨量级最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "降雨量级", notes ="降雨量级")
    @Column(name="JYLJ", length=500)
    private String jylj;

    @Length(max=500,message="排水情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "排水情况", notes ="排水情况")
    @Column(name="PSQK", length=500)
    private String psqk;

    @Length(max=500,message="雨情检查情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "雨情检查情况", notes ="雨情检查情况")
    @Column(name="YQJCQK", length=500)
    private String yqjcqk;

    @Length(max=500,message="发现问题及处理情况最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "发现问题及处理情况", notes ="发现问题及处理情况")
    @Column(name="FXWTJCLQK", length=500)
    private String fxwtjclqk;

    @Length(max=500,message="带班领导最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "带班领导", notes ="带班领导")
    @Column(name="DBLD", length=500)
    private String dbld;

    @Length(max=500,message="值班抢险人员最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "值班抢险人员", notes ="值班抢险人员")
    @Column(name="ZBQXRY", length=500)
    private String zbqxry;

    @Length(max=230,message="单位领导最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "单位领导", notes ="单位领导")
    @Column(name="DWLD", length=230)
    private String dwld;

    @Length(max=100,message="电话最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "电话", notes ="电话")
    @Column(name="DH", length=100)
    private String dh;

    public DailyCheckResultDetailVO(){
        super();
    }

    @ApiModelProperty(value = "储备粮公司-表单记录明细表", notes ="子表-T_BDJLMX")
    private List<FormDetailVO> detailList;

    @ApiModelProperty(value = "文件列表", notes ="")
    private List<FileVO> fileList;

    @ApiModelProperty(value = "检查开始时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date jckssj;

    @ApiModelProperty(value = "检查结束时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat( pattern = "yyyy-MM-dd HH:mm")
    private Date jcjssj;

    @ApiModelProperty(value = "检查场所类型（0：所在地，1：注册地，2：其他）")
    private Integer jccslx; //检查场所类型（0：所在地，1：注册地，2：其他）

    @ApiModelProperty(value = "检查场所其他地址")
    private String jccsqtdz; // 检查场所其他地址

    //20200520,wys：添加字段市级储备粮检查相关的40个字段
    @Length(max=20,message="机动点位最大为20字符")
    @ApiModelProperty(value = "机动点位", notes ="机动点位")
    @Column(name="JDDW", length=20)
    private String jddw;

    @Length(max=128,message="机动点其他最大为128字符")
    @ApiModelProperty(value = "机动点位", notes ="机动点位")
    @Column(name="JDDWQT", length=128)
    private String jddwqt;

    @ApiModelProperty(value = "机动点位温度", notes ="机动点位温度")
    @Column(name="JDDWWD", length=8, precision=8, scale=3)
    private Double jddwwd;

    @Length(max=20,message="霉变程度最大为20字符")
    @ApiModelProperty(value = "霉变程度", notes ="霉变程度")
    @Column(name="MBCD", length=20)
    private String mbcd;

    @Length(max=128,message="霉变部位最大为128字符")
    @ApiModelProperty(value = "霉变部位", notes ="霉变部位")
    @Column(name="MBCDBW", length=128)
    private String mbcdbw;

    @ApiModelProperty(value = "粮食数量", notes ="粮食数量")
    @Column(name="MBCDSL", length=8, precision=8, scale=3)
    private Double mbcdsl;

    @Length(max=20,message="松散性程度最大为20字符")
    @ApiModelProperty(value = "松散性程度", notes ="松散性程度")
    @Column(name="SSXCD", length=20)
    private String ssxcd;

    @Length(max=128,message="松散性程度其他最大为128字符")
    @ApiModelProperty(value = "松散性程度其他", notes ="松散性程度其他")
    @Column(name="SSXCDQT", length=128)
    private String ssxcdqt;

    @Length(max=128,message="松散性程度部位最大为128字符")
    @ApiModelProperty(value = "松散性程度部位", notes ="松散性程度部位")
    @Column(name="SSXCDBW", length=128)
    private String ssxcdbw;

    @ApiModelProperty(value = "松散性面积", notes ="松散性面积")
    @Column(name="SSXCDMJ", length=8, precision=8, scale=3)
    private Double ssxcdmj;

    @Length(max=20,message="鼠雀程度最大为20字符")
    @ApiModelProperty(value = "鼠雀程度", notes ="鼠雀程度")
    @Column(name="SQCD", length=20)
    private String sqcd;

    @Length(max=128,message="鼠雀程度其他最大为128字符")
    @ApiModelProperty(value = "鼠雀程度其他", notes ="鼠雀程度其他")
    @Column(name="SQCDQT", length=128)
    private String sqcdqt;

    @Length(max=20,message="雨水渗漏程度最大为20字符")
    @ApiModelProperty(value = "雨水渗漏程度", notes ="雨水渗漏程度")
    @Column(name="YSCLCD", length=20)
    private String ysclcd;

    @Length(max=128,message="渗漏部位最大为128字符")
    @ApiModelProperty(value = "渗漏部位", notes ="渗漏部位")
    @Column(name="YSCLCDBW", length=128)
    private String ysclcdbw;

    @Length(max=20,message="渗漏粮食情况最大为20字符")
    @ApiModelProperty(value = "渗漏粮食情况", notes ="渗漏粮食情况")
    @Column(name="YSCLCDLSQK", length=20)
    private String ysclcdlsqk;

    @Length(max=20,message="虫卵虫絮蛛网程度最大为20字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度", notes ="虫卵虫絮蛛网程度")
    @Column(name="CLCXZZWCD", length=20)
    private String clcxzzwcd;

    @Length(max=128,message="虫卵虫絮蛛网程度其他最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度其他", notes ="虫卵虫絮蛛网程度其他")
    @Column(name="CLCXZZWCDQT", length=128)
    private String clcxzzwcdqt;

    @Length(max=128,message="虫卵虫絮蛛网部位最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网部位", notes ="虫卵虫絮蛛网部位")
    @Column(name="CLCXZZWCDBW", length=128)
    private String clcxzzwcdbw;

    @Length(max=20,message="粮情卡片最大为20字符")
    @ApiModelProperty(value = "粮情卡片", notes ="粮情卡片")
    @Column(name="LQKP", length=20)
    private String lqkp;

    @Length(max=128,message="粮情卡片其他最大为128字符")
    @ApiModelProperty(value = "粮情卡片其他", notes ="粮情卡片其他")
    @Column(name="LQKPQT", length=128)
    private String lqkpqt;

    @Length(max=20,message="卫生最大为20字符")
    @ApiModelProperty(value = "卫生", notes ="卫生")
    @Column(name="CFWS", length=20)
    private String cfws;

    @Length(max=128,message="卫生其他最大为128字符")
    @ApiModelProperty(value = "卫生其他", notes ="卫生其他")
    @Column(name="CFWSQT", length=128)
    private String cfwsqt;

    @Length(max=20,message="垛型最大为20字符")
    @ApiModelProperty(value = "垛型", notes ="垛型")
    @Column(name="CFDX", length=20)
    private String cfdx;

    @Length(max=128,message="垛型其他最大为128字符")
    @ApiModelProperty(value = "垛型其他", notes ="垛型其他")
    @Column(name="CFDXQT", length=128)
    private String cfdxqt;

    @Length(max=20,message="温湿度计最大为20字符")
    @ApiModelProperty(value = "温湿度计", notes ="温湿度计")
    @Column(name="CFWSDJ", length=20)
    private String cfwsdj;

    @Length(max=128,message="温湿度计其他最大为128字符")
    @ApiModelProperty(value = "温湿度计其他", notes ="温湿度计其他")
    @Column(name="CFWSDJQT", length=128)
    private String cfwsdjqt;

    @Length(max=20,message="走道板最大为20字符")
    @ApiModelProperty(value = "走道板", notes ="走道板")
    @Column(name="CFZDB", length=20)
    private String cfzdb;

    @Length(max=128,message="走道板其他最大为128字符")
    @ApiModelProperty(value = "走道板其他", notes ="走道板其他")
    @Column(name="CFZDBQT", length=128)
    private String cfzdbqt;

    @Length(max=20,message="装粮线最大为20字符")
    @ApiModelProperty(value = "装粮线", notes ="装粮线")
    @Column(name="CFZLX", length=20)
    private String cfzlx;

    @Length(max=128,message="装粮线其他最大为128字符")
    @ApiModelProperty(value = "装粮线其他", notes ="装粮线其他")
    @Column(name="CFZLXQT", length=128)
    private String cfzlxqt;

    @Length(max=20,message="门窗最大为20字符")
    @ApiModelProperty(value = "门窗", notes ="门窗")
    @Column(name="CFMCQK", length=20)
    private String cfmcqk;

    @Length(max=128,message="门窗其他最大为128字符")
    @ApiModelProperty(value = "门窗其他", notes ="门窗其他")
    @Column(name="CFMCQKQT", length=128)
    private String cfmcqkqt;

    @Length(max=20,message="电子测温最大为20字符")
    @ApiModelProperty(value = "电子测温", notes ="电子测温")
    @Column(name="CFDZCW", length=20)
    private String cfdzcw;

    @Length(max=128,message="电子测温其他最大为128字符")
    @ApiModelProperty(value = "电子测温其他", notes ="电子测温其他")
    @Column(name="CFDZCWQT", length=128)
    private String cfdzcwqt;

    @Length(max=20,message="防雀网最大为20字符")
    @ApiModelProperty(value = "防雀网", notes ="防雀网")
    @Column(name="CFFQW", length=20)
    private String cffqw;

    @Length(max=128,message="防雀网其他最大为128字符")
    @ApiModelProperty(value = "防雀网其他", notes ="防雀网其他")
    @Column(name="CFFQWQT", length=128)
    private String cffqwqt;

    @Length(max=20,message="照明灯最大为20字符")
    @ApiModelProperty(value = "照明灯", notes ="照明灯")
    @Column(name="CFZMD", length=20)
    private String cfzmd;

    @Length(max=128,message="照明灯其他最大为128字符")
    @ApiModelProperty(value = "照明灯其他", notes ="照明灯其他")
    @Column(name="CFZMDQT", length=128)
    private String cfzmdqt;

    @Length(max=20,message="标识牌最大为20字符")
    @ApiModelProperty(value = "标识牌", notes ="标识牌")
    @Column(name="CFBSP", length=20)
    private String cfbsp;

    @Length(max=128,message="标识牌其他最大为128字符")
    @ApiModelProperty(value = "标识牌其他", notes ="标识牌其他")
    @Column(name="CFBSPQT", length=128)
    private String cfbspqt;

    @ApiModelProperty(value = "检查员", notes ="检查员")
    @Column(name="jcry", length=128)
    private String jcry;

    @Column(name = "clfj")
    @ApiModelProperty(value = "材料附件", notes ="")
    private String clfj;

    @ApiModelProperty(value = "规格", notes ="")
    private List<DailyCheckResultSpecVo> specList;

    @ApiModelProperty(value = "垛位信息",notes = "")
    private List<FormDetailVO>stockList;

    @ApiModelProperty(value = "粮食信息",notes = "")
    private List<FormDetailVO> clhcList;

    @ApiModelProperty(value = "霉变信息",notes = "")
    private List<FormDetailVO> mbList;

    @ApiModelProperty(value = "结露信息",notes = "")
    private List<FormDetailVO> jlList;

    @ApiModelProperty(value = "虫絮蛛网信息",notes = "")
    private List<FormDetailVO> cxzwList;

    @ApiModelProperty(value = "机动点集合", notes ="")
    private List<DailyCheckResultManeuverVo> maneuverList;
}
