/*
* DailyCheckResultListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectiontask.common.vo.TaskVO;
import com.unis.inspectiontask.common.vo.TeamVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
@ApiModel(value = "T_JCJG:检查结果-DailyCheckResultListVO")
@Data
@Table(name="T_JCJG")
public class DailyCheckResultListVO implements Serializable{

    @ApiModelProperty(value = "主键id#<主键><唯一><非空>结果id(任务id+001)", notes ="主键id")
    @Id
    @Column(name="JG_ID")
    private String jgId;

    @ApiModelProperty(value = "任务编号#(计划id+001)", notes ="任务编号")
    @Column(name="RW_ID")
    private String rwId;

    @ApiModelProperty(value = "计划编号", notes ="计划编号")
    @Column(name="JHID")
    private String jhid;

    @ApiModelProperty(value = "任务名称", notes ="任务名称")
    @Column(name="RWMC")
    private String rwmc;

    @ApiModelProperty(value = "检查单位id", notes ="检查单位id")
    @Column(name="JCDW_ID")
    private String jcdwId;
    @ApiModelProperty(value = "0否，1是")
    private String sfgs;

    @ApiModelProperty(value = "检查单位名称", notes ="检查单位名称")
    @Column(name="JCDWMC")
    private String jcdwmc;

    @ApiModelProperty("pad端检查人")
    @Column(name="JCR_PAD", length=255)
    private String jcrPad;

    @ApiModelProperty(value = "组织机构代码", notes ="组织机构代码")
    @Column(name="ZZJGDM")
    private String zzjgdm;

    @ApiModelProperty(value = "检查方式#(0，远程。1、现场)", notes ="检查方式")
    @Column(name="JCFS")
    private Integer jcfs;

    @ApiModelProperty(value = "被检企业编号#根据用户id获取数组,任务服务", notes ="被检企业编号")
    @Column(name="BJDW_ID")
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称")
    @Column(name="BJDW_NAME")
    private String bjdwName;

    @ApiModelProperty(value = "被检企业统一社会信用代码", notes ="被检企业统一社会信用代码")
    @Column(name="BJDW_TYSHXYDM")
    private String bjdwTyshxydm;

    @ApiModelProperty(value = "被检企业住址", notes ="被检企业住址")
    @Column(name="BJDW_ZZ")
    private String bjdwZz;

    @ApiModelProperty(value = "被检企业法定代表人", notes ="被检企业法定代表人")
    @Column(name="BJDW_FDDBR")
    private String bjdwFddbr;

    @ApiModelProperty(value = "被检企业联系电话", notes ="被检企业联系电话")
    @Column(name="BJDW_LXDH")
    private String bjdwLxdh;

    @ApiModelProperty(value = "检查时间", notes ="检查时间")
    @Column(name="JCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcsj;

    @ApiModelProperty(value = "整改类型编号#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改字典信息)", notes ="整改类型编号")
    @Column(name="JG_ZGLXBH")
    private String jgZglxbh;

    @ApiModelProperty(value = "整改类型名称#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改)", notes ="整改类型名称")
    @Column(name="JG_ZGLXMC")
    private String jgZglxmc;

    @ApiModelProperty(value = "是否下达整改通知单#(0，不下发。1、下发)", notes ="是否下达整改通知单")
    @Column(name="ZGTZD")
    private String zgtzd;

    @ApiModelProperty(value = "整改要求", notes ="整改要求")
    @Column(name="ZGYQ", length=600)
    private String zgyq;

    @ApiModelProperty(value = "检查单位盖章")
    @Column(name="JCDWGZ")
    private String jcdwgz;

    @ApiModelProperty(value = "是否下达整改验收表#(0，不下发。1、下发)", notes ="是否下达整改验收表")
    @Column(name="ZGYSB")
    private String zgysb;

    @ApiModelProperty(value = "是否上传执法平台#(0，不上传。1、上传)", notes ="是否上传执法平台")
    @Column(name="SCZFPT")
    private String sczfpt;

    @ApiModelProperty(value = "检查人员", notes ="检查人员")
    @Column(name="JG_TJR")
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号")
    @Column(name="JG_TJRBH")
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间")
    @Column(name="JG_TJSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jgTjsj;

    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收检查单位盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章", notes ="填报状态0待检查")
    @Column(name="JG_TBBH")
    private String jgTbbh;

    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收检查单位盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章", notes ="填报状态0待检查")
    @Column(name="JG_TBMC")
    private String jgTbmc;

    @ApiModelProperty(value = "截止时间", notes ="截止时间")
    @Column(name="JG_JZSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgJzsj;

    @ApiModelProperty(value = "任务类型编号#<非空>", notes ="任务类型编号")
    @Column(name="RWLX_ID")
    private String rwlxId;

    @ApiModelProperty(value = "任务类型名称#<非空>", notes ="任务类型名称")
    @Column(name="RWLX_MC")
    private String rwlxMc;

    @ApiModelProperty(value = "检查开始时间", notes ="检查开始时间")
    @Column(name="JCKSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jckssj;

    @ApiModelProperty(value = "检查结束时间", notes ="检查结束时间")
    @Column(name="JCJSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcjssj;

    @ApiModelProperty(value = "是否延期#(状态，1：是，0：否)", notes ="是否延期")
    @Column(name="SFYQ")
    private String sfyq;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态")
    @Column(name="STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建时间", notes ="创建时间")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "仓储负责人", notes ="仓储负责人")
    @Column(name="CCFZR")
    private String ccfzr;

    @ApiModelProperty(value = "质检主表表id", notes ="质检主表表id")
    @Column(name="ZJZB_BID")
    private String zjzbBid;

    @ApiModelProperty(value = "合同标定水分%", notes ="合同标定水分%")
    @Column(name="HTBDSF")
    private String htbdsf;

    @ApiModelProperty(value = "原始入库水分%", notes ="原始入库水分%")
    @Column(name="YSRKSF")
    private String ysrksf;

    @ApiModelProperty(value = "合同标定杂质%", notes ="合同标定杂质%")
    @Column(name="HTBDZZ")
    private String htbdzz;

    @ApiModelProperty(value = "原始入库杂质%", notes ="原始入库杂质%")
    @Column(name="YSRKZZ")
    private String ysrkzz;

    @ApiModelProperty(value = "合同不完善粒%", notes ="合同不完善粒%")
    @Column(name="HTBWSL")
    private String htbwsl;

    @ApiModelProperty(value = "原始不完善粒%", notes ="原始不完善粒%")
    @Column(name="YSBWSL")
    private String ysbwsl;

    @ApiModelProperty(value = "上报状态#未上报(0)已上报(1)旗县通过(2)盟市通过(3)驳回(4)", notes ="上报状态")
    @Column(name="DJZTNAME")
    private String djztname;

    @ApiModelProperty(value = "上报状态#未上报(0)已上报(1)旗县通过(2)盟市通过(3)驳回(4)", notes ="上报状态")
    @Column(name="DJZTCODE")
    private String djztcode;

    @ApiModelProperty(value = "检查组成员", notes ="", hidden = true)
    private TeamVO teamVO;
    
    @ApiModelProperty(value = "检查组成员（用于日常检查结果新增）")
    private String jczcy; // 检查组成员
    
    public DailyCheckResultListVO(){
        super();
        this.status=BaseStatusConstant.STATUS_NORMAL;
    }

    @ApiModelProperty(value = "计划数据信息", notes ="", hidden = true)
    private TaskVO taskVO;
    
    @ApiModelProperty(value = "是否可修改", notes ="")
    private int revisable=0;
    
    @ApiModelProperty(value = "是否为组长")
    private Boolean isTeamLeader = false;
    
    @ApiModelProperty(value = "监管区域-新增")
    private String jgqy; //监管区域
    
    @ApiModelProperty(value = "监管区域对象-查看")
    private JSONObject jgqyObj;

    @ApiModelProperty(value = "被检仓号编号")
    private String bjchbh;

    @ApiModelProperty(value = "被检仓号名称", notes ="被检仓号名称")
    private String bjchmc;
}