package com.unis.inspectionresult.common.vo.resultback;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("结果类")
public class DailyCheckResultQJVO extends BaseVO  {
	
	@ApiModelProperty(value = "主键id#<主键><非空>结果id(任务id+001)", notes ="主键id")
    private String jgId;

	@ApiModelProperty(value = "任务编号#(计划id+001)", notes ="任务编号")
    private String rwId;

	@ApiModelProperty(value = "计划编号", notes ="计划编号")
    private String jhid;

	@ApiModelProperty(value = "任务名称", notes ="任务名称")
    private String rwmc;

	@ApiModelProperty(value = "检查单位id", notes ="检查单位id")
    private String jcdwId;

	@ApiModelProperty(value = "检查单位名称", notes ="检查单位名称")
    private String jcdwmc;

	@ApiModelProperty(value = "组织机构代码", notes ="组织机构代码")
    private String zzjgdm;

	@ApiModelProperty(value = "检查方式#(0，远程。1、现场)", notes ="检查方式")
    private Integer jcfs;

    @ApiModelProperty(value = "被检企业编号#根据用户id获取数组,任务服务", notes ="被检企业编号")
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称")
    private String bjdwName;

    @ApiModelProperty(value = "被检企业统一社会信用代码", notes ="被检企业统一社会信用代码")
    private String bjdwTyshxydm;

    @ApiModelProperty(value = "被检企业住址", notes ="被检企业住址")
    private String bjdwZz;

    @ApiModelProperty(value = "被检企业法定代表人", notes ="被检企业法定代表人")
    private String bjdwFddbr;

    @ApiModelProperty(value = "被检企业联系电话", notes ="被检企业联系电话")
    private String bjdwLxdh;

    @ApiModelProperty(value = "检查时间", notes ="检查时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcsj;

    @ApiModelProperty(value = "整改类型编号#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改字典信息)", notes ="整改类型编号")
    private String jgZglxbh;

    @ApiModelProperty(value = "整改类型名称#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改)", notes ="整改类型名称")
    private String jgZglxmc;

    @ApiModelProperty(value = "是否下达整改通知单#(0，不下发。1、下发)", notes ="是否下达整改通知单")
    private String zgtzd;

    @ApiModelProperty(value = "是否下达整改验收表#(0，不下发。1、下发)", notes ="是否下达整改验收表")
    private String zgysb;

    @ApiModelProperty(value = "是否上传执法平台#(0，不上传。1、上传)", notes ="是否上传执法平台")
    private String sczfpt;

    @ApiModelProperty(value = "检查人员", notes ="检查人员")
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号")
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgTjsj;

    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收待盖章12已完成13超期完成14待回显信息)", notes ="填报状态0待检查")
    private String jgTbbh;

    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收待盖章12已完成13超期完成14待回显", notes ="填报状态0待检查")
    private String jgTbmc;

    @ApiModelProperty(value = "截止时间", notes ="截止时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgJzsj;

    @ApiModelProperty(value = "任务类型编号#<非空>", notes ="任务类型编号")
    private String rwlxId;

    @ApiModelProperty(value = "任务类型名称#<非空>", notes ="任务类型名称")
    private String rwlxMc;

    @ApiModelProperty(value = "检查开始时间", notes ="检查开始时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jckssj;

    @ApiModelProperty(value = "检查结束时间", notes ="检查结束时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcjssj;

    @ApiModelProperty(value = "是否延期#(状态，1：是，0：否)", notes ="是否延期")
    private String sfyq;

    @ApiModelProperty(value = "仓储负责人", notes ="仓储负责人")
    private String ccfzr;

    @ApiModelProperty(value = "质检主表表id", notes ="质检主表表id")
    private String zjzbBid;

    @ApiModelProperty(value = "合同标定水分%", notes ="合同标定水分%")
    private String htbdsf;

    @ApiModelProperty(value = "原始入库水分%", notes ="原始入库水分%")
    private String ysrksf;

    @ApiModelProperty(value = "合同标定杂质%", notes ="合同标定杂质%")
    private String htbdzz;

    @ApiModelProperty(value = "原始入库杂质%", notes ="原始入库杂质%")
    private String ysrkzz;

    @ApiModelProperty(value = "合同不完善粒%", notes ="合同不完善粒%")
    private String htbwsl;

    @ApiModelProperty(value = "原始不完善粒%", notes ="原始不完善粒%")
    private String ysbwsl;

    @ApiModelProperty(value = "样品编号%", notes ="样品编号%")
	private String  ypbh;
	
    @ApiModelProperty(value = "检验结论%", notes ="检验结论%")
	private String  jyjl;
	
    @ApiModelProperty(value = "强检编号%", notes ="强检编号%")
	private String  qjbh;
	
    @ApiModelProperty(value = "异常水分%", notes ="异常水分%")
	private String ycsf;
    
    @ApiModelProperty(value = "异常杂质%", notes ="异常杂质%")
	private String yczz;
	
    @ApiModelProperty(value = "异常不完善粒%", notes ="异常不完善粒%")
	private String ycbwsl;
	
	

}