/*
* DailyCheckResultVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;

import com.unis.inspectionplan.common.vo.InspectionplanVO;
import com.unis.inspectionresult.common.vo.*;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import com.unis.inspectiontask.common.vo.InspectedUnitsTypeVO;
import com.unis.inspectiontask.common.vo.TaskVO;
import com.unis.inspectiontask.common.vo.TeamVO;
import com.unis.inspectiontask.common.vo.backlog.ReceiverCollectionVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
@ApiModel(value = "T_JCJG:检查结果-DailyCheckResultVO",description="A")
@Data
@Table(name="T_JCJG")
public class DailyCheckResultVO extends BaseVO implements Serializable{

    @NotBlank(message = "主键id不能为空",groups ={UpdateGroup.class})
    @Length(max=56,message="主键id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "主键id#<主键><唯一><非空>结果id(任务id+001)", notes ="主键id")
    @Id
    @Column(name="JG_ID",length=56)
    private String jgId;

    //@NotBlank(message = "任务编号不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="任务编号最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "任务编号#(计划id+001)", notes ="任务编号")
    @Column(name="RW_ID", length=56)
    private String rwId;

    //@NotBlank(message = "计划编号不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="计划编号最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "计划编号", notes ="计划编号")
    @Column(name="JHID", length=56)
    private String jhid;

    @Length(max=56,message="任务名称最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "任务名称", notes ="任务名称")
    @Column(name="RWMC", length=56)
    private String rwmc;

    @NotBlank(message = "检查单位id不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="检查单位id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查单位id", notes ="检查单位id")
    @Column(name="JCDW_ID", length=56)
    private String jcdwId;

    @NotBlank(message = "检查单位名称不能为空",groups ={InsertGroup.class})
    @Length(max=128,message="检查单位名称最大为128字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查单位名称", notes ="检查单位名称")
    @Column(name="JCDWMC", length=128)
    private String jcdwmc;

    @ApiModelProperty("pad端检查人")
    @Column(name="JCR_PAD", length=255)
    private String jcrPad;

    @Length(max=32,message="组织机构代码最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "组织机构代码", notes ="组织机构代码")
    @Column(name="ZZJGDM", length=32)
    private String zzjgdm;

    @ApiModelProperty(value = "检查方式#(0，远程。1、现场)", notes ="检查方式")
    @Column(name="JCFS", length=5, precision=5, scale=0)
    private Integer jcfs;

    @NotBlank(message = "被检企业编号不能为空",groups ={InsertGroup.class})
    @Length(max=18,message="被检企业编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业编号#根据用户id获取数组,任务服务", notes ="被检企业编号")
    @Column(name="BJDW_ID", length=18)
    private String bjdwId;

    @NotBlank(message = "被检企业名称不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="被检企业名称最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称")
    @Column(name="BJDW_NAME", length=56)
    private String bjdwName;

    @Length(max=56,message="被检企业统一社会信用代码最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业统一社会信用代码", notes ="被检企业统一社会信用代码")
    @Column(name="BJDW_TYSHXYDM", length=56)
    private String bjdwTyshxydm;

    @Length(max=200,message="被检企业住址最大为200字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业住址", notes ="被检企业住址")
    @Column(name="BJDW_ZZ", length=200)
    private String bjdwZz;

    @Length(max=230,message="被检企业法定代表人最大为230字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业法定代表人", notes ="被检企业法定代表人")
    @Column(name="BJDW_FDDBR", length=230)
    private String bjdwFddbr;

    @Length(max=56,message="被检企业联系电话最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "被检企业联系电话", notes ="被检企业联系电话")
    @Column(name="BJDW_LXDH", length=56)
    private String bjdwLxdh;

    /**
	 * 被检单位类型实体
	 */
    @ApiModelProperty(value = "被检单位类型", notes = "被检单位类型")
    private List<InspectedUnitsTypeVO> bjdwlx;

    @ApiModelProperty(value = "检查时间", notes ="检查时间")
    @Column(name="JCSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcsj;

    /**
     * 整改类型名称#(<br/>0，现场整改。<br/>1、行政处罚。<br/>2、限期整改。<br/>3、无需整改)
     * */
    @Length(max=18,message="整改类型编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "整改类型编号#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改字典信息)", notes ="整改类型编号")
    @Column(name="JG_ZGLXBH", length=18)
    private String jgZglxbh;

    @Length(max=18,message="整改类型名称最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "整改类型名称#(0，现场整改。1、行政处罚。2、限期整改。3、无需整改)", notes ="整改类型名称")
    @Column(name="JG_ZGLXMC", length=18)
    private String jgZglxmc;

    @Length(max=18,message="是否下达整改通知单最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否下达整改通知单#(0，不下发。1、下发)", notes ="是否下达整改通知单")
    @Column(name="ZGTZD", length=18)
    private String zgtzd;

    @ApiModelProperty(value = "整改要求", notes ="整改要求")
    @Column(name="ZGYQ", length=600)
    private String zgyq;

    @ApiModelProperty(value = "检查单位盖章")
    @Column(name="JCDWGZ")
    private String jcdwgz;

    @Length(max=18,message="是否下达整改验收表最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否下达整改验收表#(0，不下发。1、下发)", notes ="是否下达整改验收表")
    @Column(name="ZGYSB", length=18)
    private String zgysb;

    @Length(max=18,message="是否上传执法平台最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否上传执法平台#(0，不上传。1、上传)", notes ="是否上传执法平台")
    @Column(name="SCZFPT", length=18)
    private String sczfpt;

    @Length(max=56,message="检查人员最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查人员", notes ="检查人员")
    @Column(name="JG_TJR", length=56)
    private String jgTjr;

    @Length(max=18,message="提交人编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "提交人编号", notes ="提交人编号")
    @Column(name="JG_TJRBH", length=18)
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间")
    @Column(name="JG_TJSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date jgTjsj;

    @Length(max=18,message="填报状态0待检查最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收检查单位盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章17区粮办办结18组长审批20待企业上传21调整审批31待送达", notes ="填报状态0待检查")
    @Column(name="JG_TBBH", length=18)
    private String jgTbbh;

    @Length(max=56,message="填报状态0待检查最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收检查单位盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章17区粮办办结18组长审批20待企业上传21调整审批31待送达", notes ="填报状态0待检查")
    @Column(name="JG_TBMC", length=56)
    private String jgTbmc;

    @ApiModelProperty(value = "截止时间", notes ="截止时间")
    @Column(name="JG_JZSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgJzsj;

    @NotBlank(message = "任务类型编号不能为空",groups ={InsertGroup.class})
    @Length(max=18,message="任务类型编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "任务类型编号#<非空>", notes ="任务类型编号")
    @Column(name="RWLX_ID", length=18)
    private String rwlxId;

    @NotBlank(message = "任务类型名称不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="任务类型名称最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "任务类型名称#<非空>", notes ="任务类型名称")
    @Column(name="RWLX_MC", length=56)
    private String rwlxMc;

    @ApiModelProperty(value = "检查开始时间", notes ="检查开始时间")
    @Column(name="JCKSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jckssj;

    @ApiModelProperty(value = "检查结束时间", notes ="检查结束时间")
    @Column(name="JCJSSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcjssj;

    @Length(max=56,message="是否延期最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "是否延期#(状态，1：是，0：否)", notes ="是否延期")
    @Column(name="SFYQ", length=56)
    private String sfyq;

    @Length(max=100,message="仓储负责人最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "仓储负责人", notes ="仓储负责人")
    @Column(name="CCFZR", length=100)
    private String ccfzr;

    @Length(max=100,message="质检主表表id最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "质检主表表id", notes ="质检主表表id")
    @Column(name="ZJZB_BID", length=100)
    private String zjzbBid;

    @Length(max=100,message="合同标定水分%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "合同标定水分%", notes ="合同标定水分%")
    @Column(name="HTBDSF", length=100)
    private String htbdsf;

    @Length(max=100,message="原始入库水分%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "原始入库水分%", notes ="原始入库水分%")
    @Column(name="YSRKSF", length=100)
    private String ysrksf;

    @Length(max=100,message="合同标定杂质%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "合同标定杂质%", notes ="合同标定杂质%")
    @Column(name="HTBDZZ", length=100)
    private String htbdzz;

    @Length(max=100,message="原始入库杂质%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "原始入库杂质%", notes ="原始入库杂质%")
    @Column(name="YSRKZZ", length=100)
    private String ysrkzz;

    @Length(max=100,message="合同不完善粒%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "合同不完善粒%", notes ="合同不完善粒%")
    @Column(name="HTBWSL", length=100)
    private String htbwsl;

    @Length(max=100,message="原始不完善粒%最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "原始不完善粒%", notes ="原始不完善粒%")
    @Column(name="YSBWSL", length=100)
    private String ysbwsl;

    @Length(max=100,message="上报状态最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "上报状态#未上报(0)已上报(1)旗县通过(2)盟市通过(3)驳回(4)", notes ="上报状态")
    @Column(name="DJZTNAME", length=100)
    private String djztname;

    @Length(max=100,message="上报状态最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "上报状态#未上报(0)已上报(1)旗县通过(2)盟市通过(3)驳回(4)", notes ="上报状态")
    @Column(name="DJZTCODE", length=100)
    private String djztcode;

    public DailyCheckResultVO(){
        super();
    }

    @ApiModelProperty(value = "集合操作---状态集合", notes ="", hidden = true)
    @JsonIgnore
    private List<String> jgTbbhList;

    @ApiModelProperty(value = "是否需要回调接口", notes ="", hidden = true)
    private Boolean callBackOnFinish;

    @ApiModelProperty(value = "表单记录主表", notes ="子表-T_BDJLZB")
    private List<DailyCheckResultDetailVO> detailList;

    @ApiModelProperty(value = "储备粮公司-表单整改延期审批", notes ="子表-T_BDZGYQSP")
    private ReformDelayReviewVO reformDelayReviewVO;

    @ApiModelProperty(value = "整改通知单", notes ="")
    private RectificationNoticeVO rectificationNoticeVO;

    @ApiModelProperty(value = "反馈单", notes ="")
    private List<RectificationFeedbackVO> rectificationFeedbackVOList;

    @ApiModelProperty(value = "整改验收单", notes ="")
    private List<RectificationAcceptanceVO> rectificationAcceptanceVOList;

    @ApiModelProperty(value = "延期申请", notes ="")
    private List<CheckResultRescheduVO> checkResultRescheduVOs;

    @ApiModelProperty(value = "检查组成员", notes ="", hidden = true)
    private TeamVO teamVO;

    @ApiModelProperty(value = "文件列表", notes ="")
    private List<FileVO> fileList;

    @ApiModelProperty(value = "是否可修改", notes ="")
    private int revisable=0;

    @ApiModelProperty(value = "计划数据信息", notes ="")
    private TaskVO taskVO;

    @ApiModelProperty(value = "检查工作日志", notes ="")
    private CheckWorkLogVO checkWorkLogVO;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "被检单位列表", notes ="")
    private List<String> bjdwList;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "业务类型", notes ="", hidden = true)
    private transient int type=0;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "操作符号,如=<>>=", notes ="", hidden = true)
    private String operate;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "限定状态字段", notes ="", hidden = true)
    private String jgTbbhLimit;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "检查时间开始", notes ="检查时间开始")
    private String jcsjStart;

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "检查时间结束", notes ="检查时间结束")
    private String jcsjEnd;

    @ApiModelProperty(value = "检查内容")
	private JSONArray checkContentArr;

	@ApiModelProperty(value = "检查子项")
	private JSONArray taskCheckItems;

	@ApiModelProperty(value = "检查子项-表字段")
	private String jczx; // 检查子项

	@ApiModelProperty(value = "检查内容-表字段")
	private String jcnr; //检查内容

	@ApiModelProperty("检查项目类型（0、单项检查  1、综合检查）")
	private Integer jcxmlx;

    @ApiModelProperty(value = "检查子项内容")
    private String jczxnr; // 检查子项内容

    @JsonIgnore
    @JsonProperty
    @ApiModelProperty(value = "年份", notes ="年份")
    private String year;

    @Transient
    private Integer distinguish;//用于天津企业端检查反馈列表

    @ApiModelProperty(value = "是否属于地方储备粮承储企业 0：不属于 1：属于")
    private String dfcblccqy;

    @ApiModelProperty(value = "被检企业所在地")
    private String qyszd;

    @ApiModelProperty(value = "被检企业注册地")
    private String qyzcd;

    @ApiModelProperty(value = "调整流程对象")
    private DailyCheckProcessAdjustmentShowVO processAdjustmentShowVO;

    @ApiModelProperty(value = "是否调整过流程")
    private Boolean isProcessAdjustment;

    @ApiModelProperty(value = "是否为新增企业")
    private Boolean isNewEnterprise;

    @ApiModelProperty(value = "属地监管")
    private Integer sdjg; //属地监管

    @ApiModelProperty(value = "监管区域-新增")
    private String jgqy; //监管区域

    @ApiModelProperty(value = "监管区域对象-查看")
    private JSONObject jgqyObj;

    @ApiModelProperty(value = "检查组成员（用于日常检查结果新增）")
    private String jczcy; // 检查组成员

    @ApiModelProperty(value = "组长审批")
    private DailyCheckProcessAdjustmentAuditVO teamLeaderAudit;

    @ApiModelProperty(value = "任务Id列表")
    private Set<String> taskIds;

    @ApiModelProperty(value = "检查组相关任务Id列表")
    private Set<String> teamTaskIds;

    @ApiModelProperty(value = "检查组成员")
    private String teamMember;

    @ApiModelProperty(value = "检查结果id集合")
    private Set<String> resultIds;

    @ApiModelProperty(value = "待办详情跳转Url")
    private String itemUrl;

    @ApiModelProperty(value = "待办详情跳转参数")
    private String itemQuery;

    @ApiModelProperty(value = "待办用户")
    List<ReceiverCollectionVO> userList;

    @ApiModelProperty(value = "已办处理人主键")
    private String handlerId; // 已办-处理人主键 （BacklogUpdateVO）

    @ApiModelProperty(value = "检查企业盖章（管理端）")
    private String jcqygz;

    @ApiModelProperty(value = "检查企业签章（管理端）")
    private String jcqyqz;

    @ApiModelProperty(value = "检查企业盖章ID")
    private String jcqygzId;

    @ApiModelProperty(value = "0否，1是")
    private String sfgs;

    @ApiModelProperty(value = "事项详情Url")
	private String itemUrlHaveDone;

	@ApiModelProperty(value = "跳转详情参数")
	private String itemQueryHaveDone;

    /*@ApiModelProperty(value = "计划对象")
    InspectionplanVO inspectionplanVO;*/

    private AppVO appVO;

    private Integer isPad=0;

    @ApiModelProperty(value = "任务类型id集合")
    private List<String> rwlxIdList;

    @ApiModelProperty(value = "被检仓号编号")
    private String bjchbh;

    @ApiModelProperty(value = "被检仓号名称", notes ="被检仓号名称")
    private String bjchmc;

    @ApiModelProperty(value = "是否按照菜单权限条件判断")
    private Boolean isMenuPermission=false;

    @ApiModelProperty(value = "当前登录用户")
    private String currentUserCode;

    @ApiModelProperty(value = "是否是区粮办用户权限")
    private Boolean isQlb=false;
}
