package com.unis.inspectionresult.common.vo.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 查询条件 实体类
 *
 * @author WYS
 * @since 2020-06-04
 */
@Data
@ApiModel(value = "DailyResultSearchVO（业务检查查询条件VO）")
public class DailyCheckSearchVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "检查方式#(0，远程。1、现场)", notes ="检查方式")
    private String jcfs;

    @ApiModelProperty(value = "起始检查时间", notes ="起始检查时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date startjcsj;

    @ApiModelProperty(value = "截止检查时间", notes ="截止检查时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date endjcsj;

    @ApiModelProperty(value = "填报状态", notes ="填报状态")
    private String jgTbbh;

    @ApiModelProperty(value = "仓库名称", notes ="仓库名称")
    private String cfmc;

}