/*
* DailyCheckResultVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 检查工作开展情况统计查询业务
 * @author WangZL at 2019-08-26 16:21:29
 */
@ApiModel(value = "检查工作开展情况统计查询业务-DevelopmentSituationQueryVO",description="A")
@Data
public class DevelopmentSituationQueryVO implements Serializable{
	
	
	@ApiModelProperty(value = "统计开始时间", notes ="统计开始时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String tjsj;

    @ApiModelProperty(value = "统计开始时间", notes ="统计开始时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String jcksDate;

    @ApiModelProperty(value = "统计结束时间", notes ="统计结束时间", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String jcjsDate;

    @NotBlank(message = "检查单位id不能为空",groups ={InsertGroup.class})
    @Length(max=56,message="检查单位id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查单位id", notes ="检查单位id")
    @Column(name="JCDW_ID", length=56)
    private String jcdwId;

    @NotBlank(message = "检查单位名称不能为空",groups ={InsertGroup.class})
    @Length(max=128,message="检查单位名称最大为128字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "检查单位名称", notes ="检查单位名称")
    @Column(name="JCDWMC", length=128)
    private String jcdwmc;

    @ApiModelProperty("检查项目类型（0、单项检查  1、综合检查）")
    private Integer jcxmlx;

    @ApiModelProperty(value = "单项检查内容", notes ="单项检查内容", required = false)
    private String dxjcnr;

    @ApiModelProperty(value = "月度累计：1、当月。2、累计", notes ="月度累计：1、当月。2、累计", required = false)
    private Integer ydlj;
}