/*
* FormDetailShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-27 15:27:34 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * T_BDJLMX-储备粮公司-表单记录明细表
 * @author lipenghe at 2019-08-27 15:27:34
 */
@ApiModel(value = "T_BDJLMX:储备粮公司-表单记录明细表-FormDetailShowVO")
@Data
@Table(name="T_BDJLMX")
public class FormDetailShowVO implements Serializable{

    @NotBlank(message = "表单明细id不能为空",groups ={UpdateGroup.class})
    @Length(max=30,message="表单明细id最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单明细id#<主键><唯一><非空>", notes ="表单明细id")
    @Id
    @Column(name="BDMXID",length=30)
    private String bdmxid;

    @Length(max=30,message="表单记录主表id最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单记录主表id", notes ="表单记录主表id", hidden = true)
    @Column(name="BDZBID", length=30)
    private String bdzbid;

    @Length(max=18,message="指标id最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "指标id#(字典出)", notes ="指标id", hidden = true)
    @Column(name="ZB_ID", length=18)
    private String zbId;

    @Length(max=128,message="指标名称最大为128字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "指标名称#(字典出)", notes ="指标名称", hidden = true)
    @Column(name="ZB_NAME", length=128)
    private String zbName;

    @Length(max=256,message="异常信息最大为256字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "异常信息", notes ="异常信息", hidden = true)
    @Column(name="YCXX", length=256)
    private String ycxx;

    @Length(max=56,message="表单填写人最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单填写人", notes ="表单填写人", hidden = true)
    @Column(name="BD_TXR", length=56)
    private String bdTxr;

    @Length(max=18,message="填写人编号最大为18字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "填写人编号", notes ="填写人编号", hidden = true)
    @Column(name="BD_TXRBH", length=18)
    private String bdTxrbh;

    @ApiModelProperty(value = "填写时间", notes ="填写时间", hidden = true)
    @Column(name="BD_TXSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bdTxsj;

    @Length(max=50,message="抽查仓号最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "抽查仓号", notes ="抽查仓号", hidden = true)
    @Column(name="CCCH", length=50)
    private String ccch;

    @ApiModelProperty(value = "粮食吨数", notes ="粮食吨数", hidden = true)
    @Column(name="LSDS", length=10, precision=10, scale=2)
    private Double lsds;

    @ApiModelProperty(value = "仓温", notes ="仓温", hidden = true)
    @Column(name="LSCW", length=8, precision=8, scale=3)
    private Double lscw;

    @ApiModelProperty(value = "仓湿", notes ="仓湿", hidden = true)
    @Column(name="LSCS", length=8, precision=8, scale=3)
    private Double lscs;

    @ApiModelProperty(value = "机动点粮温1", notes ="机动点粮温1", hidden = true)
    @Column(name="LSJDDLW1", length=8, precision=8, scale=3)
    private Double lsjddlw1;

    @ApiModelProperty(value = "机动点粮温2", notes ="机动点粮温2", hidden = true)
    @Column(name="LSJDDLW2", length=8, precision=8, scale=3)
    private Double lsjddlw2;

    @ApiModelProperty(value = "机动点粮温3", notes ="机动点粮温3", hidden = true)
    @Column(name="LSJDDLW3", length=8, precision=8, scale=3)
    private Double lsjddlw3;

    @ApiModelProperty(value = "机动点水分1", notes ="机动点水分1", hidden = true)
    @Column(name="LSJDDSF1", length=8, precision=8, scale=3)
    private Double lsjddsf1;

    @ApiModelProperty(value = "机动点水分2", notes ="机动点水分2", hidden = true)
    @Column(name="LSJDDSF2", length=8, precision=8, scale=3)
    private Double lsjddsf2;

    @ApiModelProperty(value = "机动点水分3", notes ="机动点水分3", hidden = true)
    @Column(name="LSJDDSF3", length=8, precision=8, scale=3)
    private Double lsjddsf3;

    @Length(max=100,message="粮食粮面最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食粮面", notes ="粮食粮面", hidden = true)
    @Column(name="LSLM", length=100)
    private String lslm;

    @Length(max=100,message="粮食门窗最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食门窗", notes ="粮食门窗", hidden = true)
    @Column(name="LSMC", length=100)
    private String lsmc;

    @Length(max=100,message="粮食灯和灯罩最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食灯和灯罩", notes ="粮食灯和灯罩", hidden = true)
    @Column(name="LSDHDZ", length=100)
    private String lsdhdz;

    @Length(max=100,message="粮食查虫情况最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "粮食查虫情况", notes ="粮食查虫情况", hidden = true)
    @Column(name="LSCCQK", length=100)
    private String lsccqk;

    @ApiModelProperty(value = "霉变程度")
    @Column(name = "MBCD")
    private String mbcd;

    @ApiModelProperty(value = "霉变部位")
    @Column(name = "MBCDBW")
    private String mbcdbw;

    @ApiModelProperty(value = "霉变程度数量")
    @Column(name = "MBCDSL")
    private BigDecimal mbcdsl;

    @ApiModelProperty(value = "结露")
    @Column(name = "JL")
    private String jl;

    @ApiModelProperty(value = "结露部位")
    @Column(name = "JLBW")
    private String jlbw;

    @Length(max=20,message="虫卵虫絮蛛网程度最大为20字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度", notes ="虫卵虫絮蛛网程度")
    @Column(name="CLCXZZWCD", length=20)
    private String clcxzzwcd;

    @Length(max=128,message="虫卵虫絮蛛网程度其他最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度其他", notes ="虫卵虫絮蛛网程度其他")
    @Column(name="CLCXZZWCDQT", length=128)
    private String clcxzzwcdqt;

    @Length(max=128,message="虫卵虫絮蛛网部位最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网部位", notes ="虫卵虫絮蛛网部位")
    @Column(name="CLCXZZWCDBW", length=128)
    private String clcxzzwcdbw;

    @ApiModelProperty(value = "仓号")
    @Column(name="HOUSE_ID")
    private String houseId;

    @ApiModelProperty(value = "垛位号")
    @Column(name="WAREHOUSE_ID")
    private String warehouseId;

    @ApiModelProperty(value = "等级")
    @Column(name="LEVELS")
    private String levels;

    @ApiModelProperty(value = "垛位名称")
    @Column(name="STOCK_NAME")
    private String stockName;

    @ApiModelProperty(value = "数量(吨)")
    @Column(name="SL")
    private BigDecimal sl;

    @ApiModelProperty(value = "包数")
    @Column(name="BS")
    private Integer bs;

    @ApiModelProperty(value = "规格")
    @Column(name="SPECIFICATIONS")
    private BigDecimal specifications;

    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Column(name="SCRQ")
    private Date scrq;

    @ApiModelProperty(value = "入仓时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Column(name="START_TIME")
    private Date startTime;

    @ApiModelProperty(value = "保质期")
    @Column(name="BZQ")
    private Integer bzq;

    @ApiModelProperty(value = "品牌")
    @Column(name="PINP")
    private String pinp;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态", hidden = true)
    @Column(name="STATUS", length=5, precision=5, scale=0)
    private Integer status;

    @Length(max=32,message="创建人最大为32字符",groups ={UpdateGroup.class,InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", hidden = true)
    @Column(name="CREATEOR",length=32)
    private String createor;

    @Length(max=18,message="创建人编号最大为18字符",groups ={UpdateGroup.class,InsertGroup.class})
    @ApiModelProperty(value = "创建人编号", notes ="创建人编号", hidden = true)
    @Column(name="CREATEOR_CODE",length=18)
    private String createorCode;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "刷新时间", notes ="刷新时间", hidden = true)
    @Column(name="REFRESH_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date refreshDate;

    @ApiModelProperty("备注")
    @Column(name="remark")
    private String remark;

    public FormDetailShowVO(){
        super();
        this.status=BaseStatusConstant.STATUS_NORMAL;
    }
}