/*
* ReformDelayReviewShowVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-09-02 15:31:10 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * T_BDZGYQSP-储备粮公司-表单整改延期审批
 * @author lipenghe at 2019-09-02 15:31:10
 */
@ApiModel(value = "T_BDZGYQSP:储备粮公司-表单整改延期审批-ReformDelayReviewShowVO")
@Data
@Table(name="T_BDZGYQSP")
public class ReformDelayReviewShowVO implements Serializable{

    @NotBlank(message = "表单整改延期审批id不能为空",groups ={UpdateGroup.class})
    @Length(max=30,message="表单整改延期审批id最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "表单整改延期审批id#<主键><唯一><非空>", notes ="表单整改延期审批id")
    @Id
    @Column(name="BDZGYQID",length=30)
    private String bdzgyqid;

    @Length(max=56,message="结果id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "结果id#结果id(任务id+001)", notes ="结果id", hidden = true)
    @Column(name="JG_ID", length=56)
    private String jgId;

    @ApiModelProperty(value = "延期截止时间", notes ="延期截止时间", hidden = true)
    @Column(name="YQJZSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date yqjzsj;

    //数据库类型:CLOB,长度:4000
    @ApiModelProperty(value = "延期原因", notes ="延期原因", hidden = true)
    @Column(name="YQYY")
    private String yqyy;

    @Length(max=256,message="审批状态最大为256字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "审批状态#(状态，1：通过，0：驳回)", notes ="审批状态", hidden = true)
    @Column(name="SPZT", length=256)
    private String spzt;

    @Length(max=500,message="驳回原因最大为500字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "驳回原因", notes ="驳回原因", hidden = true)
    @Column(name="BHYY", length=500)
    private String bhyy;

    @Length(max=50,message="审批人最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "审批人", notes ="审批人", hidden = true)
    @Column(name="SPR", length=50)
    private String spr;

    @ApiModelProperty(value = "审批时间", notes ="审批时间", hidden = true)
    @Column(name="SPSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date spsj;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态", hidden = true)
    @Column(name="STATUS", length=5, precision=5, scale=0)
    private Integer status;

    @Length(max=32,message="创建人最大为32字符",groups ={UpdateGroup.class,InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", hidden = true)
    @Column(name="CREATEOR",length=32)
    private String createor;

    @Length(max=18,message="创建人编号最大为18字符",groups ={UpdateGroup.class,InsertGroup.class})
    @ApiModelProperty(value = "创建人编号", notes ="创建人编号", hidden = true)
    @Column(name="CREATEOR_CODE",length=18)
    private String createorCode;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @ApiModelProperty(value = "刷新时间", notes ="刷新时间", hidden = true)
    @Column(name="REFRESH_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date refreshDate;

    @ApiModelProperty("备注")
    @Column(name="remark")
    private String remark;

    public ReformDelayReviewShowVO(){
        super();
        this.status=BaseStatusConstant.STATUS_NORMAL;
    }
}