package com.unis.inspectionresult.server.common.scheduled;

import com.unis.inspectionresult.common.constant.DailyCheckStatusConstant;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;
import com.unis.inspectionresult.server.dao.DailyCheckResultDao;
import com.unis.inspectionresult.server.domain.resultback.DailyCheckResultDomain;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;


/**
 * Created by admin on 2017/12/4.
 */
@Slf4j
@Component
public class CheckResultService {

	@Autowired
	DailyCheckResultDao dailyCheckResultDao;

	@Scheduled(cron = "0 0 */1 * * ?")//每天每h
	public  void dowork(){
		String sign= new SimpleDateFormat("yyyy-MM-dd").format(new Date());
		int num=0;
		log.info("------超期结果反馈-{}-开始检测",sign);
		try {
			num=execute(sign);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
		}
		log.info("---超期结果反馈-{}-检测完毕,共<{}>条超期数据",sign,num);
	}

	public int  execute(String sign) throws IOException, NoSuchAlgorithmException {
		DailyCheckResultVO dailyCheckResultVO=new DailyCheckResultVO();
		//查询的字段
		dailyCheckResultVO.setJgTbbhLimit(DailyCheckStatusConstant.TO_BE_REFORM.getValue());
		dailyCheckResultVO.setOperate("<");
		SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd");
		Date date=null;
		try {
			date=sdf.parse(sdf.format(new Date()));
		} catch (ParseException e) {
			e.printStackTrace();
		}

		dailyCheckResultVO.setJgJzsj(date);
		dailyCheckResultVO.setJgTbbh(DailyCheckStatusConstant.ACCEPT_REFUSE.getValue());
		dailyCheckResultVO.setJgTbmc(DailyCheckStatusConstant.ACCEPT_REFUSE.getName());
		return dailyCheckResultDao.updateOverDueByEntitySelective(dailyCheckResultVO);
	}

}
