package com.unis.inspectionresult.server.config;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.http.HttpStatus;
import org.springframework.validation.BindException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;


@ControllerAdvice
public class CommonExceptionController {

	@ExceptionHandler(RuntimeException.class)
	@ResponseBody
	public ResponseWrapper exceptionHandler(RuntimeException ex){
		ex.printStackTrace();
		return ResponseWrapper.error(HttpStatus.PRECONDITION_FAILED.value(), String.valueOf(ex.getMessage()),null);
	}

	@ExceptionHandler(BindException.class)
	public ResponseWrapper handleException(BindException e) {
		String msg="参数格式错误,校验不通过";
		e.printStackTrace();
		return ResponseWrapper.validateFail(e.getAllErrors());
	}
	
	@ExceptionHandler(Exception.class)
	@ResponseBody
	public ResponseWrapper exceptionHandler(Exception ex){
		ex.printStackTrace();
	    return ResponseWrapper.error(String.valueOf(ex.getMessage()));
	}
}
