package com.unis.inspectionresult.server.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.CheckCensusVO;
import com.unis.inspectionresult.common.vo.CheckSecurityVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.server.service.CheckCensusService;
import com.unis.inspectionresult.server.service.InspectionIndicatorsService;

import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;

@RestController
@Slf4j
@Api(value = "检查数据统计", tags = "检查数据统计")
public class CheckCensusController {

	@Autowired
	private CheckCensusService checkCensusService;

	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/checkcensus")
	public ResponseWrapper checkcensus(@RequestBody CheckCensusQueryVO checkCensusQueryVO) {
		try {
			List<CheckCensusVO> indicators = checkCensusService.checkcensus(checkCensusQueryVO);
			return ResponseWrapper.success(HttpStatus.OK.value(), "查询成功", indicators);
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
		}
	}
	
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/checkcensusrwid")
	public ResponseWrapper checkcensusrwid(@RequestBody CheckCensusQueryVO checkCensusQueryVO) {
		try {
			List<String> indicators = checkCensusService.checkcensusrwid(checkCensusQueryVO);
			return ResponseWrapper.success(HttpStatus.OK.value(), "查询成功", indicators);
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
		}
	}
	
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/checksecurity")
	public ResponseWrapper checksecurity(@RequestBody CheckCensusQueryVO checkCensusQueryVO) {
		try {
			List<CheckSecurityVO> indicators = checkCensusService.checksecurity(checkCensusQueryVO);
			return ResponseWrapper.success(HttpStatus.OK.value(), "查询成功", indicators);
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
		}
	}
}
