package com.unis.inspectionresult.server.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.CheckCensusVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.ResultApplyVO;
import com.unis.inspectionresult.server.service.CheckCensusService;
import com.unis.inspectionresult.server.service.InspectionIndicatorsService;
import com.unis.inspectionresult.server.service.ResultApplyService;

import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;

@RestController
@Slf4j
@Api(value = "综合查询审批", tags = "综合查询审批")
public class ResultApplyController {

	@Autowired
	private ResultApplyService resultApplyService;

	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultapply")
	public ResponseWrapper resultapply(@RequestBody ResultApplyVO checkCensusQueryVO) {
		try {
			int x = resultApplyService.resultapply(checkCensusQueryVO);
			return ResponseWrapper.success("申请成功");
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "申请失败", null);
		}
	}
	
	
	/**
	 * 新增检查指标
	 * @param jczbvo
	 * @return
	 */
	@PostMapping("/resultupdate")
	public ResponseWrapper resultupdate(@RequestBody ResultApplyVO checkCensusQueryVO) {
		try {
			int x = resultApplyService.resultupdate(checkCensusQueryVO);
			return ResponseWrapper.success("审批成功");
		} catch (Exception e) {
			log.error(e.getMessage());
			return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), "查询失败", null);
		}
	}
}
