package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.ApprovalOpinionsDO;
import com.unis.inspectionresult.server.example.ApprovalOpinionsExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * 审批意见信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ApprovalOpinionsDao extends Mapper<ApprovalOpinionsDO> {

    /**
     * 新增审批意见信息
     * @return
     */
    int insert(ApprovalOpinionsDO approvalOpinionsDO);

    int insertSelective(ApprovalOpinionsDO record);

    /**
     * 更新审批意见信息
     * @param rectificationAcceptanceDO
     * @return
     */
    int update(ApprovalOpinionsDO approvalOpinionsDO);

    int updateByPrimaryKeySelective(ApprovalOpinionsDO record);

    int updateByPrimaryKey(ApprovalOpinionsDO record);

    /**
     * 根据关联ID获取审批意见信息
     * @param dataId
     * @return
     */
    ApprovalOpinionsDO getApprovalOpinionsInfo(@Param("dataId")String dataId);

    /**
     * 获取审批意见ID最大编号
     * @return
     */
    String getMaxCodeById(@Param("prefix")String prefix);

    //long countByExample(ApprovalOpinionsExample example);

    //int deleteByExample(ApprovalOpinionsExample example);

    //int deleteByPrimaryKey(String bdshyjId);

    //List<ApprovalOpinionsDO> selectByExample(ApprovalOpinionsExample example);

    //ApprovalOpinionsDO selectByPrimaryKey(String bdshyjId);

    //int updateByExampleSelective(@Param("record") ApprovalOpinionsDO record, @Param("example") ApprovalOpinionsExample example);

    //int updateByExample(@Param("record") ApprovalOpinionsDO record, @Param("example") ApprovalOpinionsExample example);


}