package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.common.vo.CheckWorkLogQueryVO;
import com.unis.inspectionresult.common.vo.CheckWorkLogVO;
import com.unis.inspectionresult.server.entity.CheckWorkLogDO;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 *  整改工作日志信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface CheckWorkLogDao extends Mapper<CheckWorkLogDO> {

    /**
     * 获取工作日志列表
     * @param checkWorkLogQueryVO
     * @return
     */
    List<CheckWorkLogVO> getCheckWorkLogList(CheckWorkLogQueryVO checkWorkLogQueryVO);

    /**
     * 根据工作日志ID获取工作日志信息
     * @param id
     * @return
     */
    CheckWorkLogDO getCheckWorkLogInfo(@Param("id")Integer id);

    /**
     * 新增工作日志信息
     * @return
     */
    int insert(CheckWorkLogDO checkWorkLogDO);

    int insertSelective(CheckWorkLogDO record);

    /**
     * 更新工作日志信息
     * @param checkWorkLogDO
     * @return
     */
    int update(CheckWorkLogDO checkWorkLogDO);

    int updateByPrimaryKeySelective(CheckWorkLogDO record);

    int updateByPrimaryKey(CheckWorkLogDO record);

    /**
     * 获取最大主键ID
     * @return
     */
    Integer selectMaxId();

    //long countByExample(CheckWorkLogExample example);

    //int deleteByExample(CheckWorkLogExample example);

    //int deleteByPrimaryKey(Integer id);

    //List<CheckWorkLogDO> selectByExample(CheckWorkLogExample example);

    //CheckWorkLogDO selectByPrimaryKey(Integer id);

    //int updateByExampleSelective(@Param("record") CheckWorkLogDO record, @Param("example") CheckWorkLogExample example);

    //int updateByExample(@Param("record") CheckWorkLogDO record, @Param("example") CheckWorkLogExample example);


}