/*
 * DailyCheckResultDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.dao;

import java.util.List;
import java.util.Map;

import com.unis.inspectionresult.common.vo.resultback.*;
import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.Page;
import com.unis.inspectionplan.common.vo.InspectionplanVO;
import com.unis.inspectionresult.common.vo.BaseKcVO;
import com.unis.inspectionresult.common.vo.ResultApplyQuery;
import com.unis.inspectionresult.common.vo.ResultApplyVO;
import com.unis.inspectionresult.server.entity.resultback.DailyCheckResultDO;
import com.unis.inspectiontask.common.vo.PerformanceQueryVO;

import tk.mybatis.mapper.common.Mapper;

/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
public interface DailyCheckResultDao  extends Mapper<DailyCheckResultDO> {
    /**
     * <T_JCJG-检查结果>插入全部字段(会覆盖数据库默认值)
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>更改数据状态
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>根据实体更新单条或者多条数据(会覆盖数据库默认值)
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>根据实体更新单条或者多条数据,只更新非空的属性对应的字段
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>超期数据检测
     * @param dailyCheckResultVO    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateOverDueByEntitySelective(DailyCheckResultVO dailyCheckResultVO);

    /**
     * <T_JCJG-检查结果>根据实体单条或者批量删除
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体单条或者批量删除
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>根据实体假删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体查询数量
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体(唯一标示)查询一条数据
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    DailyCheckResultVO selectById(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体(唯一标示)查询一条数据
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    DailyCheckResultVO selectById(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>根据实体查询分页列表
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<DailyCheckResultVO> selectPageByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>日常检查分页列表
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<DailyCheckResultVO> selectDailyPageByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>日常检查分页列表
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<DailyCheckResultVO> selectTeamPageByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体查询列表
     * @param entity    <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DailyCheckResultVO> selectByEntity(DailyCheckResultVO entity);

    /**
     * <T_JCJG-检查结果>根据实体查询列表
     * @param entity     <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DailyCheckResultVO> selectByEntity(DailyCheckResultDO entity);

    /**
     * <T_JCJG-检查结果>根据任务id查询特定状态结果数据
     * @param performanceQueryVO     <检查结果>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DailyCheckResultPerformanceVO> getinspectionList(PerformanceQueryVO performanceQueryVO);

    /**
     * 根据结果id列表结果数据
     * @param performanceQueryVO
     * @return
     */
    List<DailyCheckResultVO> getInspectionListByjgIdList(PerformanceQueryVO performanceQueryVO);

    /**
     * 查询所有列表
     * @param queryvo
     * @return
     */
    List<DailyCheckResultDO> getAllList(DailyCheckResultQueryVO queryvo);

    Page<DailyCheckResultVO> selectDailyPageByCompanyEntity(DailyCheckResultVO checkResultVO);

    Page<DailyCheckResultVO> dailyCheckResultYlCplPage(DailyCheckResultVO checkResultVO);

    /**
     * 根据bjdwId, rwId查询检查时间
     * @param queryMap
     * @return
     */
    DailyCheckInspectionTimeAndResultIdVO getInspectionTime(Map<String, String> queryMap);

    /**
     * 根据任务时间查询特定状态结果数据
     * @param developmentSituationQueryVO
     * @return
     */
    DevelopmentSituationVO developmentSituation(DevelopmentSituationQueryVO developmentSituationQueryVO);

    /**
     * 根据任务时间查询任务列表
     * @param developmentSituationQueryVO
     * @return
     */
    List<String> developmentSituationByRwIdList(DevelopmentSituationQueryVO developmentSituationQueryVO);
    
	/**
	 * 
	 * @Description: 根据计划主键查询检查结果
	 * @author: 王帅
	 * @param: @param  planId
	 * @param: @return 参数
	 * @return: List<DailyCheckResultDO> 返回类型
	 */
	List<DailyCheckResultDO> showCheckResultByPlan(@Param("planId") String planId);

	List<DailyCheckResultVO> selectDailyListByBjdwid(@Param("bjdwId") String bjdwId);

	Page<ResultApplyVO> selectResultApplyVOPage(ResultApplyQuery resultApplyQuery);

	Page<ResultApplyVO> selectResultApplyDisVOPage(ResultApplyQuery resultApplyQuery);

    Page<DailyCheckResultVO> dailyCheckResultPageForKSH(DailyCheckSearchVO dailyCheckSearchVO);

	List<DailyCheckResultDO> getTomDayList();

	void updateGz(@Param("jgId")String jgId);

	List<BaseKcVO> selectKc(@Param("tyshxydm")String tyshxydm);

	List<BaseKcVO> selectChengPinKc(@Param("tyshxydm")String tyshxydm);

	BaseKcVO selectWd(@Param("cfbh")String cfbh);

    List<BaseKcVO> selectBatchWd(@Param("cfbhList")List<String> cfbhList);
    
    /**
     * 根据计划id查询计划信息
     * @param jhid
     * @return
     */
    InspectionplanVO selectJcjhById(@Param("jhid") String jhid);
    
    /**
     * 更新计划状态
     * @param record
     * @return
     */
    int updateJcjhByPrimaryKey(InspectionplanVO jcjhVo);
}