/*
 * DailyCheckResultDetailDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.resultback.DailyCheckResultDetailDO;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultDetailVO;


import tk.mybatis.mapper.common.Mapper;
import com.github.pagehelper.Page;
import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * T_BDJLZB-表单记录主表
 * @author lipenghe at 2019-08-26 16:21:29
 */
public interface DailyCheckResultDetailDao  extends Mapper<DailyCheckResultDetailDO> {
    /**
     * <T_BDJLZB-表单记录主表>插入全部字段(会覆盖数据库默认值)
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>更改数据状态
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体更新单条或者多条数据(会覆盖数据库默认值)
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体更新单条或者多条数据,只更新非空的属性对应的字段
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体单条或者批量删除
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DailyCheckResultDetailVO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体单条或者批量删除
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体假删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(DailyCheckResultDetailVO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体查询数量
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(DailyCheckResultDetailVO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体(唯一标示)查询一条数据
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    DailyCheckResultDetailVO selectById(DailyCheckResultDetailVO entity);

    /**
    * <T_BDJLZB-表单记录主表>根据实体(唯一标示)查询一条数据
    * @param entity    <表单记录主表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    DailyCheckResultDetailVO selectById(DailyCheckResultDetailDO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体查询分页列表
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<DailyCheckResultDetailVO> selectPageByEntity(DailyCheckResultDetailVO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体查询列表
     * @param entity    <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DailyCheckResultDetailVO> selectByEntity(DailyCheckResultDetailVO entity);

    /**
     * <T_BDJLZB-表单记录主表>根据实体查询列表
     * @param entity     <表单记录主表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DailyCheckResultDetailVO> selectByEntity(DailyCheckResultDetailDO entity);

	void updateGz(@Param("jgId")String jgId);
}