package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.FileDO;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * 文件信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface FileDao extends Mapper<FileDO>{

    /**
     * 新增文件信息
     * @return
     */
    int insert(FileDO fileDO);

    /**
     * 更新文件信息
     * @param fileDO
     * @return
     */
    int update(FileDO fileDO);

    /**
     * 根据ID获取文件信息
     * @param id
     * @return
     */
    FileDO getFileInfo(@Param("id")String id);

    /**
     * 根据数据ID获取文件列表
     * @param sjId
     * @return
     */
    List<FileDO> getFileListBySjId(@Param("sjId")String sjId);

    /**
     * 获取最大主键ID
     * @return
     */
    Integer selectMaxId();

    //long countByExample(TFileExample example);

    //int deleteByExample(TFileExample example);

    //List<TFileDO> selectByExample(TFileExample example);

    //int updateByExampleSelective(@Param("record") TFileDO record, @Param("example") TFileExample example);

    //int updateByExample(@Param("record") TFileDO record, @Param("example") TFileExample example);

    /**
     * 根据实体选择性更新
     * @param entity
     * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-07 15:20:46
     */
    int updateByEntitySelective(FileDO entity);

    /**
     * 根据实体单条或者批量删除
     * @param entity
     * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-07 15:20:46
     */
    int deleteByEntity(FileDO entity);

    /**
     * 根据实体假删除,根据实体属性单条或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param entity
     * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-07 15:20:46
     */
    int deleteShamByEntity(FileDO entity);

    /**
     * 根据实体(唯一标示)查询一条数据
     * @param entity
     * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-07 15:20:46
     */
    FileDO selectById(FileDO entity);

    /**
     * 根据实体查询列表
     * @param entity
     * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-07 15:20:46
     */
    List<FileDO> selectByEntity(FileDO entity);
}