/*
 * FormDetailDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-27 15:27:34 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.resultback.FormDetailDO;
import com.unis.inspectionresult.common.vo.resultback.FormDetailVO;


import tk.mybatis.mapper.common.Mapper;
import com.github.pagehelper.Page;
import java.util.List;

/**
 * T_BDJLMX-储备粮公司-表单记录明细表
 * @author lipenghe at 2019-08-27 15:27:34
 */
public interface FormDetailDao extends Mapper<FormDetailDO> {
    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>插入全部字段(会覆盖数据库默认值)
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>更改数据状态
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体更新单条或者多条数据(会覆盖数据库默认值)
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体更新单条或者多条数据,只更新非空的属性对应的字段
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体单条或者批量删除
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(FormDetailVO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体单条或者批量删除
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体假删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(FormDetailVO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体查询数量
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(FormDetailVO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体(唯一标示)查询一条数据
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    FormDetailVO selectById(FormDetailVO entity);

    /**
    * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体(唯一标示)查询一条数据
    * @param entity    <储备粮公司-表单记录明细表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    FormDetailVO selectById(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体查询分页列表
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<FormDetailVO> selectPageByEntity(FormDetailVO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体查询列表
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<FormDetailVO> selectByEntity(FormDetailVO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体查询列表
     * @param entity     <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<FormDetailVO> selectByEntity(FormDetailDO entity);
}