package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.RectificationAcceptanceDO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 整改验收单信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface RectificationAcceptanceDao extends Mapper<RectificationAcceptanceDO> {

    /**
     * 新增整改验收单信息
     * @return
     */
    int insert(RectificationAcceptanceDO rectificationAcceptanceDO);

    int insertSelective(RectificationAcceptanceDO record);

    /**
     * 更新整改验收单信息
     * @param rectificationAcceptanceDO
     * @return
     */
    int update(RectificationAcceptanceDO rectificationAcceptanceDO);

    int updateByPrimaryKeySelective(RectificationAcceptanceDO record);

    int updateByPrimaryKey(RectificationAcceptanceDO record);

    /**
     * 根据结果ID获取整改验收单列表
     * @param jgId
     * @return
     */
    List<RectificationAcceptanceDO> getRectificationAcceptanceListInfoByJgId(@Param("jgId")String jgId);

    /**
     * 根据验收单ID获取整改验收单信息
     * @param ysdId
     * @return
     */
    RectificationAcceptanceDO getRectificationAcceptanceInfoByYsdId(@Param("ysdId")String ysdId);

    /**
     * 获取验收单ID最大编号
     * @return
     */
    String getMaxCodeById(@Param("jgId")String jgId);

	void deleteGz(@Param("jgId")String jgId);

    //long countByExample(RectificationAcceptanceDO example);

    //int deleteByExample(RectificationAcceptanceDO example);

    //int deleteByPrimaryKey(String ysdId);

    //List<RectificationAcceptanceDO> selectByExampleWithBLOBs(RectificationAcceptanceDO example);

    //List<RectificationAcceptanceDO> selectByExample(RectificationAcceptanceDO example);

    //RectificationAcceptanceDO selectByPrimaryKey(String ysdId);

    //int updateByExampleSelective(@Param("record") RectificationAcceptanceDO record);

    //int updateByExampleWithBLOBs(@Param("record") RectificationAcceptanceDO record);

    //int updateByExample(@Param("record") RectificationAcceptanceDO record);

    //int updateByPrimaryKeyWithBLOBs(RectificationAcceptanceDO record);

}