package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.RectificationDetailsDO;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 *  整改详情信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface RectificationDetailsDao extends Mapper<RectificationDetailsDO>{

    /**
     * 新增整改详情信息
     * @return
     */
    int insert(RectificationDetailsDO record);

    int insertSelective(RectificationDetailsDO record);

    /**
     * 更新整改详情信息
     * @param rectificationDetailsDO
     * @return
     */
    int update(RectificationDetailsDO rectificationDetailsDO);

    int updateByPrimaryKey(RectificationDetailsDO record);

    /**
     * 根据整改详情ID获取整改详情信息
     * @param id
     * @return
     */
    RectificationDetailsDO getRectificationDetailsInfo(@Param("id")Integer id);

    /**
     * 根据通知单ID获取整改详情信息列表
     * @param tzdId
     * @return
     */
    List<RectificationDetailsDO> getRectificationDetailsListByTzdId(@Param("tzdId")String tzdId);

    /**
     * 获取最大主键ID
     * @return
     */
    Integer selectMaxId();

    //long countByExample(TZlzgtzdXqExample example);

    //int deleteByExample(TZlzgtzdXqExample example);

    //int deleteByPrimaryKey(BigDecimal id);

    //List<TZlzgtzdXqDO> selectByExample(TZlzgtzdXqExample example);

    //int updateByExampleSelective(@Param("record") TZlzgtzdXqDO record, @Param("example") TZlzgtzdXqExample example);

    //int updateByExample(@Param("record") TZlzgtzdXqDO record, @Param("example") TZlzgtzdXqExample example);

}