package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.RectificationFeedbackDO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 *  整改反馈单信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface RectificationFeedbackDao extends Mapper<RectificationFeedbackDO> {

    /**
     * 新增整改反馈单信息
     * @return
     */
    int insert(RectificationFeedbackDO record);

    int insertSelective(RectificationFeedbackDO record);

    /**
     * 更新整改反馈单信息
     * @param rectificationFeedbackDO
     * @return
     */
    int update(RectificationFeedbackDO rectificationFeedbackDO);

    int updateByPrimaryKeySelective(RectificationFeedbackDO record);

    int updateByPrimaryKey(RectificationFeedbackDO record);

    /**
     * 根据结果ID获取整改反馈单列表
     * @param jgId
     * @return
     */
    List<RectificationFeedbackDO> getRectificationFeedbackInfoListByJgId(@Param("jgId")String jgId);

    /**
     * 根据反馈单ID获取整改反馈单信息
     * @param fkdId
     * @return
     */
    RectificationFeedbackDO getRectificationFeedbackInfoByFkdId(@Param("fkdId")String fkdId);

    /**
     * 获取反馈单ID最大编号
     * @return
     */
    String getMaxCodeById(@Param("jgId")String jgId);

    //long countByExample(RectificationFeedbackExample example);

    //int deleteByExample(RectificationFeedbackExample example);

    //int deleteByPrimaryKey(String FKD_ID);

    //List<RectificationFeedbackDO> selectByExampleWithBLOBs(RectificationFeedbackExample example);

    //List<RectificationFeedbackDO> selectByExample(RectificationFeedbackExample example);

    //RectificationFeedbackDO selectByPrimaryKey(String FKD_ID);

    //int updateByExampleSelective(@Param("record") RectificationFeedbackDO record, @Param("example") RectificationFeedbackExample example);

    //int updateByExampleWithBLOBs(@Param("record") RectificationFeedbackDO record, @Param("example") RectificationFeedbackExample example);

    //int updateByExample(@Param("record") RectificationFeedbackDO record, @Param("example") RectificationFeedbackExample example);

    int updateByPrimaryKeyWithBLOBs(RectificationFeedbackDO record);

	void deleteGz(@Param("jgId")String jgId);

}