package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.RectificationFeedbackDetailedDO;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 *  整改反馈明细信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface RectificationFeedbackDetailedDao extends Mapper<RectificationFeedbackDetailedDO> {

    /**
     * 新增整改反馈明细信息
     * @return
     */
    int insert(RectificationFeedbackDetailedDO record);

    int insertSelective(RectificationFeedbackDetailedDO record);

    /**
     * 更新整改反馈明细信息
     * @param rectificationFeedbackDetailedDO
     * @return
     */
    int update(RectificationFeedbackDetailedDO rectificationFeedbackDetailedDO);

    int updateByPrimaryKeySelective(RectificationFeedbackDetailedDO record);

    int updateByPrimaryKey(RectificationFeedbackDetailedDO record);

    /**
     * 根据ID获取整改反馈明细信息
     * @param id
     * @return
     */
    RectificationFeedbackDetailedDO getRectificationFeedbackDetailedInfo(@Param("id")Integer id);

    /**
     * 根据反馈单ID获取整改反馈明细信息列表
     * @param fkdId
     * @return
     */
    List<RectificationFeedbackDetailedDO> getRectificationFeedbackDetailedListByFkdId(@Param("fkdId")String fkdId);

    /**
     * 获取最大主键ID
     * @return
     */
    Integer selectMaxId();

    //long countByExample(RectificationFeedbackDetailedExample example);

    //int deleteByExample(RectificationFeedbackDetailedExample example);

    //int deleteByPrimaryKey(BigDecimal ID);

    //List<RectificationFeedbackDetailedDO> selectByExample(RectificationFeedbackDetailedExample example);

    //RectificationFeedbackDetailedDO selectByPrimaryKey(BigDecimal ID);

    //int updateByExampleSelective(@Param("record") RectificationFeedbackDetailedDO record, @Param("example") RectificationFeedbackDetailedExample example);

    //int updateByExample(@Param("record") RectificationFeedbackDetailedDO record, @Param("example") RectificationFeedbackDetailedExample example);

}