package com.unis.inspectionresult.server.dao;

import com.unis.inspectionresult.server.entity.RectificationNoticeDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 *  责令整改通知单信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface RectificationNoticeDao extends Mapper<RectificationNoticeDO>{

    /**
     * 新增责令整改通知单信息
     * @return
     */
    int insert(RectificationNoticeDO rectificationNoticeDO);

    int insertSelective(RectificationNoticeDO record);

    /**
     * 更新责令整改通知单信息
     * @param rectificationNoticeDO
     * @return
     */
    int update(RectificationNoticeDO rectificationNoticeDO);

    int updateByPrimaryKey(RectificationNoticeDO record);

    /**
     * 根据结果ID获取责令整改通知单信息
     * @param jgId
     * @return
     */
    RectificationNoticeDO getRectificationNoticeInfo(@Param("jgId")String jgId);

    /**
     * 获取通知单ID最大编号
     * @return
     */
    String getMaxCodeById(@Param("jgId")String jgId);

    /**
     * 获取当前年度检查单位数量
     * @return
     */
    Integer getCountByJcdwId(@Param("year")String year);

	void updateGz(@Param("jgId")String jgId);

    //long countByExample(TZlzgtzdExample example);

    //int deleteByExample(TZlzgtzdExample example);

    //int deleteByPrimaryKey(String tzdId);

    //List<TZlzgtzdDO> selectByExample(TZlzgtzdExample example);

    //int updateByExampleSelective(@Param("record") TZlzgtzdDO record, @Param("example") TZlzgtzdExample example);

    //int updateByExample(@Param("record") TZlzgtzdDO record, @Param("example") TZlzgtzdExample example);

}