package com.unis.inspectionresult.server.domain;

import com.unis.common.utils.DateUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.inspectionresult.common.vo.ApprovalOpinionsVO;
import com.unis.inspectionresult.server.dao.ApprovalOpinionsDao;
import com.unis.inspectionresult.server.entity.ApprovalOpinionsDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ApprovalOpinionsDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class ApprovalOpinionsDomain extends BaseDomain {

	@Autowired
	private ApprovalOpinionsDao approvalOpinionsDao;


	/**
	 * 新增审批意见信息
	 * @param approvalOpinionsVO
	 * @param dataId
	 * @return
	 */
	public void insertApprovalOpinions(ApprovalOpinionsVO approvalOpinionsVO,String dataId) {
		if (approvalOpinionsVO != null) {
			ApprovalOpinionsDO approvalOpinionsInfo = approvalOpinionsDao.getApprovalOpinionsInfo(dataId);
			if (approvalOpinionsInfo == null) {
				ApprovalOpinionsDO approvalOpinionsDO = new ApprovalOpinionsDO();
				String bdshyjId = getMaxCodeById(approvalOpinionsDao.getMaxCodeById(DateUtil.getDate()), DateUtil.getDate(), 3);
				approvalOpinionsVO.setBdshyjId(bdshyjId);
				approvalOpinionsVO.setDataId(dataId);
				approvalOpinionsVO.setStatus(1);
				approvalOpinionsVO.setCreateDate(new Date());
				LsBeanUtils.copyAllProperties(approvalOpinionsVO, approvalOpinionsDO);
				approvalOpinionsDao.insert(approvalOpinionsDO);
			} else {
				approvalOpinionsVO.setBdshyjId(approvalOpinionsInfo.getBdshyjId());
				LsBeanUtils.copyAllProperties(approvalOpinionsVO, approvalOpinionsInfo);
				approvalOpinionsDao.update(approvalOpinionsInfo);
			}
		}
	}


	/**
 	* 更新审批意见信息
	* @param approvalOpinionsVO
 	* @param dataId
 	* @return
 	*/
	public void updateApprovalOpinions(ApprovalOpinionsVO approvalOpinionsVO,String dataId) {
		if (approvalOpinionsVO != null) {
			ApprovalOpinionsDO approvalOpinionsDO = approvalOpinionsDao.getApprovalOpinionsInfo(approvalOpinionsVO.getDataId());
			if (approvalOpinionsDO == null) {
				insertApprovalOpinions(approvalOpinionsVO,dataId);
			} else {
				approvalOpinionsVO.setBdshyjId(approvalOpinionsDO.getBdshyjId());
				LsBeanUtils.copyAllProperties(approvalOpinionsVO, approvalOpinionsDO);
				approvalOpinionsDao.update(approvalOpinionsDO);
			}
		}
	}

	/**
	 * 查询审批意见信息
	 * @param dataId
	 * @return
	 */
	public ApprovalOpinionsVO getApprovalOpinions(String dataId) {
		ApprovalOpinionsDO approvalOpinionsDO = approvalOpinionsDao.getApprovalOpinionsInfo(dataId);
		ApprovalOpinionsVO approvalOpinionsVO = new ApprovalOpinionsVO();
		if (approvalOpinionsDO != null) {
			LsBeanUtils.copyAllProperties(approvalOpinionsDO, approvalOpinionsVO);
		}
		return approvalOpinionsVO;
	}

}
