package com.unis.inspectionresult.server.domain;


import java.text.NumberFormat;

import com.unis.inspectionresult.server.dao.BaseDao;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author huangxing
 * @version 1.0
 * @Title BaseDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class BaseDomain {
	@Autowired
	BaseDao baseDao;

	/**
	 *   根据id获取最大信息编号
	 * @param maxId  当前最大编号
	 * @param preStr 数据前缀
	 * @param length 拼接长度
	 * @return
	 */
	protected String getMaxCodeById(String maxId,String preStr,int length) {
		String serialNumberStr = "";
		if (StringUtils.isEmpty(maxId)) {
			maxId = "0000000000000";
		}
		int serialNumber = 0;
		int maxSerialNumber = Integer.valueOf(maxId.substring(
				maxId.length() - length, maxId.length()));
		serialNumber = maxSerialNumber + 1;

		NumberFormat nf = NumberFormat.getInstance();
        //设置是否使用分组
        nf.setGroupingUsed(false);
        //设置最大整数位数
        nf.setMaximumIntegerDigits(length);
        //设置最小整数位数
        nf.setMinimumIntegerDigits(length);
		serialNumberStr = nf.format(serialNumber);
		StringBuilder emailIdBuilder = new StringBuilder(preStr).append(serialNumberStr);
		return emailIdBuilder.toString();
	}

	/**
	 * @author lipenghe
	 * @param tableName 传入数据表名
	 * @param tableFiled 传入要获取最大id的字段
	 * @param preStr 传入拼接字符的前缀
	 * @param length 传入需要在后缀拼接的最大长度
	 * @return
	 */
	public synchronized String selectByTableNameAndAttr(String tableName,String tableFiled,String preStr,int length){
		int fullLen=preStr.length()+length;
		//根据表名及字段，字段前缀获取最大值
		String sql="SELECT MAX("+tableFiled+") FROM "+tableName + " WHERE "+tableFiled+" LIKE '%"
				+preStr+ "%' AND LENGTH("+tableFiled+")="+fullLen;
		String maxCode = baseDao.selectMax(sql);
		if (StringUtils.isEmpty(maxCode)) {
			maxCode = preStr+String.format("%0"+length+"d",1);
		}else{
			maxCode =preStr+String.format("%0"+length+"d",Integer.valueOf(maxCode.substring(preStr.length()))+1);
		}
		return maxCode;
	}
}
