package com.unis.inspectionresult.server.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.common.utils.LsBeanUtils;
import com.unis.inspectionresult.common.vo.FormfieldsVO;
import com.unis.inspectionresult.common.vo.FormfieldsqueryVO;
import com.unis.inspectionresult.server.dao.TBdxxMapper;
import com.unis.inspectionresult.server.entity.TBdxxDO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@Component
public class FormfieldsDomain extends BaseDomain {

	@Autowired
	private TBdxxMapper bdxxMapper;


	/**
	 * 新增表单
	 * 
	 * @param jcjhVO
	 * @return
	 */
	public int insertFormfields(FormfieldsVO vo) {

		TBdxxDO tBdxxDO = new TBdxxDO();
		// 获取rwlxmcList列表
		List<String> rwlxmcList = vo.getRwlxmcList();
		// 设置rwlxmc
		String rwlxmc = "";
		// 遍历给rwlxmc赋值
		if (rwlxmcList != null) {
			for (String string : rwlxmcList) {
				rwlxmc += string + " ";
			}
		}

		List<String> rwlxIdList = vo.getRwlxIdList();
		String rwlxId = "";
		if (rwlxIdList != null) {
			for (String string : rwlxIdList) {
				rwlxId += string + " ";
			}
		}
		// 给vo设置rwlxmc
		vo.setRwlxmc(rwlxmc);
		vo.setRwlxId(rwlxId);
		vo.setCreateDate(new Date());
		// vo.setCreateor(CurrentUtil.getUserName());
		vo.setStatus(1);
		vo.setBdZt(1);
		// vo-do
		LsBeanUtils.copyAllProperties(vo, tBdxxDO);

		return bdxxMapper.insert(tBdxxDO);

	}

	/**
	 * 分页查询表单
	 * 
	 * @return
	 */

	public List<FormfieldsVO> getFormfieldsList(FormfieldsqueryVO queryvo, Integer pageSize, Integer pageNum) {
		// 创建listvo
		List<FormfieldsVO> listvo = new ArrayList<FormfieldsVO>();
		// 创建rwlxmcList
		List<String> rwlxmcList = new ArrayList<String>();
		// 创建rwlxIdList
		List<String> rwlxIdList = new ArrayList<String>();
		// 创建List<TBdxxDO>
		List<TBdxxDO> list = bdxxMapper.getList(queryvo);

		if (list != null) {
			// 遍历
			for (TBdxxDO tBdxxDO : list) {

				FormfieldsVO vo = new FormfieldsVO();

				// 得到rwlxmc
				String rwlxmc = tBdxxDO.getRwlxmc();
				String[] splitrwlxmc = rwlxmc.split(" ");
				if (splitrwlxmc != null) {
					for (String string : splitrwlxmc) {
						rwlxmcList.add(string);
					}
					vo.setRwlxmcList(rwlxmcList);
				}

				// 得到rwlxId
				String rwlxId = tBdxxDO.getRwlxId();
				String[] splitrwlxId = rwlxId.split(" ");
				if (splitrwlxId != null) {
					for (String string : splitrwlxId) {
						rwlxIdList.add(string);
					}

					vo.setRwlxIdList(rwlxIdList);
				}

				LsBeanUtils.copyAllProperties(tBdxxDO, vo);
				listvo.add(vo);
			}
		}

		return listvo;

	}
	
	/**
	 * 不分页查询表单
	 * 
	 * @return
	 */

	public List<FormfieldsVO> getFormfieldsList(FormfieldsqueryVO queryvo) {
		// 创建listvo
		List<FormfieldsVO> listvo = new ArrayList<FormfieldsVO>();
		// 创建rwlxmcList
		List<String> rwlxmcList = new ArrayList<String>();
		// 创建rwlxIdList
		List<String> rwlxIdList = new ArrayList<String>();
		// 创建List<TBdxxDO>
		List<TBdxxDO> list = bdxxMapper.getList(queryvo);

		if (list != null) {
			// 遍历
			for (TBdxxDO tBdxxDO : list) {

				FormfieldsVO vo = new FormfieldsVO();

				// 得到rwlxmc
				String rwlxmc = tBdxxDO.getRwlxmc();
				String[] splitrwlxmc = rwlxmc.split(" ");
				if (splitrwlxmc != null) {
					for (String string : splitrwlxmc) {
						rwlxmcList.add(string);
					}
					vo.setRwlxmcList(rwlxmcList);
				}

				// 得到rwlxId
				String rwlxId = tBdxxDO.getRwlxId();
				String[] splitrwlxId = rwlxId.split(" ");
				if (splitrwlxId != null) {
					for (String string : splitrwlxId) {
						rwlxIdList.add(string);
					}

					vo.setRwlxIdList(rwlxIdList);
				}

				LsBeanUtils.copyAllProperties(tBdxxDO, vo);
				listvo.add(vo);
			}
		}

		return listvo;
	}

	/**
	 * 查看表单
	 * 
	 * @param jhId
	 * @return
	 */
	public FormfieldsVO getFormfields(String zbId) {

		TBdxxDO selectByPrimaryKey = bdxxMapper.selectByPrimaryKey(zbId);
		String rwlxmc = selectByPrimaryKey.getRwlxmc();
		String rwlxId = selectByPrimaryKey.getRwlxId();
		// 创建rwlxmcList
		List<String> rwlxmcList = new ArrayList<String>();
		String[] splitrwlxmc = rwlxmc.split(" ");
		for (String string : splitrwlxmc) {
			rwlxmcList.add(string);
		}
		// 创建rwlxIdList
		List<String> rwlxIdList = new ArrayList<String>();
		String[] rwlxIdsplit = rwlxId.split(" ");
		for (String string : rwlxIdsplit) {
			rwlxIdList.add(string);
		}

		FormfieldsVO vo = new FormfieldsVO();
		// 给vo设置rwlxmc
		vo.setRwlxmcList(rwlxmcList);
		vo.setRwlxIdList(rwlxIdList);
		LsBeanUtils.copyAllProperties(selectByPrimaryKey, vo);

		return vo;

	}

	/**
	 * 编辑表单
	 * 
	 * @return
	 */
	public int updateFormfields(FormfieldsVO vo) {

		TBdxxDO tBdxxDO = new TBdxxDO();

		List<String> rwlxmcList = vo.getRwlxmcList();
		// 设置rwlxmc
		String rwlxmc = "";
		// 遍历给rwlxmc赋值
		for (String string : rwlxmcList) {
			rwlxmc += string + " ";
		}

		List<String> rwlxIdList = vo.getRwlxIdList();
		String rwlxId = "";
		for (String string : rwlxIdList) {
			rwlxId += string + " ";
		}
		// 给vo设置rwlxmc
		vo.setRwlxmc(rwlxmc);
		// 给vo设置rwlxId
		vo.setRwlxId(rwlxId);
		vo.setRefreshDate(new Date());

		LsBeanUtils.copyAllProperties(vo, tBdxxDO);

		int updateByPrimaryKeySelective = bdxxMapper.updateByPrimaryKeySelective(tBdxxDO);

		return updateByPrimaryKeySelective;

	}

}
