package com.unis.inspectionresult.server.domain;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.common.utils.LsBeanUtils;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;
import com.unis.inspectionresult.server.dao.TBdxxMapper;
import com.unis.inspectionresult.server.dao.TJczbMapper;
import com.unis.inspectionresult.server.entity.TJczbDO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@Component
public class InspectionIndicatorsDomain {

	@Autowired
	private TJczbMapper jczbMapper;

	@Autowired
	private BaseDomain baseDomain;

	/**
	 * 新增检查指标
	 * 
	 * @param jcjhVO
	 * @return
	 */
	public int insertJcjh(InspectionIndicatorsVO jcjhVO) {

		TJczbDO tJczbDO = new TJczbDO();
		List<String> rwlxmcList = jcjhVO.getRwlxmcList();
		List<String> rwlxIdList = jcjhVO.getRwlxIdList();
		String rwlxmc="";
		String rwlxId="";
		for (String string : rwlxmcList) {
			rwlxmc=rwlxmc+" "+string;
		}
		for (String string : rwlxIdList) {
			rwlxId=rwlxId+" "+string;
		}
		LsBeanUtils.copyAllProperties(jcjhVO, tJczbDO);
		tJczbDO.setRwlxmc(rwlxmc);
		tJczbDO.setRwlxId(rwlxId);

		return jczbMapper.insertSelective(tJczbDO);

	}

	/**
	 * 分页查询检查指标
	 * 
	 * @return
	 */

	public List<InspectionIndicatorsVO> getJcjhList(InspectionIndicatorsqueryVO queryvo,
													Integer pageSize,
													Integer pageNum) {

		List<InspectionIndicatorsVO> listvo = new ArrayList<InspectionIndicatorsVO>();

		List<TJczbDO> list = jczbMapper.getList(queryvo);
		for (TJczbDO tJczbDO : list) {
			String rwlxmc = tJczbDO.getRwlxmc();
			List<String> rwlxmcList=new ArrayList<String>();
			String[] split = rwlxmc.split(" ");
			for (String string : split) {
				rwlxmcList.add(string);
			}
			InspectionIndicatorsVO vo = new InspectionIndicatorsVO();
			vo.setRwlxmcList(rwlxmcList);
			LsBeanUtils.copyAllProperties(tJczbDO, vo);
			
			listvo.add(vo);
		}

		return listvo;

	}

	/**
	 * 查看检查指标
	 * 
	 * @param jhId
	 * @return
	 */
	public InspectionIndicatorsVO getInspectionlan(String zbId) {

		TJczbDO tJczbDO = jczbMapper.selectByPrimaryKey(zbId);
		
		List<String> rwlxIdList=new ArrayList<String>();
		String rwlxId = tJczbDO.getRwlxId();
		String[] rwlxIdsplit = rwlxId.split(" ");
		for (String string : rwlxIdsplit) {
			rwlxIdList.add(string);
		}
		
		List<String> rwlxmcList=new ArrayList<String>();
		String rwlxmc = tJczbDO.getRwlxmc();
		String[] rwlxmcsplit = rwlxmc.split(" ");
		for (String string : rwlxmcsplit) {
			rwlxmcList.add(string);
		}
		
		InspectionIndicatorsVO vo = new InspectionIndicatorsVO();
		vo.setRwlxmcList(rwlxmcList);
		vo.setRwlxIdList(rwlxIdList);
		LsBeanUtils.copyAllProperties(tJczbDO, vo);

		return vo;

	}

	/**
	 * 编辑检查指标
	 * 
	 * @return
	 */
	public int updateInspectionlan(InspectionIndicatorsVO jcjhvo) {

		List<String> rwlxmcList = jcjhvo.getRwlxmcList();
		String rwlxmc="";
		for (String string : rwlxmcList) {
			rwlxmc=rwlxmc+" "+string;
		}
		
		List<String> rwlxIdList=jcjhvo.getRwlxIdList(); 
		String rwlxId = "";
		for (String string : rwlxIdList) {
			rwlxId=rwlxId+" "+string;
		}
		
		TJczbDO tJczbDO = new TJczbDO();
		LsBeanUtils.copyAllProperties(jcjhvo, tJczbDO);
		tJczbDO.setRwlxmc(rwlxmc);
		tJczbDO.setRwlxId(rwlxId);
		return jczbMapper.updateByPrimaryKeySelective(tJczbDO);

	}

}
