package com.unis.inspectionresult.server.domain;

import com.unis.common.utils.LsBeanUtils;
import com.unis.inspectionresult.common.vo.RectificationFeedbackDetailedVO;
import com.unis.inspectionresult.server.dao.RectificationFeedbackDetailedDao;
import com.unis.inspectionresult.server.entity.RectificationFeedbackDetailedDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackDetailedDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class RectificationFeedbackDetailedDomain extends BaseDomain {

	@Autowired
	private RectificationFeedbackDetailedDao rectificationFeedbackDetailedDao;

	/**
	 * 新增整改反馈明细列表
	 * @param rectificationFeedbackDetailedVOList
	 * @param fkdId
	 * @return
	 */
	public void insertRectificationFeedbackDetailedList(List<RectificationFeedbackDetailedVO> rectificationFeedbackDetailedVOList,String fkdId) {
		if (rectificationFeedbackDetailedVOList != null && rectificationFeedbackDetailedVOList.size() > 0) {
			for (RectificationFeedbackDetailedVO rectificationFeedbackDetailedVO : rectificationFeedbackDetailedVOList) {
				this.insertRectificationFeedbackDetailed(rectificationFeedbackDetailedVO,fkdId);
			}
		}
	}

	/**
	 * 新增整改反馈明细信息
	 * @param rectificationFeedbackDetailedVO
	 * @param fkdId
	 * @return`
	 */
	public void insertRectificationFeedbackDetailed(RectificationFeedbackDetailedVO rectificationFeedbackDetailedVO,String fkdId) {
		RectificationFeedbackDetailedDO rectificationFeedbackDetailedDO = new RectificationFeedbackDetailedDO();
		Integer id = rectificationFeedbackDetailedDao.selectMaxId();
		if (id == null) {
			id = 0;
		}
		rectificationFeedbackDetailedVO.setId(id + 1);
		rectificationFeedbackDetailedVO.setFkdId(fkdId);
		rectificationFeedbackDetailedVO.setStatus(1);
		rectificationFeedbackDetailedVO.setCreateDate(new Date());
		LsBeanUtils.copyAllProperties(rectificationFeedbackDetailedVO, rectificationFeedbackDetailedDO);
		rectificationFeedbackDetailedDao.insert(rectificationFeedbackDetailedDO);
	}


	/**
 	* 更新整改反馈明细信息
	* @param rectificationFeedbackDetailedVOList
 	* @param fkdId
 	* @return
 	*/
	public void updateRectificationFeedbackDetailedList(List<RectificationFeedbackDetailedVO> rectificationFeedbackDetailedVOList,String fkdId) {
		if (rectificationFeedbackDetailedVOList != null && rectificationFeedbackDetailedVOList.size() > 0) {
			for (RectificationFeedbackDetailedVO rectificationFeedbackDetailedVO : rectificationFeedbackDetailedVOList) {
				RectificationFeedbackDetailedDO rectificationFeedbackDetailedDO = rectificationFeedbackDetailedDao.getRectificationFeedbackDetailedInfo(rectificationFeedbackDetailedVO.getId());
				if (rectificationFeedbackDetailedDO == null) {
					if (rectificationFeedbackDetailedVO.getZgcsx() != null) {
						this.insertRectificationFeedbackDetailed(rectificationFeedbackDetailedVO, fkdId);
					}
				} else {
					LsBeanUtils.copyAllProperties(rectificationFeedbackDetailedVO, rectificationFeedbackDetailedDO);
					rectificationFeedbackDetailedDao.update(rectificationFeedbackDetailedDO);
				}
			}
		}
	}

	/**
	 * 查询整改反馈明细列表
	 * @param fkdId
	 * @return
	 */
	public List<RectificationFeedbackDetailedVO> getRectificationFeedbackDetailedList(String fkdId) {
		List<RectificationFeedbackDetailedVO> rectificationFeedbackDetailedVOList = new ArrayList<>();
		List<RectificationFeedbackDetailedDO> rectificationFeedbackDetailedDOList = rectificationFeedbackDetailedDao.getRectificationFeedbackDetailedListByFkdId(fkdId);
		if (rectificationFeedbackDetailedDOList != null && rectificationFeedbackDetailedDOList.size() > 0) {
			for (RectificationFeedbackDetailedDO rectificationFeedbackDetailedDO : rectificationFeedbackDetailedDOList) {
				RectificationFeedbackDetailedVO rectificationFeedbackDetailedVO = new RectificationFeedbackDetailedVO();
				LsBeanUtils.copyAllProperties(rectificationFeedbackDetailedDO, rectificationFeedbackDetailedVO);
				rectificationFeedbackDetailedVOList.add(rectificationFeedbackDetailedVO);
			}
		}
		return rectificationFeedbackDetailedVOList;
	}

}
