package com.unis.inspectionresult.server.domain;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.UUIDUtils;
import com.unis.inspectionresult.common.vo.ResultApplyVO;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;
import com.unis.inspectionresult.server.dao.DailyCheckResultDao;
import com.unis.inspectionresult.server.dao.ResultApplyDao;
import com.unis.inspectionresult.server.service.backlog.BacklogMQService;

@Component
public class ResultApplyDomain {

	@Autowired
	private ResultApplyDao resultApplyDao;
	@Autowired
	DailyCheckResultDao dailyCheckResultDao;
	@Autowired
	private BacklogMQService backlogService;

	public int resultupdate(ResultApplyVO checkCensusQueryVO) {
		DailyCheckResultVO entity = new DailyCheckResultVO();
		entity.setJgId(checkCensusQueryVO.getJgId());
		DailyCheckResultVO dailyCheckResultVO = dailyCheckResultDao.selectById(entity);
		if(dailyCheckResultVO!=null) {
			backlogService.addDeals(dailyCheckResultVO.getJgId() + "-" + dailyCheckResultVO.getRwlxId(), null, null,null,checkCensusQueryVO.getShjg(), checkCensusQueryVO.getShjg().equals("3")?"已驳回":"可查看");
		}
		checkCensusQueryVO.setSpr(CurrentUtil.getUserName());
		checkCensusQueryVO.setSpsj(new Date());
		return resultApplyDao.resultupdate(checkCensusQueryVO);
	}

	public int resultapply(ResultApplyVO checkCensusQueryVO) {
		checkCensusQueryVO.setTjr(CurrentUtil.getUserName());
		checkCensusQueryVO.setTjsj(new Date());
		resultApplyDao.delete(checkCensusQueryVO);
		checkCensusQueryVO.setId(UUIDUtils.uuid());
		DailyCheckResultVO entity = new DailyCheckResultVO();
		entity.setJgId(checkCensusQueryVO.getJgId());
		DailyCheckResultVO dailyCheckResultVO = dailyCheckResultDao.selectById(entity);
		if(dailyCheckResultVO!=null) {
			backlogService.addNeedToDeals(dailyCheckResultVO.getJgId() + "-" + dailyCheckResultVO.getRwlxId() , "（"+dailyCheckResultVO.getRwmc()+"）待审核", "2", "待审核", null,null,checkCensusQueryVO.getItemUrl(), checkCensusQueryVO.getItemQuery(),checkCensusQueryVO.getItemQueryHaveDone(),checkCensusQueryVO.getItemUrlHaveDone()
					, dailyCheckResultVO.getBjdwName(),checkCensusQueryVO.getUserList());
		}
		return resultApplyDao.resultapply(checkCensusQueryVO);
	}

}
