/*
 * ReformDelayReviewDomain.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-09-02 15:34:49 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.domain.resultback;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.utils.JsonUtils;
import com.unis.inspectionresult.common.vo.resultback.ReformDelayReviewVO;
import com.unis.inspectionresult.server.dao.ReformDelayReviewDao;
import com.unis.inspectionresult.server.entity.resultback.ReformDelayReviewDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * T_BDZGYQSP-储备粮公司-表单整改延期审批
 * DO处理自身,VO处理包括子表
 * @author lipenghe at 2019-09-02 15:34:49
 */
@Component
@Transactional
public class ReformDelayReviewDomain {

    @Autowired
    ReformDelayReviewDao reformDelayReviewDao;

   /**
    * 通用的插入处理
    * @param entity    <储备粮公司-表单整改延期审批>对象
    */
    private void buildInsertData(ReformDelayReviewDO entity){
        entity.buildInsertData();
    }

   /**
    * 通用的更新处理
    * @param entity    <储备粮公司-表单整改延期审批>对象
    */
    private void buildUpdateData(ReformDelayReviewDO entity){
        entity.buildUpdateData();
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>插入全部字段
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int insertEntity(ReformDelayReviewDO entity) {
        buildInsertData(entity);
        return reformDelayReviewDao.insertEntity(entity);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>插入全部字段
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper insertEntity(ReformDelayReviewVO delayReviewVO) {
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= insertEntity(entity);
        if(num>0){
            //主键设置回去
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>插入全部字段,可删除部分字段改为选择性插入
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int insertEntitySelective(ReformDelayReviewDO entity) {
        buildInsertData(entity);
        return reformDelayReviewDao.insertEntitySelective(entity);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>插入全部字段,可删除部分字段改为选择性插入
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper insertEntitySelective(ReformDelayReviewVO delayReviewVO) {
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= insertEntitySelective(entity);
        if(num>0){
            //主键设置回去
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>更改状态
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int updateStatusByEntity(ReformDelayReviewDO entity) {
        return reformDelayReviewDao.updateStatusByEntity(entity);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>更改状态
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper updateStatusByEntity(ReformDelayReviewVO delayReviewVO) {
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= updateStatusByEntity(entity);
        if(num>0){
            //主键设置回去(此处实际不需要)
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体更新单条或者多条数据
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int updateByEntity(ReformDelayReviewDO entity) {
        buildUpdateData(entity);
        return reformDelayReviewDao.updateByEntity(entity);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体更新单条或者多条数据
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper updateByEntity(ReformDelayReviewVO delayReviewVO) {
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= updateByEntity(entity);
        if(num>0){
            //主键设置回去(此处实际不需要)
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体选择性更新
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int updateByEntitySelective(ReformDelayReviewDO entity) {
        buildUpdateData(entity);
        return reformDelayReviewDao.updateByEntitySelective(entity);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体选择性更新(存在则更新,不存在则插入,其余删除)
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper updateByEntitySelective(ReformDelayReviewVO delayReviewVO) {
        //此处是直接更新,较为繁琐,适用于子表数据有关联(被其他数据使用),缺少排序在字段会出现顺序与修改数据的顺序不一致的问题,
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= updateByEntitySelective(entity);
        if(num>0){
            //主键设置回去(此处实际不需要)
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体选择性更新(子表先删除再插入)
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper updateByEntitySelectiveSimple(ReformDelayReviewVO delayReviewVO) {
        //此处是先删除再直接更新,较为简单
        //有属性操作则优先在vo处理
        ReformDelayReviewDO entity=JsonUtils.parse(
            JsonUtils.serialize(delayReviewVO),ReformDelayReviewDO.class);
        int num= updateByEntitySelective(entity);
        if(num>0){
            //主键设置回去(此处实际不需要)
            delayReviewVO.setBdzgyqid(entity.getBdzgyqid());
        }
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体单条或者批量删除
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public int deleteByEntity(ReformDelayReviewDO entity) {
        ReformDelayReviewVO delayReviewVO=JsonUtils.parse(
            JsonUtils.serialize(entity),ReformDelayReviewVO.class);
        return reformDelayReviewDao.deleteByEntity(delayReviewVO);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体单条或者批量删除
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper deleteByEntity(ReformDelayReviewVO delayReviewVO) {
        int num= reformDelayReviewDao.deleteByEntity(delayReviewVO);
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体假删除,根据实体属性单条或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int deleteShamByEntity(ReformDelayReviewDO entity) {
        ReformDelayReviewVO delayReviewVO=JsonUtils.parse(
            JsonUtils.serialize(entity),ReformDelayReviewVO.class);
        return reformDelayReviewDao.deleteShamByEntity(delayReviewVO);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体假删除,根据实体属性单条或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper deleteShamByEntity(ReformDelayReviewVO delayReviewVO) {
        //自行在controller设置状态,则可删除,亦可还原
        int num= reformDelayReviewDao.deleteShamByEntity(delayReviewVO);
        return ResponseWrapper.choose(num);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体查询数量
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public int selectCountByEntity(ReformDelayReviewVO delayReviewVO) {
        int num= reformDelayReviewDao.selectCountByEntity(delayReviewVO);
        return num;
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体(唯一标示)查询一条数据
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ReformDelayReviewVO selectById(ReformDelayReviewDO entity) {
        ReformDelayReviewVO delayReviewVO=JsonUtils.parse(
            JsonUtils.serialize(entity),ReformDelayReviewVO.class);
        return reformDelayReviewDao.selectById(delayReviewVO);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体(唯一标示)查询一条数据
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ReformDelayReviewVO selectById(ReformDelayReviewVO delayReviewVO) {
        ReformDelayReviewVO delayReviewVODb= reformDelayReviewDao.selectById(delayReviewVO);
        return delayReviewVODb;
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体查询分页列表
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV 
     */
    public Page<ReformDelayReviewVO> selectPageByEntity(int pageNo,int pageSize
        ,ReformDelayReviewVO delayReviewVO,String order) {
        PageHelper.startPage(pageNo,pageSize,order);
        return reformDelayReviewDao.selectPageByEntity(delayReviewVO);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体查询列表
     * @param entity    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public List<ReformDelayReviewVO> selectByEntity(ReformDelayReviewDO entity) {
        ReformDelayReviewVO delayReviewVO=JsonUtils.parse(
            JsonUtils.serialize(entity),ReformDelayReviewVO.class);
        return reformDelayReviewDao.selectByEntity(delayReviewVO);
    }

    /**
     * <T_BDZGYQSP-储备粮公司-表单整改延期审批>根据实体查询列表
     * @param delayReviewVO    <储备粮公司-表单整改延期审批>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public List<ReformDelayReviewVO> selectByEntity(ReformDelayReviewVO delayReviewVO) {
        return reformDelayReviewDao.selectByEntity(delayReviewVO);
    }

}
