package com.unis.inspectionresult.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title ApprovalOpinionsDO
 * @ProjectName 审核意见表实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_BDSHYJ")
public class ApprovalOpinionsDO extends BaseEntity {

    @ApiModelProperty(value = "表单审批意见id（yyyyMMdd+001）", notes ="表单审批意见id（yyyyMMdd+001）", required = false)
    @Id
    @Column(name = "bdshyjId")
    private String bdshyjId;

    @ApiModelProperty(value = "关联记录id", notes ="关联记录id", required = false)
    @Column(name = "dataId")
    private String dataId;

    @ApiModelProperty(value = "审核人", notes ="审核人", required = false)
    @Column(name = "approver")
    private String approver;

    @ApiModelProperty(value = "审核时间", notes ="审核时间", required = false)
    @Column(name = "shsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date shsj;

    @ApiModelProperty(value = "审核意见标题", notes ="审核意见标题", required = false)
    @Column(name = "shyjbt")
    private String shyjbt;

    @ApiModelProperty(value = "审核意见正文", notes ="审核意见正文", required = false)
    @Column(name = "shyjzw")
    private String shyjzw;

    @ApiModelProperty(value = "审核结果编码(Y：办结，N：驳回)", notes ="审核结果编码(Y：办结，N：驳回)", required = false)
    @Column(name = "shjgbm")
    private String shjgbm;

}
