package com.unis.inspectionresult.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title CheckWorkLogDO
 * @ProjectName 检查工作日志信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_JCGZRZ")
public class CheckWorkLogDO extends BaseEntity {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty(value = "检查开始时间", notes ="检查开始时间", required = false)
    @Column(name = "jcKssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcKssj;

    @ApiModelProperty(value = "检查结束时间", notes ="检查结束时间", required = false)
    @Column(name = "jcJssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcJssj;

    @ApiModelProperty(value = "检查人员id", notes ="检查人员id", required = false)
    @Column(name = "jcryId")
    private String jcryId;

    @ApiModelProperty(value = "检查人员名称", notes ="检查人员名称", required = false)
    @Column(name = "jcryName")
    private String jcryName;

    @ApiModelProperty(value = "被检企业编号", notes ="被检企业编号", required = false)
    @Column(name = "bjdwId")
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称", required = false)
    @Column(name = "bjdwName")
    private String bjdwName;

    @ApiModelProperty(value = "检查缘由", notes ="检查缘由", required = false)
    @Column(name = "jcyy")
    private String jcyy;

    @ApiModelProperty(value = "检查内容", notes ="检查内容", required = false)
    @Column(name = "jcnr")
    private String jcnr;

    @ApiModelProperty(value = "发现的问题", notes ="发现的问题", required = false)
    @Column(name = "fxdwt")
    private String fxdwt;

    @ApiModelProperty(value = "处理情况", notes ="处理情况", required = false)
    @Column(name = "clqk")
    private String clqk;

    @ApiModelProperty(value = "日志提交人", notes ="日志提交人", required = false)
    @Column(name = "rzTjr")
    private String rzTjr;

    @ApiModelProperty(value = "日志提交人编号", notes ="日志提交人编号", required = false)
    @Column(name = "rzTjrbh")
    private String rzTjrbh;

    @ApiModelProperty(value = "日志提交时间", notes ="日志提交时间", required = false)
    @Column(name = "rzTjsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date rzTjsj;

    @ApiModelProperty(value = "权限", notes ="权限", required = false)
    @Column(name = "org_id")
    private String orgId;

}
