package com.unis.inspectionresult.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackDO
 * @ProjectName 整改反馈实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_ZGFKD")
public class RectificationFeedbackDO extends BaseEntity {

    @ApiModelProperty(value = "主键id  整改反馈单id(结果id+FK+001)", notes ="主键id  整改反馈单id(结果id+FK+001)", required = false)
    @Id
    @Column(name = "fkd_Id")
    private String fkdId;

    @ApiModelProperty(value = "结果id(任务id+001)", notes ="结果id(任务id+001)", required = false)
    @Column(name = "jg_Id")
    private String jgId;

    @ApiModelProperty(value = "粮食粮责（晋粮等等）", notes ="粮食粮责（晋粮等等）", required = false)
    @Column(name = "lslz")
    private String lslz;

    @ApiModelProperty(value = "粮食粮字（晋粮等等）", notes ="粮食粮字（晋粮等等）", required = false)
    @Column(name = "lslzz")
    private String lslzz;

    @ApiModelProperty(value = "粮食良号（晋粮等等）", notes ="粮食良号（晋粮等等）", required = false)
    @Column(name = "lslh")
    private String lslh;

    @ApiModelProperty(value = "储备粮整改措施", notes ="储备粮整改措施", required = false)
    @Column(name = "zgcs")
    private String zgcs;

    @ApiModelProperty(value = "承储企业负责人", notes ="承储企业负责人", required = false)
    @Column(name = "ccqyfzr")
    private String ccqyfzr;

    @ApiModelProperty(value = "惩处企业盖章", notes ="惩处企业盖章", required = false)
    @Column(name = "ccqygz")
    private String ccqygz;

    @ApiModelProperty(value = "惩处企业盖章ID", notes ="惩处企业盖章ID", required = false)
    @Column(name = "ccqygzId")
    private String ccqygzId;

    @ApiModelProperty(value = "结果提交人", notes ="结果提交人", required = false)
    @Column(name = "jg_Tjr")
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号", required = false)
    @Column(name = "jg_Tjrbh")
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间", required = false)
    @Column(name = "jg_Tjsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jgTjsj;

    @ApiModelProperty(value = "开始时间", notes ="开始时间", required = false)
    @Column(name = "kssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date kssj;

    @ApiModelProperty(value = "结束时间", notes ="结束时间", required = false)
    @Column(name = "jssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jssj;
}
