package com.unis.inspectionresult.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title TZlzgtzdDO
 * @ProjectName 责令整改通知单实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_ZLZGTZD")
public class RectificationNoticeDO extends BaseEntity {

    @ApiModelProperty(value = "主键id  责令整改通知单id(结果id+TZ+001)", notes ="主键id  责令整改通知单id(结果id+TZ+001)", required = false)
    @Column(name = "tzd_Id")
    private String tzdId;

    @ApiModelProperty(value = "结果id(任务id+001)", notes ="结果id(任务id+001)", required = false)
    @Column(name = "jg_Id")
    private String jgId;

    @ApiModelProperty(value = "检查单位id", notes ="检查单位id", required = false)
    @Column(name = "jcdw_Id")
    private String jcdwId;

    @ApiModelProperty(value = "检查单位名称", notes ="检查单位名称", required = false)
    @Column(name = "jcdwmc")
    private String jcdwmc;

    @ApiModelProperty(value = "检查企业盖章", notes ="检查企业盖章", required = false)
    @Column(name = "jcqygz")
    private String jcqygz;

    @ApiModelProperty(value = "检查企业签字", notes ="检查企业签字", required = false)
    @Column(name = "jcqyqz")
    private String jcqyqz;

    @ApiModelProperty(value = "被检企业编号", notes ="被检企业编号", required = false)
    @Column(name = "bjdw_Id")
    private String bjdwId;

    @ApiModelProperty(value = "被检企业名称", notes ="被检企业名称", required = false)
    @Column(name = "bjdw_Name")
    private String bjdwName;

    @ApiModelProperty(value = "被检企业地址", notes ="被检企业地址", required = false)
    @Column(name = "bjdw_Dz")
    private String bjdwDz;

    @ApiModelProperty(value = "粮食粮责（晋粮等等）", notes ="粮食粮责（晋粮等等）", required = false)
    @Column(name = "lslz")
    private String lslz;

    @ApiModelProperty(value = "粮食粮字（晋粮等等）", notes ="粮食粮字（晋粮等等）", required = false)
    @Column(name = "lslzz")
    private String lslzz;

    @ApiModelProperty(value = "粮食粮号（晋粮等等）", notes ="粮食粮号（晋粮等等）", required = false)
    @Column(name = "lslh")
    private String lslh;

    @ApiModelProperty(value = "被检仓房（多个逗号隔开）", notes ="被检仓房（多个逗号隔开）", required = false)
    @Column(name = "bjcf")
    private String bjcf;

    @ApiModelProperty(value = "异常情况", notes ="异常情况", required = false)
    @Column(name = "ycqk")
    private String ycqk;

    @ApiModelProperty(value = "整改要求", notes ="整改要求", required = false)
    @Column(name = "zgyq")
    private String zgyq;

    @ApiModelProperty(value = "限期整改要求", notes ="限期整改要求", required = false)
    @Column(name = "xqzgyq")
    private String xqzgyq;

    @ApiModelProperty(value = "违反行为", notes ="违反行为", required = false)
    @Column(name = "wfxw")
    private String wfxw;

    @ApiModelProperty(value = "违反条例", notes ="违反条例", required = false)
    @Column(name = "wftl")
    private String wftl;

    @ApiModelProperty(value = "检查时间", notes ="检查时间", required = false)
    @Column(name = "jcsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date jcsj;

    @ApiModelProperty(value = "整改结束时间", notes ="整改结束时间", required = false)
    @Column(name = "zgjssj")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgjssj;

    @ApiModelProperty(value = "联系人", notes ="联系人", required = false)
    @Column(name = "lxr")
    private String lxr;

    @ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
    @Column(name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "结果提交人", notes ="结果提交人", required = false)
    @Column(name = "jg_Tjr")
    private String jgTjr;

    @ApiModelProperty(value = "提交人编号", notes ="提交人编号", required = false)
    @Column(name = "jg_Tjrbh")
    private String jgTjrbh;

    @ApiModelProperty(value = "提交时间", notes ="提交时间", required = false)
    @Column(name = "jg_Tjsj")
    private Date jgTjsj;

    @ApiModelProperty(value = "检查地点类型：1、所在地。2、注册地。3、其他", notes ="检查地点类型：1、所在地。2、注册地。3、其他", required = false)
    @Column(name = "jcddlx")
    private Integer jcddlx;

    @ApiModelProperty(value = "是否人工送达：0、否。1、是", notes ="是否人工送达：0、否。1、是", required = false)
    @Column(name = "sfrgsd")
    private Integer sfrgsd;

    @ApiModelProperty(value = "下发时间", notes ="下发时间", required = false)
    @Column(name = "xfsj")
    private Date xfsj;

    @ApiModelProperty(value = "送达时间", notes ="送达时间", required = false)
    @Column(name = "sdsj")
    private Date sdsj;

    @ApiModelProperty(value = "接收人", notes ="接收人", required = false)
    @Column(name = "jsr")
    private String jsr;

    @ApiModelProperty(value = "是否存在整改数据", notes ="是否存在整改数据", required = false)
    @Column(name = "isycqk")
    private String isycqk;
}
