package com.unis.inspectionresult.server.entity;// 导入相关的包

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

// 使用@ApiModel注解为类添加描述
@ApiModel(description = "日常检查发现问题实体类")
@Data
@Table(name = "t_rcjcfxwt")
public class TrcjcfxwtDO {

    // 使用@ApiModelProperty注解为属性添加描述
    @ApiModelProperty(value = "主键")
    // 使用@Id注解标识这是主键
    @Id
    private String id;

    // 日常检查主表id
    @ApiModelProperty(value = "日常检查主表id")
    @Column(name = "jcid")
    private String jcid;

    // 顺序号
    @ApiModelProperty(value = "顺序号")
    @Column(name = "sxh")
    private Integer sxh;

    // 问题明细
    @ApiModelProperty(value = "问题明细")
    @Column(name = "wtmx")
    private String wtmx;

    // 仓房名称
    @ApiModelProperty(value = "仓房名称")
    @Column(name = "cfmc")
    private String cfmc;

    // 仓房编码
    @ApiModelProperty(value = "仓房编码")
    @Column(name = "cfbm")
    private String cfbm;

    // 整改类型
    @ApiModelProperty(value = "整改类型：现场整改、限期整改、无需整改")
    @Column(name = "zglx")
    private String zglx;

    // 整改截至（止）
    @ApiModelProperty(value = "整改截至（止）")
    @Column(name = "zgjz")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date zgjz;

    // 是否需属地跟踪整改情况
    @ApiModelProperty(value = "是否需属地跟踪整改情况，0：否，1：是")
    @Column(name = "sfxsdgzgqk")
    private String sfxsdgzgqk;
}
