package com.unis.inspectionresult.server.entity;// 导入相关的包

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

// 使用@ApiModel注解为类添加描述
@ApiModel(description = "日常检查检查单位审核情况实体类")
@Data
@Table(name = "t_rcjcshqk")
public class TrcjcshqkDO {

    // 使用@ApiModelProperty注解为属性添加描述
    @ApiModelProperty(value = "主键")
    // 使用@Id注解标识这是主键
    @Id
    private String id;

    // 日常检查主表id
    @ApiModelProperty(value = "日常检查主表id")
    @Column(name = "jcid")
    private String jcid;


    // 审核意见
    @ApiModelProperty(value = "审核意见")
    @Column(name = "shyj")
    private String shyj;

    // 原因
    @ApiModelProperty(value = "原因")
    @Column(name = "yy")
    private String yy;

    // 审核人
    @ApiModelProperty(value = "审核人")
    @Column(name = "shr")
    private String shr;

    // 审核时间
    @ApiModelProperty(value = "审核时间")
    @Column(name = "shsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date shsj;

    // 是否最新记录
    @ApiModelProperty(value = "是否最新记录,0：否，1：是")
    @Column(name = "sfzxjl")
    private String sfzxjl;
}
