/*
 * FormDetailDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-27 created by LPH with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.entity.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectionresult.server.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * T_BDJLMX
 * @author LPH with LAPTOP-IJQ2SDFV on 2019-08-27 15:27:34
 */
@ApiModel(value = "T_BDJLMX:储备粮公司-表单记录明细表")
@Data
@Table(name="T_BDJLMX")
public class FormDetailDO extends BaseEntity {
    @ApiModelProperty(value = "表单明细id#<主键><非空>", notes ="表单明细id")
    @Id
    @Column(name="BDMXID")
    private String bdmxid;

    @ApiModelProperty(value = "表单记录主表id", notes ="表单记录主表id")
    @Column(name="BDZBID")
    private String bdzbid;

    @ApiModelProperty(value = "指标id#(字典出)", notes ="指标id")
    @Column(name="ZB_ID")
    private String zbId;

    @ApiModelProperty(value = "指标名称#(字典出)", notes ="指标名称")
    @Column(name="ZB_NAME")
    private String zbName;

    @ApiModelProperty(value = "异常信息", notes ="异常信息")
    @Column(name="YCXX")
    private String ycxx;

    @ApiModelProperty(value = "表单填写人", notes ="表单填写人")
    @Column(name="BD_TXR")
    private String bdTxr;

    @ApiModelProperty(value = "填写人编号", notes ="填写人编号")
    @Column(name="BD_TXRBH")
    private String bdTxrbh;

    @ApiModelProperty(value = "填写时间", notes ="填写时间")
    @Column(name="BD_TXSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date bdTxsj;

    @ApiModelProperty(value = "抽查仓号", notes ="抽查仓号")
    @Column(name="CCCH")
    private String ccch;

    @ApiModelProperty(value = "粮食吨数", notes ="粮食吨数")
    @Column(name="LSDS")
    private Double lsds;

    @ApiModelProperty(value = "仓温", notes ="仓温")
    @Column(name="LSCW")
    private Double lscw;

    @ApiModelProperty(value = "仓湿", notes ="仓湿")
    @Column(name="LSCS")
    private Double lscs;

    @ApiModelProperty(value = "机动点粮温1", notes ="机动点粮温1")
    @Column(name="LSJDDLW1")
    private Double lsjddlw1;

    @ApiModelProperty(value = "机动点粮温2", notes ="机动点粮温2")
    @Column(name="LSJDDLW2")
    private Double lsjddlw2;

    @ApiModelProperty(value = "机动点粮温3", notes ="机动点粮温3")
    @Column(name="LSJDDLW3")
    private Double lsjddlw3;

    @ApiModelProperty(value = "机动点水分1", notes ="机动点水分1")
    @Column(name="LSJDDSF1")
    private Double lsjddsf1;

    @ApiModelProperty(value = "机动点水分2", notes ="机动点水分2")
    @Column(name="LSJDDSF2")
    private Double lsjddsf2;

    @ApiModelProperty(value = "机动点水分3", notes ="机动点水分3")
    @Column(name="LSJDDSF3")
    private Double lsjddsf3;

    @ApiModelProperty(value = "粮食粮面", notes ="粮食粮面")
    @Column(name="LSLM")
    private String lslm;

    @ApiModelProperty(value = "粮食门窗", notes ="粮食门窗")
    @Column(name="LSMC")
    private String lsmc;

    @ApiModelProperty(value = "粮食灯和灯罩", notes ="粮食灯和灯罩")
    @Column(name="LSDHDZ")
    private String lsdhdz;

    @ApiModelProperty(value = "粮食查虫情况", notes ="粮食查虫情况")
    @Column(name="LSCCQK")
    private String lsccqk;

    @ApiModelProperty(value = "霉变程度")
    @Column(name = "MBCD")
    private String mbcd;

    @ApiModelProperty(value = "霉变部位")
    @Column(name = "MBCDBW")
    private String mbcdbw;

    @ApiModelProperty(value = "霉变程度数量")
    @Column(name = "MBCDSL")
    private BigDecimal mbcdsl;

    @ApiModelProperty(value = "结露")
    @Column(name = "JL")
    private String jl;

    @ApiModelProperty(value = "结露部位")
    @Column(name = "JLBW")
    private String jlbw;

    @Length(max=20,message="虫卵虫絮蛛网程度最大为20字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度", notes ="虫卵虫絮蛛网程度")
    @Column(name="CLCXZZWCD", length=20)
    private String clcxzzwcd;

    @Length(max=128,message="虫卵虫絮蛛网程度其他最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网程度其他", notes ="虫卵虫絮蛛网程度其他")
    @Column(name="CLCXZZWCDQT", length=128)
    private String clcxzzwcdqt;

    @Length(max=128,message="虫卵虫絮蛛网部位最大为128字符")
    @ApiModelProperty(value = "虫卵虫絮蛛网部位", notes ="虫卵虫絮蛛网部位")
    @Column(name="CLCXZZWCDBW", length=128)
    private String clcxzzwcdbw;

    @ApiModelProperty(value = "仓号")
    @Column(name="HOUSE_ID")
    private String houseId;

    @ApiModelProperty(value = "垛位号")
    @Column(name="WAREHOUSE_ID")
    private String warehouseId;

    @ApiModelProperty(value = "等级")
    @Column(name="LEVELS")
    private String levels;

    @ApiModelProperty(value = "垛位名称")
    @Column(name="STOCK_NAME")
    private String stockName;

    @ApiModelProperty(value = "数量(吨)")
    @Column(name="SL")
    private BigDecimal sl;

    @ApiModelProperty(value = "包数")
    @Column(name="BS")
    private Integer bs;

    @ApiModelProperty(value = "规格")
    @Column(name="SPECIFICATIONS")
    private BigDecimal specifications;

    @ApiModelProperty(value = "生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Column(name="SCRQ")
    private Date scrq;

    @ApiModelProperty(value = "入仓时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Column(name="START_TIME")
    private Date startTime;

    @ApiModelProperty(value = "保质期")
    @Column(name="BZQ")
    private Integer bzq;

    @ApiModelProperty(value = "品牌")
    @Column(name="PINP")
    private String pinp;

    public FormDetailDO() {
        super();
    }
}