/*
 * ReformDelayReviewDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-09-02 created by LPH with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.entity.resultback;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.constant.BaseStatusConstant;
import com.unis.inspectionresult.server.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * T_BDZGYQSP
 * @author LPH with LAPTOP-IJQ2SDFV on 2019-09-02 15:34:49
 */
@ApiModel(value = "T_BDZGYQSP:储备粮公司-表单整改延期审批")
@Data
@Table(name="T_BDZGYQSP")
public class ReformDelayReviewDO extends BaseEntity {
    @ApiModelProperty(value = "表单整改延期审批id#<主键><非空>", notes ="表单整改延期审批id")
    @Id
    @Column(name="BDZGYQID")
    private String bdzgyqid;

    @ApiModelProperty(value = "结果id#结果id(任务id+001)", notes ="结果id")
    @Column(name="JG_ID")
    private String jgId;

    @ApiModelProperty(value = "延期截止时间", notes ="延期截止时间")
    @Column(name="YQJZSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date yqjzsj;

    @ApiModelProperty(value = "延期原因", notes ="延期原因")
    @Column(name="YQYY")
    private String yqyy;

    @ApiModelProperty(value = "审批状态#(状态，1：通过，0：驳回)", notes ="审批状态")
    @Column(name="SPZT")
    private String spzt;

    @ApiModelProperty(value = "驳回原因", notes ="驳回原因")
    @Column(name="BHYY")
    private String bhyy;

    @ApiModelProperty(value = "审批人", notes ="审批人")
    @Column(name="SPR")
    private String spr;

    @ApiModelProperty(value = "审批时间", notes ="审批时间")
    @Column(name="SPSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date spsj;

    public ReformDelayReviewDO() {
        super();
    }
}