package com.unis.inspectionresult.server.schedule;

import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.unis.inspectionresult.server.dao.DailyCheckResultDao;
import com.unis.inspectionresult.server.dao.TJcnrDao;
import com.unis.inspectionresult.server.dao.TjcxmDao;
import com.unis.inspectionresult.server.entity.TJcnrDO;
import com.unis.inspectionresult.server.entity.TjcxmDO;
import com.unis.inspectionresult.server.entity.resultback.DailyCheckResultDO;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

/**
 *
 * @Description：检查计划定时任务
 * @author：王帅
 * @date: 2020年1月10日 下午2:51:50
 */
@Component
public class ResultSchedule {

	@Autowired
	private TjcxmDao tjcxmDao;

	@Autowired
	private TJcnrDao tJcnrDao;

	@Autowired
	private DailyCheckResultDao dailyCheckResultDao;

	/**
	 *
	 * @Description: 修改计划状态->所有子任务完成后修改计划为已完成(每五分钟执行一次)
	 * @author: 王帅
	 * @param: 参数
	 * @return: void 返回类型
	 */
//	@Scheduled(cron = "0 0/1 * * * ?")
	@Scheduled(cron = "0 0 1 * * ?")//每天早上1点钟执行生成年度计划
	public void updatePlanStatus() {
		System.out.println("--------------------------------------任务清晰开始-------------------------------------------------");
		List<DailyCheckResultDO> dailyCheckResultDOs = dailyCheckResultDao.getTomDayList();
		for(DailyCheckResultDO checkResultDO:dailyCheckResultDOs) {
			String jcxm = checkResultDO.getJczx();
			String jcnr = checkResultDO.getJcnr();
			if(StringUtils.isNotEmpty(jcxm)) {
				try {
					JSONArray array = JSONUtil.parseArray(jcxm);
					for(int i = 0 ; i<array.size();i++) {
						JSONObject jsonObject = array.getJSONObject(i);
						TjcxmDO tjcxmDO = new TjcxmDO();
						tjcxmDO.setJgId(checkResultDO.getJgId());
						tjcxmDO.setJcxmId(jsonObject.getStr("jcxmId"));
						tjcxmDO.setJcxmName(jsonObject.getStr("jcxmName"));
						tjcxmDao.insert(tjcxmDO);
					}
				} catch (Exception e) {
                    e.printStackTrace();
				}
			}
			if(StringUtils.isNotEmpty(jcnr)) {
				try {
					JSONArray array = JSONUtil.parseArray(jcnr);
					for(int i = 0 ; i<array.size();i++) {
						JSONObject jsonObject = array.getJSONObject(i);
						TJcnrDO tjcxmDO = new TJcnrDO();
						tjcxmDO.setJgId(checkResultDO.getJgId());
						tjcxmDO.setJcnrId(jsonObject.getStr("jcnrId"));
						tjcxmDO.setJcnrName(jsonObject.getStr("jcnrName"));
						tJcnrDao.insert(tjcxmDO);
					}
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
		System.out.println("--------------------------------------任务清晰完成-------------------------------------------------");
	}
}
