package com.unis.inspectionresult.server.service;

import com.unis.inspectionresult.common.vo.CheckWorkLogQueryVO;
import com.unis.inspectionresult.common.vo.CheckWorkLogVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: CheckWorkLogService
 * @ProjectName CheckWorkLogService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface CheckWorkLogService {

	/**
	 * 获取检查工作日志列表
	 * @param checkWorkLogQueryVO
	 * @return
	 */
	List<CheckWorkLogVO> getCheckWorkLogList(CheckWorkLogQueryVO checkWorkLogQueryVO);

	/**
	 * 分页获取检查工作日志信息列表
	 * @param checkWorkLogQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<CheckWorkLogVO> getCheckWorkLogPage(CheckWorkLogQueryVO checkWorkLogQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增检查工作日志信息
	 * @param checkWorkLogVO
	 * @return
	 */
	CheckWorkLogVO insert(CheckWorkLogVO checkWorkLogVO);

	/**
	 * 更新检查工作日志信息
	 * @param checkWorkLogVO
	 * @return
	 */
	int update(CheckWorkLogVO checkWorkLogVO);

	/**
	 * 根据检查工作日志ID删除检查工作日志信息
	 * @param id
	 * @return
	 */
	int delete(Integer id);

	/**
	 * 根据检查工作日志ID获取检查工作日志信息
	 * @param id
	 * @return 检查工作日志信息
	 */
	CheckWorkLogVO getCheckWorkLogInfoById(Integer id);

}
