/*
 * DailyCheckResultService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.BaseKcVO;
import com.unis.inspectionresult.common.vo.ResultApplyQuery;
import com.unis.inspectionresult.common.vo.resultback.*;

import com.unis.inspectionresult.server.entity.resultback.DailyCheckProcessAdjustmentDO;
import com.unis.inspectionresult.server.entity.resultback.DailyCheckResultDO;
import com.unis.inspectiontask.common.vo.PerformanceQueryVO;

import java.util.Date;
import java.util.List;

/**
 * T_JCJG-检查结果
 *
 * @author lipenghe at 2019-08-26 16:21:29
 */
public interface DailyCheckResultService {
	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 插入全部字段
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper insertEntityResult(DailyCheckResultVO checkResultVO);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 插入全部字段,可删除部分字段改为选择性插入
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper insertEntitySelectiveResult(DailyCheckResultVO checkResultVO);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 更改状态
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper updateStatusByEntityResult(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 结果反馈撤回
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper updateBackByEntity(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 制定任务的撤回,非结果反馈撤回
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper deleteBackByEntity(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体更新单条或者多条数据
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper updateByEntityResult(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体选择性更新
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper updateByEntitySelectiveResult(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体选择性更新,更新单表专属
	 *
	 * @param entity <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper updateByEntitySelectiveResult(DailyCheckResultDO entity, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体单条或者批量删除
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper deleteByEntityResult(DailyCheckResultVO checkResultVO, String limit);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体(唯一标示)查询一条数据
	 *
	 * @param entity <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectByIdResult(DailyCheckResultDO entity);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体(唯一标示)查询一条数据
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectByIdResult(DailyCheckResultVO checkResultVO);

	/**
	 * <T_JCJG-检查结果>返回简单结果对象,带限制条件 根据实体(唯一标示)查询一条数据
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	public ResponseWrapper selectSingleByIdResult(DailyCheckResultVO checkResultVO);

	/**
	 * <T_JCJG-检查结果>根据实体查询分页列表 带限制条件
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize, DailyCheckResultVO checkResultVO, String order);

	ResponseWrapper dailyCheckResultYlCplPage(int pageNo, int pageSize, DailyCheckResultVO checkResultVO, String order);

	/**
	 * <T_JCJG-检查结果>根据实体查询分页列表 带限制条件
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectTeamPageByEntityResult(int pageNo, int pageSize, DailyCheckResultVO checkResultVO,
												 String order);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体查询列表
	 *
	 * @param entity <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectByEntityResult(DailyCheckResultDO entity);

	/**
	 * <T_JCJG-检查结果>返回结果对象,带限制条件 根据实体查询列表
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectByEntityResult(DailyCheckResultVO checkResultVO);

	/**
	 * <T_JCJG-检查结果>返回初始化数据 根据实体查询初始化数据
	 *
	 * @param checkResultVO <检查结果>对象
	 * @author lipenghe with LAPTOP-IJQ2SDFV
	 */
	ResponseWrapper selectInitDataResult(DailyCheckResultVO checkResultVO);

	/**
	 * 查询列表
	 *
	 * @param DailyCheckResultQueryVO vo
	 * @return
	 */
	PageInfo<DailyCheckResultQJVO> getAllList(DailyCheckResultQueryVO vo);

	/**
	 * @Title: selectQyZgLists @Description: 方法描述:(企业整改数据统计 - 整改) @param @param
	 * checkResultVO @param @return 设定文件 @return ResponseWrapper 返回类型 @throws
	 */
	ResponseWrapper selectQyZgLists(String year);

	ResponseWrapper inspectionResultExport(DailyCheckResultVO checkResultVO, String order);

	/**
	 * 根据rwId,bjdwId查询检查时间
	 *
	 * @param rwId
	 * @param bjdwId
	 * @return
	 */
	DailyCheckInspectionTimeAndResultIdVO getInspectionTime(String rwId, String bjdwId);

	/**
	 *
	 * @Description: 调整流程-新增
	 * @author: 王帅
	 * @param: @param  record
	 * @param: @return 参数
	 * @return: boolean 返回类型
	 */
	boolean insertProcessAdjustment(DailyCheckProcessAdjustmentAddVO record);

	/**
	 *
	 * @Description: 调整流程-修改
	 * @author: 王帅
	 * @param: @param  record
	 * @param: @return 参数
	 * @return: boolean 返回类型
	 */
	boolean updateProcessAdjustment(DailyCheckProcessAdjustmentAddVO record);

	/**
	 *
	 * @Description: 调整流程-审核
	 * @author: 王帅
	 * @param: @param  record
	 * @param: @return 参数
	 * @return: boolean 返回类型
	 */
	boolean auditProcessAdjustment(DailyCheckProcessAdjustmentAuditVO record);

	/**
	 *
	 * @Description: 调整流程-查看
	 * @author: 王帅
	 * @param: @param checkResultId
	 * @param: @return  参数
	 * @return: DailyCheckProcessAdjustmentShowVO    返回类型
	 */
	DailyCheckProcessAdjustmentShowVO viewProcessAdjustment(String checkResultId);

	/**
	 * 根据任务id查询特定状态结果数据
	 * @param performanceQueryVO
	 * @return
	 */
	List<DailyCheckResultPerformanceVO> getinspectionList(PerformanceQueryVO performanceQueryVO);

	/**
	 * 根据结果id列表结果数据
	 * @param performanceQueryVO
	 * @return
	 */
	List<DailyCheckResultVO> getInspectionListByjgIdList(PerformanceQueryVO performanceQueryVO);

	/**
	 * 根据任务时间查询特定状态结果数据
	 * @param developmentSituationQueryVO
	 * @return
	 */
	DevelopmentSituationVO developmentSituation(DevelopmentSituationQueryVO developmentSituationQueryVO);

	/**
	 * 根据任务时间查询任务列表
	 * @param developmentSituationQueryVO
	 * @return
	 */
	List<String> developmentSituationByRwIdList(DevelopmentSituationQueryVO developmentSituationQueryVO);

	/**
	 *
	 * @Description: 展示检查结果列表通过计划Id
	 * @author: 王帅
	 * @param: @param  planId
	 * @param: @return 参数
	 * @return: List<DailyCheckResultVO> 返回类型
	 */
	public List<DailyCheckResultByPlanShowVO> getCheckResultListByPlanId(String planId);

	/**
	 *
	 * @Description: 获取监管区域
	 * @author: 王帅
	 * @param: @param  orgId
	 * @param: @return 参数
	 * @return: List<DailyCheckTerritorialSupervisionVO> 返回类型
	 */
	public List<DailyCheckTerritorialSupervisionVO> getTerritorialSupervisionByOrgId(String orgId);

	/**
	 * 根据结果id列表分页查询
	 * @param performanceQueryVO
	 * @return
	 */
	public PageInfo<DailyCheckResultVO> getInspectionResultPageByjgIdList(PerformanceQueryVO performanceQueryVO);

	/**
	 * @param bjdwid
	 * @return 获取检查结果
	 */
	ResponseWrapper dailyCheckResultList(String bjdwid);

	/**
	 * @param pageNum
	 * @param pageSize
	 * @param resultApplyQuery
	 * @param string
	 * @return 综合查询
	 */
	ResponseWrapper resultList(int pageNum, int pageSize, ResultApplyQuery resultApplyQuery, String string);

	ResponseWrapper resultListDis(int pageNum, int pageSize, ResultApplyQuery resultApplyQuery, String string);

	ResponseWrapper dailyCheckResultPageForKSH(int pageNum,int pageSize,DailyCheckSearchVO dailyCheckSearchVO);

	List<BaseKcVO> selectKcxx(String tyshxydm);

	List<BaseKcVO> selectChengPinKc(String tyshxydm);

	List<BaseKcVO> selectBatchWd(List<String> cfbhList);
}
