/*
 * FormDetailService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-30 16:13:16 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspectionresult.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.resultback.FormDetailVO;
import com.unis.inspectionresult.server.entity.resultback.FormDetailDO;

/**
 * T_BDJLMX-储备粮公司-表单记录明细表
 * @author lipenghe at 2019-08-30 16:13:16
 */
public interface FormDetailService {
    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 插入全部字段
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(FormDetailVO formDetailVO);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 插入全部字段,可删除部分字段改为选择性插入
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(FormDetailVO formDetailVO);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 更改状态
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(FormDetailVO formDetailVO, String limit);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体更新单条或者多条数据
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(FormDetailVO formDetailVO, String limit);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体选择性更新
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(FormDetailVO formDetailVO, String limit);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体选择性更新,更新单表专属
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(FormDetailDO entity, String limit);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体单条或者批量删除
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(FormDetailVO formDetailVO, String limit);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体(唯一标示)查询一条数据
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(FormDetailVO formDetailVO);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>根据实体查询分页列表
     * 带限制条件
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize, FormDetailVO formDetailVO
            , String order);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体查询列表
     * @param entity    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(FormDetailDO entity);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回结果对象,带限制条件
     * 根据实体查询列表
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(FormDetailVO formDetailVO);

    /**
     * <T_BDJLMX-储备粮公司-表单记录明细表>返回初始化数据
     * 根据实体查询初始化数据
     * @param formDetailVO    <储备粮公司-表单记录明细表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(FormDetailVO formDetailVO);

}