package com.unis.inspectionresult.server.service;


import com.unis.inspectionresult.common.vo.RectificationFeedbackVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: RectificationFeedbackService
 * @ProjectName RectificationFeedbackService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface RectificationFeedbackService {

	/**
	 * 新增整改反馈单信息
	 * @param rectificationFeedbackVO
	 * @return
	 */
	RectificationFeedbackVO insert(RectificationFeedbackVO rectificationFeedbackVO);


	/**
	 * 更新整改反馈单信息
	 * @param rectificationFeedbackVO
	 * @return
	 */
	int update(RectificationFeedbackVO rectificationFeedbackVO);

	/**
	 * 根据结果ID获取整改反馈单列表
	 * @param jgId
	 * @return
	 */
	List<RectificationFeedbackVO> getRectificationFeedbackInfoListByJgId(String jgId);

	/**
 	* 根据反馈单ID获取整改反馈单信息
 	* @param fkdId
 	* @return 整改反馈单信息
 	*/
	RectificationFeedbackVO getRectificationFeedbackInfoByFkdId(String fkdId);

}
