package com.unis.inspectionresult.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.inspectionresult.common.vo.CheckWorkLogQueryVO;
import com.unis.inspectionresult.common.vo.CheckWorkLogVO;
import com.unis.inspectionresult.server.domain.CheckWorkLogDomain;
import com.unis.inspectionresult.server.service.CheckWorkLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title CheckWorkLogServiceImpl
 * @ProjectName CheckWorkLogServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class CheckWorkLogServiceImpl implements CheckWorkLogService {

	@Autowired
	private CheckWorkLogDomain checkWorkLogDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<CheckWorkLogVO> getCheckWorkLogList(CheckWorkLogQueryVO checkWorkLogQueryVO) {
		return checkWorkLogDomain.getCheckWorkLogList(checkWorkLogQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<CheckWorkLogVO> getCheckWorkLogPage(CheckWorkLogQueryVO checkWorkLogQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return checkWorkLogDomain.getCheckWorkLogList(checkWorkLogQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public CheckWorkLogVO insert(CheckWorkLogVO checkWorkLogVO) {
		return checkWorkLogDomain.insert(checkWorkLogVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(CheckWorkLogVO checkWorkLogVO) {
		return checkWorkLogDomain.update(checkWorkLogVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(Integer id) {
		CheckWorkLogVO checkWorkLogVO = checkWorkLogDomain.getCheckWorkLogInfoById(id);
		if (checkWorkLogVO == null) {
			return -1;
		}
		checkWorkLogVO.setStatus(0);
		return checkWorkLogDomain.update(checkWorkLogVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public CheckWorkLogVO getCheckWorkLogInfoById(Integer id) {
		return checkWorkLogDomain.getCheckWorkLogInfoById(id);
	}


}
