package com.unis.inspectionresult.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.inspectionresult.common.vo.FormfieldsVO;
import com.unis.inspectionresult.common.vo.FormfieldsqueryVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.server.domain.FormfieldsDomain;
import com.unis.inspectionresult.server.service.FormfieldsService;

/**
 * 
 * @author liuweilong
 *
 */
@Service
public class FormfieldsImpl implements FormfieldsService {

	@Autowired
	private FormfieldsDomain formfieldsDomain;

	/**
	 * 新增检查指标
	 */
	@Override
	public int insertFormfields(FormfieldsVO VO) {
		
		return formfieldsDomain.insertFormfields(VO);
		
	}

	/**
	 * 编辑检查指标
	 */
	@Override
	public int updateFormfields(FormfieldsVO VO) {
		
		return formfieldsDomain.updateFormfields(VO);
		
	}

	/**
	 * 查看检查指标
	 */
	@Override
	public FormfieldsVO getFormfields(String bdId) {
		
		return formfieldsDomain.getFormfields(bdId);
		
	}

	/**
	 * 分页
	 */
	@Override
	public List<FormfieldsVO> getFormfieldsList(FormfieldsqueryVO queryVO, Integer pageSize, Integer pageNum) {

		PageHelper.startPage(pageNum, pageSize);
		
		return formfieldsDomain.getFormfieldsList(queryVO, pageSize, pageNum);

		
	}

	/**
	 * 不分页
	 */
	@Override
	public List<FormfieldsVO> getFormfieldsforList(FormfieldsqueryVO queryVO) {
		
		return formfieldsDomain.getFormfieldsList(queryVO);
	}

}
