package com.unis.inspectionresult.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;
import com.unis.inspectionresult.server.domain.InspectionIndicatorsDomain;
import com.unis.inspectionresult.server.service.InspectionIndicatorsService;

/**
 * 
 * @author liuweilong
 *
 */
@Service
public class InspectionIndicatorsImpl2 implements InspectionIndicatorsService {

	@Autowired
	private InspectionIndicatorsDomain inspectionIndicatorsDomain;

	/**
	 * 新增检查指标
	 */
	@Override
	public int insertInspectionIndicators(InspectionIndicatorsVO vo) {

		return inspectionIndicatorsDomain.insertJcjh(vo);

	}

	/**
	 * 编辑检查指标
	 */
	@Override
	public int updateInspectionIndicators(InspectionIndicatorsVO vo) {

		return inspectionIndicatorsDomain.updateInspectionlan(vo);

	}

	/**
	 * 查看检查指标
	 */
	@Override
	public InspectionIndicatorsVO getJczb(String zbId) {

		return inspectionIndicatorsDomain.getInspectionlan(zbId);

	}

	/**
	 * 分页
	 */
	@Override
	public List<InspectionIndicatorsVO> getJczbList(InspectionIndicatorsqueryVO queryVO, Integer pageSize,
			Integer pageNum) {

		PageHelper.startPage(pageNum, pageSize);

		return inspectionIndicatorsDomain.getJcjhList(queryVO, pageSize, pageNum);

	}

}
