package com.unis.inspectionresult.server.service.impl;

import com.unis.inspectionresult.common.vo.RectificationAcceptanceVO;
import com.unis.inspectionresult.server.domain.RectificationAcceptanceDomain;
import com.unis.inspectionresult.server.service.RectificationAcceptanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationAcceptanceServiceImpl
 * @ProjectName RectificationAcceptanceServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class RectificationAcceptanceServiceImpl implements RectificationAcceptanceService {

	@Autowired
	private RectificationAcceptanceDomain rectificationAcceptanceDomain;

	/**
	 * 添加
	 */
	@Override
	public RectificationAcceptanceVO insert(RectificationAcceptanceVO rectificationAcceptanceVO) {
		return rectificationAcceptanceDomain.insert(rectificationAcceptanceVO);
	}


	/**
 	* 更新信息
 	*/
	@Override
	public int update(RectificationAcceptanceVO rectificationAcceptanceVO) {
		return rectificationAcceptanceDomain.update(rectificationAcceptanceVO);
	}

	/**
	 * 根据编号获取列表
	 */
	@Override
	public List<RectificationAcceptanceVO> getRectificationAcceptanceListInfoByJgId(String jgId) {
		return rectificationAcceptanceDomain.getRectificationAcceptanceListInfoByJgId(jgId);
	}

	/**
 	* 根据编号获取信息
 	*/
	@Override
	public RectificationAcceptanceVO getRectificationAcceptanceInfoByYsdId(String ysdId) {
		return rectificationAcceptanceDomain.getRectificationAcceptanceInfoByYsdId(ysdId);
	}


}
