package com.unis.inspectionresult.server.service.impl;

import com.unis.inspectionresult.common.vo.RectificationFeedbackVO;
import com.unis.inspectionresult.server.domain.RectificationFeedbackDomain;
import com.unis.inspectionresult.server.service.RectificationFeedbackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackServiceImpl
 * @ProjectName RectificationFeedbackServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class RectificationFeedbackServiceImpl implements RectificationFeedbackService {

	@Autowired
	private RectificationFeedbackDomain rectificationFeedbackDomain;

	/**
	 * 添加
	 */
	@Override
	public RectificationFeedbackVO insert(RectificationFeedbackVO rectificationFeedbackVO) {
		return rectificationFeedbackDomain.insert(rectificationFeedbackVO);
	}


	/**
 	* 更新信息
 	*/
	@Override
	public int update(RectificationFeedbackVO rectificationFeedbackVO) {
		return rectificationFeedbackDomain.update(rectificationFeedbackVO);
	}

	/**
	 * 根据编号获取信息列表
	 */
	@Override
	public List<RectificationFeedbackVO> getRectificationFeedbackInfoListByJgId(String jgId) {
		return rectificationFeedbackDomain.getRectificationFeedbackInfoListByJgId(jgId);
	}


	/**
 	* 根据编号获取信息
 	*/
	@Override
	public RectificationFeedbackVO getRectificationFeedbackInfoByFkdId(String fkdId) {
		return rectificationFeedbackDomain.getRectificationFeedbackInfoByFkdId(fkdId);
	}


}
